2016-06-07  Michael Petch  <mpetch@gnubg.org>

	* doc/gnubg/*, po/*
	Update static documentation files and translation files
	Version 1.05.002 released


2016-03-02  Philippe Michel  <philippe.michel7@sfr.fr>

	* po/el.po, configure.ac, gtkgame.c, flags/greece.png,
	flags/Makefile.am, credits.sh : Greek translation by Vangelis
	Skarmoutsos.

2015-10-07  Michael Petch  <mpetch@gnubg.org>

	* common.h, configure.ac, copying.awk, credits.sh,
	  output.h, lib/simd.h, m4/Makefile.am, non-src/copying.c,
	  non-src/credits.c, non-src/gnubg-stock-pixbufs.h,
	  +m4/ax_c___attribute__.m4, external_l.l, external_y.y,
	  sgf_l.l, sgf_y.y, non-src/external_l.c, non-src/external_y.c,
	  non-src/external_y.h, non-src/sgf_l.c, non-src/sgf_y.c,
	  non-src/sgf_y.h, backgammon.h : Fix problem identified by
	Mike Frysinger where __attribute__ and  _GNU_SOURCE may not
	be properly defined in some situations. This may result in
	an infinite loop on newer compilers.

2015-09-28  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c: Set export default paths to "." rather than NULL
	to fix problem with GTK crashes on some platforms. Reported by
	Tom Meyer. See bug report https://savannah.gnu.org/bugs/?46069

2015-09-27  Philippe Michel  <philippe.michel7@sfr.fr>

	* backgammon.h, commands.inc, set.c, gtkoptions.c, gnubg.c,
	dice.h, dice.c, configure.ac: Remove availability of ANSI and BSD
	random number generators. They are mediocre algorithms and not
	thread-safe.  Much better alternatives like Mersenne twister and
	BBS are implemented in GNU Backgammon (and used by default).

2015-09-03  Michael Petch  <mpetch@gnubg.org>

	* board3d/Makefile.am: Include FREETYPE2_LIBS linker
	flags to libboard3d. Fixes issue with build using MinGW

2015-09-01  Michael Petch  <mpetch@gnubg.org>

	* commands.inc, configure.ac, gnubg.c, gtkgame.c,
	  gtkgame.h, pylocdefs.h: Change autoconf use of
	HAVE_LIBREADLINE to HAVE_LIB_READLINE. pyconfig.h may
	define it even if the readline header files aren't
	installed on a distro.

2015-08-31  Michael Petch  <mpetch@gnubg.org>

	* dice.c, multithread.h, openurl.c, osr.c, sound.c,
      timer.c, lib/mt19937ar.c, lib/mt19937ar.h:
	Resolve #define conflict in Mersenne twister under Win32.
    Resolve other minor Win32 warnings.

2015-08-30  Michael Petch  <mpetch@gnubg.org>

	* Makefile.am configure.ac m4/ChangeLog m4/Makefile.am,
	  +m4/ax_python_devel.m4, 
	-python-config -m4/az_python.m4: Modernize Python 
	detection of development requirements.

2015-08-25  Michael Petch  <mpetch@gnubg.org>

	* m4/ax_ext.h : Update this autconf script to detect
	all currently known supplemental instruction sets and
	extensions for the x86 processors. Includes 
	HAVE_MMX, HAVE_RDRND, HAVE_BMI1,HAVE_BMI2, 
	HAVE_ADX, HAVE_MPX, HAVE_PREFETCHWT1, HAVE_ABM, 
	HAVE_SSE, HAVE_SSE2, HAVE_SSE3, HAVE_SSSE3, HAVE_SSE4_1, 
	HAVE_SSE4_2, HAVE_SSE4a, HAVE_SHA, HAVE_AES, HAVE_AVX, 
	HAVE_FMA3, HAVE_FMA4, HAVE_XOP, HAVE_AVX2, HAVE_AVX512_F, 
	HAVE_AVX512_CD, HAVE_AVX512_PF, HAVE_AVX512_ER, 
	HAVE_AVX512_VL, HAVE_AVX512_BW, HAVE_AVX512_DQ, 
	HAVE_AVX512_IFMA, HAVE_AVX512_VBMI

2015-07-31  Michael Petch  <mpetch@gnubg.org>

	* doc/gnubg/*, po/*
	Update static documentation files and translation files
	Version 1.05.001 released

2015-07-31  Michael Petch  <mpetch@gnubg.org>

	* Makefile.am bearoff.c configure.ac dice.c eval.c,
	  export.c file.c glib-ext.c glib-ext.h gnubg.c gtkgame.c,
	  gtkprefs.c html.c import.c latex.c makebearoff.c makehyper.c,
	  makeweights.c relational.c rollout.c sgf.c text.c,
	  board3d/matrix.c board3d/misc3d.c
	Workaround problem with g_fopen & Unicode on some WIN32 build
	environments that produce "Invalid Argument" errors when a file
	is opened.

2015-06-26  Michael Petch  <mpetch@gnubg.org>

	* drawboard.c, drawboard.h, external.c, gnubg.c,
	  gtkboard.c play.c : Fix problem with erroneous decisions
	generated when using the external interface. Reported by
	Philippe Michel.

2015-04-21  Michael Petch  <mpetch@gnubg.org>

	* export.c: Fix code to avoid compiler warnings when using a
	switch statement keyed on an enum.

2015-04-20  Michael Petch  <mpetch@gnubg.org>

	* doc/gnubg/*, po/*
	Update static documentation files and translation files
	Version 1.05.000 released

2015-04-12  Philippe Michel  <philippe.michel7@sfr.fr>

	* export.c, import.c: Add a comment in .mat exports of hypergammon
	sessions to indicate variation. Use it on import.

2015-01-19  Michael Petch  <mpetch@gnubg.org>

	* configure.ac, Makefile.am, Makefile.w32, backgammon.h, dice.c,
	  gnubg.c, +randomorg.c, +randomorg.h, set.c, +m4/libcurl.m4
	Add https support for random.org using libcurl. Libcurl is 
	an optional dependency that is required to use ranom.org as
	a dice source.

2014-12-04  Michael Petch  <mpetch@gnubg.org>

	Version 1.04.001 released.

2014-12-04  Michael Petch  <mpetch@gnubg.org>

	* play.c. external.c : Fix external interface bug that prevented
	external socket players from working. Fix bug that prevented
	external socket interface errors being displayed.
	Reported by Philippe Michel. See bug report:
	https://savannah.gnu.org/bugs/?43747

2014-10-21  Michael Petch  <mpetch@gnubg.org>

	Version 1.04 released.

2014-09-08  Philippe Michel  <philippe.michel7@sfr.fr>

	* eval.c, eval.h: Don't use SanityCheck() on positions evaluated
	with the one-sided database. The latter is more accurate about the
	possibility of a gammon.
	This fixes the issue reported by Michael Petch in
	http://lists.gnu.org/archive/html/bug-gnubg/2012-10/msg00010.html

2014-09-07  Philippe Michel  <philippe.michel7@sfr.fr>

	* gnubg.c: fix re-evaluation of chequer play from the analysis
	panel. It used to clear the skill flag of the associated cube
	decision. Issue reported by Neil Robins to the bug-gnubg list in
	Dec 2012.

2014-08-21  Philippe Michel  <philippe.michel7@sfr.fr>

	* import.c: fix a bug introduced July 20th in mat files import
	where some games could have the wrong player set as winner.

2014-08-09  Michael Petch  <mpetch@gnubg.org>

	* rollout.c: declare initial_game_count as volatile. It may be
	updated from multiple threads when multithreading is enabled.
	We don't want an optimizing compiler to optimize this variable away.

2014-08-08  Michael Petch  <mpetch@gnubg.org>

	* configure.ac: modify configure to properly support an argument 
	to --with-python. Supplying a python interpreter as an argument
	will force configure to use the specified one. General Python 
	checking cleanup

2014-08-07  Michael Petch  <mpetch@gnubg.org>

	* configure.ac dbprovider.c gnubgmodule.c gnubgmodule.h 
	m4/az_python.m4 scripts/gnubg.py scripts/db_import.py
	scripts/batch.py scripts/matchseries.py +pylocdefs.h: Support 
	compiling with Python 3.x and modify Python modules to
	support Python 2.x and 3.x.

2014-08-04  Michael Petch  <mpetch@gnubg.org>

	Version 1.03 released.

2014-07-26  Michael Petch  <mpetch@gnubg.org>

	* analysis.c mtsupport.c play.c: Fix problem with aMoves
	data structures being double freed. This bug would cause
	prgram to crash on termination or crash after stopping an
	analysis.

2014-07-26  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c: cfevaluate and evaluate now make asynchronous
	calls to retrieve cube and move results. This allows Python to
	to call these functions from any of its own threads. Fix bug
	with the eval context in PythonEvaluate.

2014-07-25  Michael Petch  <mpetch@gnubg.org>

	* Makefile.am, glib-ext.c, glib-ext.h, gnubg.c, makebearoff.c,
	  makehyper.c: Modify code to properly compile on systems
	with GLIB < 2.14. Make sure glib threading is initialized
	in environments where it is needed. This includes makebearoff
	and makehyper.
	* mtsupport.c, multithread.c, multithread.h: Fix problem with
	mutexes being incorrectly initialized/freed/locked/unlocked
	on environemnts with GLIB >= 2.32. This bug was identified
	with recent GLIB builds with extra runtime checks. See
	crash reported by Chris Fahlman using unstable Ubuntu. See
	https://bugs.launchpad.net/ubuntu/+source/gnubg/+bug/1346567

2014-06-26  Philippe Michel  <philippe.michel7@sfr.fr>

	* import.c, show.c, gnubg.c, backgammon.h, set.c, commands.inc:
	Minor changes to the "set aliases" feature from 2014-02-03 after
	users feedback : separator is now ';'
	* doc/gnubgdb.xml: Document the above.

2014-06-23  Michael Petch  <mpetch@gnubg.org>

	* external_y.y, external_l.l, external.c, external.h : Added debug
	command to the external interface limited debugging output support

2014-06-21  Michael Petch  <mpetch@gnubg.org>

	* gtklocdefs.c, gtklocdefs.h, glib-ext.h: add g_list_free_full 
	function for environments using glib < 2.28.

2014-06-21  Michael Petch  <mpetch@gnubg.org>

	* drawboard.c, drawboard.h, external.c, external.h, external_l.l,
	  external_y.y, non-src/external_l.c, non-src/external_y.c, 
	  non-src/external_y.h	
	Replace the external interface with a reentrant version that is
	more extensible for storing more complex datatypes in the future.
	Yacc will no longer compile, as it uses Bison extensions. The
	external interface is compatible with the previous version although
	the error messages have changed. Added new command "quit" that allows
	a remote session to close the connection. A new "Version" command will
	return the version of the external interface. The "Noise" option was
	broken. Noise can work with an integer (divide by 10000 to get a
	noise value). Noise also supports a float type where the value
	represents the actual noise value. The evaluation and session options 
	can now appear in any order. Player names can now be quoted strings.
	When a remote session is connected a single control-c rather than 2 
	will return to the gnubg command line. A bug that made a blank line
	execute the previous command has been fixed. Now an error message is
	displayed.

2014-06-21  Michael Petch  <mpetch@gnubg.org>

	* +glib-ext.c, +glib-ext.h, Makefile.am Makefile.w32: Add GLIB 
	utility functions and macros to provide extra list functionality and 
	string to GValue maps.

2014-05-26  Philippe Michel  <philippe.michel7@sfr.fr>

	* import.c: Fix interpretation of eXtreme Gammon's "; Set Pos=..."
	extension to mat format. Non-centered cubes were set to the wrong side.

2014-03-31  Michael Petch  <mpetch@gnubg.org>

	* gtkprefs.c: Fix problem with some build environments that
	incorrectly encoded and decoded some board appearance colours.
	This fix was provided by Jon Kinsey via Tom Martin to fix problems
	changing between 2D board designs on the MinGW(Win32) builds.

2014-03-09  Philippe Michel  <philippe.michel7@sfr.fr>

	* gtkgame.c: Use terser format (one line only) when copying GNUbg
	ID. Fixes bug #27716.

2014-02-26  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c, backgammon.h: More Python module cleanup.  Add
	basic support for move filters. Initial support for eval/hint
	filters. Modify findbestmove to use a user supplied move filter.
	Add new function calcgammonprice.  TODO: Create a method to
	retrieve a filter by name.  Create a method to get/set analysis
	filter

2014-02-25  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c, backgammon.h, gnubg.c: Convert error related
	printf's to Python Errors. If a user interrupt occurs during a
	Python operation then reset the interrupt handling. Modify
	gnubg.findbestmove function to utilize asynchronous processing to
	help avoid thread issues when called from Python.

2014-02-12  Philippe Michel  <philippe.michel7@sfr.fr>

	* html.c: Clean up headers in positions copied as GammOnLine HTML.
	Issue mentionned by Stick in the bgonline forum.

2014-02-11  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c: Modify findbestmove to use the user selected
	analysis level when no evaluation context is passed as a parameter.
	* import.c: Fix missing GStatBuf type on Win32 platforms
	* configure.ac: Moving towards release 1.03.000. Fix problem
	detecting GLU on WIN32 platform
	* gtklocdefs.h: Fix problem with GtkComboBoxText type on GTK < 2.24

2014-02-03  Philippe Michel  <philippe.michel7@sfr.fr>

	* gnubg.c, backgammon.h, commands.inc, import.c, set.c, show.c:
	Add "set aliases <nickname1>:<nickname2>:<etc...>" command to list
	player names that should always be set as player 1 (bottom player)
	when importing a MAT file. This setting is only available in the
	CLI for now. Add related "show aliases" command.

2014-01-13 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c: Fix some board design bugs: switching 2d wood paint
	setting, invalid xml characters in design name/description, reduce
	wrong pop-up about losing design (Thanks to Tom Martin for
	reports).

2014-01-12  Philippe Michel  <philippe.michel7@sfr.fr>

	* import.c: Interpret eXtreme Gammon's "; Set Pos=..." extension
	to mat format.
	For now, games or matches containing this kind of record cannot be
	re-exported to mat or Snowie txt format.

2013-11-30  Philippe Michel  <philippe.michel7@sfr.fr>

	* gtkgame.c: Display match statistics when a match analysis is
	completed (GUI only, and does not apply to those run from a
	command file or a batch analysis).

2013-11-26  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c: Fix a serious bug created by a previous commit
	that prevented many of the python interface function from working
	correctly. Add new classifypos python function to the gnubg python
	interface.

2013-11-12  Philippe Michel  <philippe.michel7@sfr.fr>

	* README, backgammon.h, commands.inc, file.c, file.h, import.c,
	doc/gnubgdb.xml: Remove support of Berliner's BKG format.

	* gnubg.c: Include pip counts in positions copied to clipboard
	as ASCII.

2013-10-25  Philippe Michel  <philippe.michel7@sfr.fr>

	* eval.c: Show the weights file and bearoff databases installation
	directory in Help|About GNU Backgammon|Evaluation Engine or "show
	engine" output.

2013-10-20  Philippe Michel  <philippe.michel7@sfr.fr>

	* file.c: Fix automatic import of mat files starting with many
	comment lines (Backgammon NJ can create such files).

2013-09-22  Philippe Michel  <philippe.michel7@sfr.fr>

	* gnubg.c, gtkgame.c (comment only): Fix assertion failure when
	asking for a hint on a resignation while reviewing a game.
	Reported via Debian bugs tracker and Russ Allbery.
	http://lists.gnu.org/archive/html/bug-gnubg/2013-09/msg00006.html

2013-08-20  Michael Petch  <mpetch@gnubg.org>

	* boards.xml, gnubg.gtkrc, gnubg.sql, met/met.dtd, met/met.xsl,
	  scripts/batch.py, scripts/batch_win.py, scripts/database.py,
	  scripts/db_import.py, scripts/gnubg.py, scripts/matchseries.py:
	Update license information.

2013-08-20  Michael Petch  <mpetch@gnubg.org>

	* +doc/bearoffdump.6, +doc/makebearoff.6, +doc/makehyper.6,
	  +doc/makeweights.6, doc/Makefile.am, Makefile.am:
	Add man pages for the GNUBG utilities, based upon the man pages
	created by Russ Allbery for Debian/GNU Linux. Fix docdir usage,
	and compress the man pages.

2013-08-20  Michael Petch  <mpetch@gnubg.org>

	* configure.ac: Apply patch provided by Christopher Hofmann.
	Autoconf now checks for the GLU library when building with
	3D boards.
	* mkinstalldirs: Update to a newer version from automake-1.14

2013-07-28  Michael Petch  <mpetch@gnubg.org>

	Version 1.02 released.

2013-07-22  Michael Petch  <mpetch@gnubg.org>

	* configure.ac, openurl.c: Add a configure option 
	--with-default-browser to override the default value "xdg-open".
	if --with-default-browser is specified without an argument
	it will look for a default in this order sensible-browser, 
	xdg-open, firefox . If none are found the default xdg-open 
	will be used. This option is not available on Win32 platforms.

	Add a new configure option --enable-gasserts . Previously
	g_assert macros have been enabled by default. They are now 
	disabled by default. This option is used to enable those
	macros. 

	Take the AVX code out of the experimental stage. If AVX is
	supported on the processor and OS then it will be used by default.

2013-07-22  Michael Petch  <mpetch@gnubg.org>

	* gtk-multiview.c, gtk-multiview.h, mec.c, sound.c, board3d/tr.c, 
	board3d/tr.h, lib/mm_malloc.h: Fix some licensing inconsistencies
	identified by Russ Allbery.

2013-07-21  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c: When displaying "save settings to" attempt to output the 
	message immediately. This prevents some unnecessary popup messages.

2013-07-20  Michael Petch  <mpetch@gnubg.org>

	* multithread.c: Fix bug on thread disabled builds that caused
	an assertion while updating the progress bar. Ensure the callback
	timer is removed when all tasks are done.

2013-07-20  Michael Petch  <mpetch@gnubg.org>

	* eval.c lib/neuralnet.c, lib/neuralnet.h: Remedy a bug that
	produced inconsistent results when producing non-SIMD builds. Make
	sure that EvaluateFromBase is using comparable nets when using a
	neural net shortcut.

2013-07-17  Michael Petch  <mpetch@gnubg.org>

	* analysis.c, dbprovider.c, eval.c, gnubgmodule.c, gnubgmodule.h,
	  multithread.c, lib/inputs.c, lib/neuralnetsse.c, lib/simd.h:
	Fix stack issues that cause AVX WIN32 builds to segfault when 
	optimizations are used. 

2013-07-17  Michael Petch  <mpetch@gnubg.org>

	* sound.c: Allow GNUBG to build on OS/X builds using the CLang
	compiler. CLang supports AVX instructions. GCC shipped by Apple
	is based upon the older 4.2 version of GCC.

2013-07-12  Michael Petch  <mpetch@gnubg.org>

	* sound.c: On systems using libcanberra it is possible that the
	canberra sound system may be available, but disabled by default.
	When the sound context is created enable the canberra sound
	system explicitly. Bug report (and patch) received from
	Dan Fandrich. See:
	http://lists.gnu.org/archive/html/bug-gnubg/2013-07/msg00008.html

2013-07-11  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c, utils.h, utils.c: Added a new command line option
	'-s <path>' to specify the location of the user's GNUBG preferences
	directory. This overrides the default location of $(HOME)/.gnubg .
	If you wish to save your settings to the directory that GNUBG 
	was run from then use '-s .'

2013-07-10  Michael Petch  <mpetch@gnubg.org>

	* gtkgame.c: Fixed bug that prevented the stop button in the
	status bar from being active.

2013-07-10  Michael Petch  <mpetch@gnubg.org>

	* +mtsupport.c, Makefile.am, Makefile.w32, bearoffdump.c,
	   makebearoff.c, makehyper.c, multithread.c, multithread.h:
	Reduce the cpu cycle overhead of the new heap allocated thread 
	local data. Rework the multithreaded code. Split multithreaded
	support functions out of multithread.c and into mtsupport.c . 
	mtsupport.c can be used by the utiltity programs (makebearoff etc).

2013-07-08  Michael Petch  <mpetch@gnubg.org>

	* Makefile.am, bearoffdump.c, eval.c, eval.h, gnubg.c,
	  makebearoff.c, makehyper.c multithread.c multithread.h
	  po/*: Move static thread local data from eval.c into
	thread local storage (multithread.c). This reduces the
	bss data size. Thread storage is allocated on the heap
	as required. Ensure that the data is properly aligned for
	SIMD usage.

2013-07-06  Michael Petch  <mpetch@gnubg.org>

	* lib/inputs.c, lib/simd.h, Makefile.am, configure.ac: Fix an
	AVX alignment bug while creating the baseinputs for the NN on
	Win32 platforms with GNUC.

	* eval.c, gnubgmodule.c, multithread.c, multithread.h,
	m4/ax_ext.m4: Fix some warnings and general cleanup

2013-06-29  Michael Petch  <mpetch@gnubg.org>

	* backgammon.h, gnubg.c, gnubgmodule.c: Added preliminary 
	support for Python module function 'hint'. Work in progress
	The function interface and the dictionary returned may change.
	Added module functions mwc2eq_stderr and eq2mwc_stderr.

	Inefficient memory use for eval and rollout contexts should be 
	cleaned up. Rollout contexts should include all the cube and 
	chequer play sub contexts. The hint dictionary needs to be
	documented.

2013-06-25  Michael Petch  <mpetch@gnubg.org>

	* backgammon.h, gnubg.c, play.c: hint_move has been modified to 
	support external callbacks. Part of future Python integration.

2013-06-25  Michael Petch  <mpetch@gnubg.org>

	* eval.c, lib/neuralnet.c: If SIMD instructions are compiled in
	and they are not supported by the processor, output an error 
	message and then terminate immediately.

2013-06-22  Michael Petch  <mpetch@gnubg.org>

	* INSTALL, configure.ac, eval.c, gnubg.c, gnubg.spec, 
	  po/POTFILES.in
	Rename file sse.h to simd.h. Rename USE_SSE_VECTORIZE to 
	USE_SIMD_INSTRUCTIONS, rename SSE_Supported to SIMD_Supported,
	rename DISABLE_SSE_TEST to DISABLE_SIMD_TEST,
	rename SSE_CFLAGS to SIMD_CFLAGS

	Make sse/simd usage more consistent, ./configure option
	--enable-sse/--disable-sse is now --enable-simd/--disable-simd

2013-06-20  Michael Petch  <mpetch@gnubg.org>

	* +m4/ax_check_compile_flag.m4, +m4/ax_ext.m4 
	+m4/ax_gcc_x86_avx_xgetbv.m4 +m4/ax_gcc_x86_cpuid.m4,
	configure.ac: Added better autoconf support to determine 
	whether the processor supports certain SIMD instruction sets
	like SSE,SSE2,AVX etc.

	--enable-simd behaves a bit different. --enable-simd with no
	parameters is the same as --enable-simd=yes . The behavior of
	--enable-simd=yes has been changed to find the latest supported
	SIMD instruction set used by the build machines CPU. Priority
	is given in this order (highest first): SSE2, SSE, AVX, None.
	Since AVX is still experimental it is not given priority over
	SSE2 during build time autodetection.

2013-06-19  Michael Petch  <mpetch@gnubg.org>

	* +output.c +output.h, gnubg.c, backgammon.h, lib/Makefile.am
	lib/neuralnet.c: Moved the output functions from gnubg.c to
	their own files.

2013-06-19  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c, eval.c, lib/neuralnet.c, lib/neuralnet.h,
	configure.ac: Add support for plm's new AVX instruction
	additions. Separate the cputest from the --enable-simd
	configure option. Created a new option --disable-cputest. 

	Supports cputest functionality on GCC builds with either
	64-bit or 32-Bit OSes on Intel processors. Code will work
	with builds that use -fpic option.

2013-06-18  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c: When using the -r flag to start GNUBG (start without 
	reading the gnubgautorc file), the gnugbautorc file will be
	overwritten with defaults if running with the GUI. Reported
	by plm, see: https://savannah.gnu.org/bugs/?38497#postcomment

2013-06-17  Michael Petch  <mpetch@gnubg.org>

	* gtkgame.c: Fix language bug that prevented the GUI from properly
	refreshing the screen when a new Language was chosen

	* Makefile.am: Win32 builds have a localedir of ./locale relative
	to the executables directory. A bug had newer windows builds 
	seeking locale files in the default locations which was incorrect,
	and consquently language translation didn't occur.

2013-06-15  Michael Petch  <mpetch@gnubg.org>

	* All .c and .h files: Standardized the code formatting with
	indent -kr -l120 -fc1 -sc -nut -psl . K&R style, 120 column limit
	process comment in column 1, multiline comments have an asterisk 
	at the beginning of each line, convert all tabs to spaces, and
	split the return type of a function from the function name
	(each on their own line). K&R uses 4 spaces for an indentation
	level. Update the language files.

	* script/*.py : Reformat the python files to conform to PEP8 
	standard. See http://www.python.org/dev/peps/pep-0008/#indentation

2013-06-15  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c, scripts/gnubg.py: Modify the python interpreter
	processing so that it falls back to a simple command line
	interface on older versions of Windows (Versions before WinXP SP2).
	Fix segfault related to launching the Python command line 
	interpreter

2013-06-15  Philippe Michel  <philippe.michel7@sfr.fr>

	* configure.ac, lib/neuralnetsse.c, lib/sse.h, lib/inputs.c: Use
	AVX instructions when built with "configure --enable-simd=avx"

2013-06-13  Michael Petch  <mpetch@gnubg.org>

	* gtkprefs.c: Save board preferences when clicking "OK"
	on the board appearance configuration dialog.

2013-06-12  Michael Petch  <mpetch@gnubg.org>

	* dbprovider.c, dbprovider.h, gtkrelational.c, relational.c,
	  scripts/database.py : Allow hostname to be specified
	in the database connection dialog box. Hostnames can be
	any valid combination of hostname:portnumber

2013-06-07  Michael Petch  <mpetch@gnubg.org>

	* gtkwindows.c, play.c: Fix a bug that segfaulted the "end game"
	command when built with GTK and the "-t" option is used to
	launch GNUBG.

2013-06-06  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c, gnubgmodule.h, gtkgame.c, scripts/gnubg.py: Move
	loading of the Python command line interpreter to Python functions
	in gnubg.py. The Python command line now supports IPython if
	present. IPython takes precedence over the standard Python 
	interpreter. If the standard interpreter is used, attempt to
	load command history (readline module) and then try loading
	auto completion (rlcompleter module) support if present. 	

	Fix Python related ifdefs to allow compiling when built without 
	Python support.

2013-06-05  Michael Petch  <mpetch@gnubg.org>

	* scripts/gnubg.py: Add the scripts directory to the Python path
	so that files in the directory can be imported.

2013-06-05  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c, gtkgame.c, play.c: Modify the interactive Python 
	interpreter to support tab completion and command history. Begin
	reintroducing Python IDLE, since it functions on MS Windows and
	various linux distros. Ubuntu/Debian installation of IDLE can be 
	done via: apt-get install idle . If IDLE is not present it will
	drop back to the old method. CLI builds don't use IDLE at present.
	IDLE is not on the GUI menu but can be activated by turning on the
	"command" pane and entering '>' (greater than sign without quotes)
	as a command. IF IDLE is not presnt and usable it will do nothing.
	This is a work in progress.

2013-06-04  Michael Petch  <mpetch@gnubg.org>

	* gtkrelational.c: Don't allow a user to create a player database 
	that already exists.

	* dbprovider.h, dbprovider.c, scripts/database.py, gnubgmodule.c:
	Add Mysql support on Win32 platforms using pymysql (a purely
	python based database driver for mysql)

2013-06-04  Michael Petch  <mpetch@gnubg.org>

	* configure.ac, multithread.h: Allow a new autoconf/configure 
	parameter --with-eval-max-threads=size to allow the maximum number of
	evaluation threads to be specified. Default is 48 if not specified.

	* dbprovider.h, dbprovider.c, relational.c scripts/database.py:
	Fix bugs that prevented proper connections and database usage 
	when using the Mysql and Postgres player database providers. 
	Mysql and Postgres are unsupported on the MS Windows platform - 
	Disable them in the GUI

2013-05-31  Michael Petch  <mpetch@gnubg.org>

	* play.c: Under certain situations (load commands from a file 
	containing a play command within the GUI) would stop
	on an assertion. PlayCommand not properly resetting the
	notification handler. Reported by Ian Shaw

2013-05-28  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c: Fix bugs related to python handling of
	ParseMove and FormatMove . Fix bug that would cause crash when 
	command "load commands" used unquoted filenames on Win32 platform.
	Reported by Ian Shaw

2013-05-17  Michael Petch  <mpetch@gnubg.org>

	* configure.ac eval.h gnubg.weights doc/gnubgdb.xml
	  doc/gnubg/* doc/gnubgman.xml: Version bumped to V1.00.0 .

	* gnubg.c: Change default MET to Kazaross-XG2.xml

2013-04-13  Philippe Michel  <philippe.michel7@sfr.fr>

	* import.c: Interpret some of the comments eXtreme Gammon puts at
	the start of .mat files to fill match information in and determine
	game variation.
	* export.c: Writes similar comments when exporting as .mat

2013-03-26  Philippe Michel  <philippe.michel7@sfr.fr>

	* matchequity.c: Recalculate gammon prices after inverting the MET.
	This is needed for asymetric tables. Problem reported by Maik Stiebler
	in bug-gnubg.

2013-03-15  Michael Petch  <mpetch@gnubg.org>

	* doc/gnubg/* doc/gnubgdb.xml doc/gnubgman.xml: Version
	bumped to V0.91.0 in the documentation.

2013-03-07  Philippe Michel  <philippe.michel7@sfr.fr>

	* gnubg.c: Use stronger default settings for Computer opponent,
	Tutor and Analysis (2 ply instead of 0 ply) and for rollouts (0 ply
	checker play and 2 ply cube instead of 0 ply for everything).
	Increase the default JSDs and minimum trials to stop a rollout early.

	* eval.c: Use SSE instructions, if available, in the pruning nets
	computations. This is a small speed improvement but constrains the
	size of the pruning nets' intermediate layer to be a multiple of 4.

2013-03-06  Philippe Michel  <philippe.michel7@sfr.fr>

	* configure.ac, credits.sh, eval.h, gnubg.weights: New nets.
	Version bumped to 0.91.

2013-02-17  Philippe Michel  <philippe.michel7@sfr.fr>

	* format.c: Use EMG by default in matchplay analysis output since
	these numbers are generally easier to interpret than MWC.

2013-01-23  Philippe Michel  <philippe.michel7@sfr.fr>

	* simpleboard.c, simpleboard.h, export.c: Improve export of
	positions in cairo graphics. Problem reported by Leo Bueno.

2012-10-25  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c : Add movetupletostring method to the Python
	interface. Added support for tuples generated by findbestmove
	and parsemove.

2012-10-23  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c : recent removal of reduced dict item from the 
	Python eval contexts introduced a bug that produced an error
	processing the noise dict item. Reported by Bagrat Lazaryan

2012-10-21  Michael Petch  <mpetch@gnubg.org>

	* play.c, gnubgmodule.c : Fix issue with GNUBG not resigning if the 
	opponent is guaranteed to win a backgammon or a gammon. Discovered 
	in matches played by Murat (R.G.B).  Add number of points resigned 
	(1=regular,2=gammon,3=backgammon) to Python resign dictionary item.

2012-10-20  Michael Petch  <mpetch@gnubg.org>

	* analysis.c, gtkpanels.c : Fix issues with crawford games. If
	not using "automatically start next game" and you analyse a game
	or match in the game preceding the crawford game the next game
	will not be treated as a crawford game.
	See: https://savannah.gnu.org/bugs/?35179

	Fixed bug with the Crawford flag beneath the board not being 
	properly set when Crawford game is reached.

2012-10-19  Michael Petch  <mpetch@gnubg.org>

	* gtkprefs.c, renderprefs.c, set.c : Export of positions/matches
	didn't honour the board styles when GNUBG launched with -t
	or was built with --without-gtk option. Reported by Fredrik.
	See: http://lists.gnu.org/archive/html/bug-gnubg/2012-10/msg00011.html

2012-10-19  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c, gnubgmodule.h : Stack alignment issue.
	On Win32/GCC builds, SSE instructions acting on variables
	allocated on the stack in Python code would cause a segfault.
	Properly align stack in Python functions that may call SSE
	code. Reported by bagratte. See https://savannah.gnu.org/bugs/?37583 

2012-10-18  Michael Petch  <mpetch@gnubg.org>

	* play.c : Murat (R.G.B) noticed that resignations acted differently 
	in some cases. Found that resignations can be analysed in 0 ply in 
	some places and 2 ply in others. To remain consistent we now compute 
	them at 0 ply.

2012-10-11  Michael Petch  <mpetch@gnubg.org>

	* import.c : Fix BGRoom import bug reported by Adi Kadmon where 
	player names were not properly applied to Player 1 and 
	Player 2 (They could be reversed).

2012-10-11  Michael Petch  <mpetch@gnubg.org>

	* configure.ac : Configure process modified to support a thread type 
	with --enable-threads default threading is glib threads. 
	Supports win32, glib and no threading

2012-10-08  Philippe Michel  <philippe.michel7@sfr.fr>

	* configure.in: This file name is deprecated, rename it to
	configure.ac.

2012-10-07  Michael Petch  <mpetch@gnubg.org>

	* backgammon.h, gnubg.c, configure.in : Convert BUILD_DATE
	define to literal string before usage. Allow VERSION_EXT
	environment variable to be passed to autogen.sh to specify an
	extension on a version number. VERSION_EXT="-mingw" 
	would yield a version that would appear as 0.90.0-mingw .	

2012-10-07  Michael Petch  <mpetch@gnubg.org>

	* +win32/*, pixmaps/Makefile.am, configure.in, Makefile.am: 
	Added WIN32 resource support (icons etc), and general
	automake cleanup 

2012-09-18  Michael Petch  <mpetch@gnubg.org>

	* backgammon.h, dice.c, gnubg.c, gtkoptions.c, set.c,
	  lib/mt19937ar.c lib/mt19937ar.h

	Better Mersenne Twister seed support when compiled with libgmp.
	MT Seeds with libgmp support can be full range from 0 to 2^19973-1. To
	retain backward comaptibility with rolls generated from seeds between
	0 and 2^32-1 on previous releases of GNUBG, seeds in this range will 
	be set using the old method.

	GUI modified to support a seed value between 0 and 2^32-1 instead
	of 2^31-1

	When libgmp support is absent we now support unsigned 32 bit integers
	rather than signed. When compiling 64bit (without libgmp), seeds
	will be limited to 32 bit integers. Compile with libgmp to support
	seeds greater than 32 bits.

	Note: In previous releases, if libgmp support was present, seeds 
	exceeding 2^32-1 did not work as expected even though the seed 
	appeared to be successfully set.

2012-08-05  Michael Petch  <mpetch@gnubg.org>

	* gtkchequer.c: Fix string buffer over run when copying
	move analysis data. Reported by Mike Mannon, see bug 
	http://savannah.gnu.org/bugs/?37025. TODO: introduce a better
	way to allocate space for the text buffer.

2012-08-01  Philippe Michel  <philippe.michel7@sfr.fr>

	* import.c: Fix some import problems with files exported by
	eXtreme Gammon and GridGammon.

2012-07-01  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c: Added a define NO_OVERLAYSCROLLBARS that can be
	used to override LIB_OVERLAYSCROLLBARS to be 0 on platforms
	where overlay scrollbars currently cause problems. The long
	term fix is to replace GtkCList with GtkTreeview. mdpetch
	is curretly working on this solution. More information on this
	problem can be found at:
	https://bugs.launchpad.net/ubuntu/+source/gnubg/+bug/1002063

2012-06-21  Michael Petch  <mpetch@gnubg.org>

	* gtkboard.c: Fix bug reported by motiv4u and Tim Chow that
	caused edit mode to act oddly when the player on roll is changed.

2012-05-15  Michael Petch  <mpetch@gnubg.org>

	* play.c: Fix bug reported on R.G.B. by murat that prevented
	the GUI from navigating to the next game when a resignation
	is offered and the "End Game" feature is used. The issue only
	occurred in 3D view.

2012-05-04 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* drawboard3d.c: remove no longer needed board resize when cube moves
	to top of screen.

2012-03-03  Philippe Michel  <philippe.michel7@sfr.fr>

	* eval.c: Improve backgammons estimation in race pruning by using
	the same method than in the regular evaluation.

2011-12-31  Philippe Michel  <philippe.michel7@sfr.fr>

	* lib/neuralnetsse.c: Fixes error in sigmoid approximation when
	using SSE instructions. This will cause occasional small
	discrepancies in evalation output compared to previous code.

2011-12-07  Philippe Michel  <philippe.michel7@sfr.fr>

	* dice.c: fix small modulo bias in dice generation with some
	RNGs. Affects ansi, bsd, isaac, md5 and mersenne.

	As a consequence, a match or session started with the same seed
	can very occasionally unfold differently from how it did before
	the change. Rollouts using the same seed can give a marginally
	different result as well. The probability of the dice sequence
	diverging at each roll is on the order of 1 in 1,000,000,000.

Mon Oct 31 12:22:59 CET 2011 Christian Anthon <anthon@kiku.dk>

	* gtklocdefs.c, gtklocdefs.h, m4/Makefile.am
	m4/versioncompare.m4: compile on centos5

Mon Oct 31 10:40:01 CET 2011 Christian Anthon <anthon@kiku.dk>

	* analysis.c, backgammon.h, export.c, format.c, gtkboard.c, gtkgame.c,
	gtkgame.h, gtklocdefs.c, gtkpanels.c, gtktheory.c, import.c,
	makebearoff.c, play.c, set.c, sgf.c, board3d/graph.c,
	board3d/widget3d.c, lib/inputs.c: silence compiler warnings from gcc

2011-09-29  Michael Petch  <mpetch@gnubg.org>

	* html.c: BBS Match output rendered with white space
	when outputting a complete match. Rendering problem
	was because Strict XHTML DocType. Reported by Chris Yep
	BBS output cleaned up to validate properly as 
	Strict XHTML 1.0.

2011-09-08  Philippe Michel  <philippe.michel7@sfr.fr>

	* import.c: Don't replace spaces by underscores in players' names
	while importing.

2011-09-02  Michael Petch  <mpetch@gnubg.org>

	* gtkboard.c, gtkfile.c, gtkgame.c, gtklocdefs.c,
	  gtklocdefs.h, gtktoolbar.c, gtktoolbar.h, gtkwindows.c:
	Work around more deprecated functions.

2011-08-30  Michael Petch  <mpetch@gnubg.org>

	* Makefile.am, credits.sh gtk-multiview.c, gtkboard.c,
	  gtkexport.c, gtkgame.c, gtkgame.h, gtkgamelist.c,
	  gtkmovefilter.c, gtkmovefilter.h, gtkmovelist.c,
	  gtkmovelistctrl.c, gtkoptions.c, gtkpanels.c,
	  gtkprefs.c, gtkrace.c, gtksplash.c, gtktempmap.c,
	  gtktheory.c, gtktoolbar.c, gtktoolbar.h, gtkwindows.c,
	  set.c, board3d/graph.c, board3d/gtkcolour3d.c,
	  board3d/inc3d.h, board3d/misc3d.c, board3d/widget3d.c,
	  +gtklocdefs.h, +gtklocdefs.c, +gtkuidefs.h:
	Work around deprecated functions in GTK 2.24,
	remove direct member access of opaque types,
	convert GtkItemFactory to GtkUIManager for the menu
	and toolbars. Building with 2.24 using compile flags
	-DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
	-DGSEAL_ENABLE is a first step to supporting GTK3.
	Keep the code backward compatible with GTK 2.6 with
	conditional expressions.

	The above DISABLE_DEPRECATED flags are intrusive and may not allow
	to build a working gnubg on some platforms. When simply making
	changes to the menus and toolbars, it is enough to check that they
	work with -DUSE_GTKUIMANAGER -DGSEAL_ENABLE as well as without
	these flags.

2011-08-24  Michael Petch  <mpetch@gnubg.org>

	* met/Kazaross-XG2.xml: Add XG2 MET generated by Neil Kazaross

2011-08-21  Michael Petch  <mpetch@gnubg.org>

	* gtkchequer.c,gtkcube.c: Fixed bug #33781. When doing a
	chequer play rollout from the hint window, destroy the rollout
	window when the user hits "Stop" or the rollout finishes.
	This is the same behavior as doing "Rollout" from the move
	list in the game record pane. Fix similar issue with cube rollout.
	Please see https://savannah.gnu.org/bugs/index.php?33781
	for additional comments and other coding options to resolve
	these issues

2011-08-20  Philippe Michel  <philippe.michel7@sfr.fr>

	* eval.c: Improve evaluation of late bearoff positions in match
	play. Problem reported by Neil Robins (in 2009). 0- and 1-ply can
	still be way off if there is an impending automatic redouble but
	evaluations with deeper lookahead should be adequate.

2011-08-20  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c: Fixed bug #33781. When doing a chequer play rollout
	from the hint window, detroy the rollout window when the user
	hits "Stop" or the rollout finishes. This is the same behavior
	as doing "Rollout" from the move list in the game record pane.

2011-08-20  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c: Fixed bug #33141. Under Windows convert file name
	from locale to utf8 to handle special characters in file names.

2011-08-19  Michael Petch  <mpetch@gnubg.org>

	* set.c: Fixed bug reported by Chris Yep. If you use "hint"
	on a Crawford position, edit the position and remove Crawford
	flag, and click "Hint" it used the previous position info and
	produced identical results. Also occurred if using
	"set crawford" command directly.

2011-08-18  Michael Petch  <mpetch@gnubg.org>

	* configure.in, Makefile.am, gnubgmodule.c: Fixed build issues
	with Mingw/Msys environment. MingW doesn't output Binary data 
	by default to stdout. Use makeweights "-f" argument to output
	proper binary weights files. On Windows path names need to be
	properly escaped when passed to the Python interpreter.

2011-08-16  Michael Petch  <mpetch@gnubg.org>

	* sound.c, configure.in: Play CoreAudio sounds in the
	background on OS/X builds. Deficiency found by Louis Zulli. 

2011-08-16  Michael Petch  <mpetch@gnubg.org>

	* sound.c, configure.in: Play CoreAudio sounds in the
	background on OS/X builds. Deficiency found by Louis Zulli. 

2011-08-16  Philippe Michel  <philippe.michel7@sfr.fr>

	* eval.c, eval.h: Add 4ply with large movefilter to predefined
	play levels. Bump grandmaster movefilter up to large.

2011-08-15  Michael Petch  <mpetch@gnubg.org>

	* Makefile.am, configure.in, util.c, board3d/Makefile.am, 
	doc/Makefile.am: better support for Mingw/Msys windows
	builds.

2011-08-12  Michael Petch  <mpetch@gnubg.org>

	* play.c, gtkgame.c, gtkboard.c: Fixed bug #33866 reported by
	Gerhard. In 3D mode with option "Start new Games immediately"
	turned off, match would not continue properly if the computer
	offered a resignation. Also fixes the bug where the resignation
	flag is not cleared after accepting/rejecting a resignation.
	Fixed Bug #33701, #33313 - When "Start Game Immediately" option
	is off, resigning gets the user stuck trying to start a new
	game. Now allow user to click dice area on board to start new
	game after a resign.

2011-08-11  Michael Petch  <mpetch@gnubg.org>

	* set.c: When importing XGIDs prompt user in positions where
	person on roll is on top before swapping. In non interactive
	mode swapping will not occur. This option exists because XG2
	swaps players when exporting (default), so person on roll
	appears on bottom. Unfortunately, XG2 does not change the XGID
	to account for the change.

2011-08-09  Michael Petch  <mpetch@gnubg.org>

	* play.c, gtkoptions.c: A new bug was introduced that broke
	canceling of a match where bot played bot (or potentially other
	scenario of automatic play). Fixed an old bug where canceling
	automated bearoff of the human didn't work properly. Cache size
	is now reported as MB (Megabyte) not "Mb" (Megabit).

2011-08-07  Michael Petch  <mpetch@gnubg.org>

	* set.c: Some imported XGID cube positions were not properly
	swapped when the board was displayed. Reported by Philippe (plm)

2011-08-07  Michael Petch  <mpetch@gnubg.org>

	* play.c: Fixed bug #33143 reported by Kevin McDonough where 
	interrupting a forced move in 2D got into wrong state causing
	bot not to continue automatic play.

2011-08-03  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c: Add PythonParseMove function

2011-08-03  Michael Petch  <mpetch@gnubg.org>

	* set.c: Fixed the display of the board when importing XGID's
	so that they appear *similar* to those HTML positions pasted to
	websites. Reported by Leo Bueno (on BGO). Assume that most
	people are using XG2 and exporting with default setting "Player
	on roll always at the bottom".

2011-08-03  Philippe Michel  <philippe.michel7@sfr.fr>

	* gnubg.c, gtkboard.c, play.c, set.c: More fixes to swap players
	feature.

2011-08-01  Philippe Michel  <philippe.michel7@sfr.fr>

	* play.c, gnubg.c, set.c: Fixed display of SETBOARD records in the
	game record panel (bug #32778). Fixed Game|Swap players for games
	ending with a SETBOARD record (in practice, games created from a
	pasted id).

2011-07-29  Michael Petch  <mpetch@gnubg.org>

	* analysis.c: Previous getLuckRating change had unintended side
	effects when we stopped using hard coded values. Hard coded values
	were off by an approximate factor of 10. Although this has been fixed
	it may wish to be revisited as to why the values were hardcoded in
	this fashion originally. Reported by Chris (pck).

2011-07-17  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c: Fixed Python position key functions to internally call 
	the old style position keys functions. Fixes compiler errors due to 
	new position key changes made on 2011/07/15.

2011-07-15  Philippe Michel  <philippe.michel7@sfr.fr>

	* positionid.c, positionid.h, lib/cache.c, lib/gnubg-types.h: Use
	a simpler position key for internal use. PositionKey() and
	PositionFromKey() are much faster. The global speed improvement is
	about 10%.
	A side effect is that the evalution cache becomes 38% larger.

2011-07-09  Philippe Michel  <philippe.michel7@sfr.fr>

	* gnubg.c, gtkgame.c: Set players names from default_names at
	program launch and when pasting a position id, in addition to when
	starting a match.

2011-07-08  Philippe Michel  <philippe.michel7@sfr.fr>

	* play.c: Update players names in game record panel when starting
	a new match.

2011-06-13  Michael Petch  <mpetch@gnubg.org>

	* analysis.c: getLuckRating was returning values based
	on old hard coded luck thresholds. Use the user supplied 
	ones instead 

2011-06-08  Michael Petch  <mpetch@gnubg.org>

	* gnubgmodule.c: Add new python function "DiceRolls" to 
	return the next "n" rolls from the current RNG. 

2011-05-18  Michael Petch  <mpetch@gnubg.org>

	* configure.in:  --enable-threads and --enable-extmatchid are 
	now the default. amd64 cpu types will automatically enable sse2

2011-05-17  Michael Petch  <mpetch@gnubg.org>

	* gtkgame.c: Modify the Menu to support copying of GNUBGID's,
	as well as the MatchId or positionID's individually.

2011-05-17  Michael Petch  <mpetch@gnubg.org>

	* configure.in: Modify the ./configure process to now enable
	Extended match ID's by default. They can be disabled with
	--disable-extmatchid

2011-05-17  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c, backgammon.h, gtkfile.c, gtkrelational.c: The word 
	"Relational" has been removed from the GUI when referring to the 
	database. This makes more sense to the casual users. Fixed the 
	situation where a Batch sometimes had to be preceded by a clear 
	match/session. Fixed bug reported by Leo that prevented matches 
	being analysed with incomplete analysis settings. Fixed bug
	reported by Leo Bueno that prevented matches that may not have been
	played to completion from being analysed. Added Warning if you 
	use incomplete analysis settings and have requested to save the 
	matches to the database

2011-05-13  Philippe Michel  <philippe.michel7@sfr.fr>

	* eval.c, lib/inputs.c (new file), lib/Makefile.am: Computation of
	baseInputs() with SSE. The code was already there in eval.c, but
	commented out.

2011-05-08  Philippe Michel  <philippe.michel7@sfr.fr>

	* lib/gnubg-types.h, lib/cache.h, lib/cache.c, backgammon.h,
	positionid.h, positionid.c, analysis.c, eval.c, export.c, eval.h,
	gnubg.c, gnubgmodule.c, gtkboard.c, gtkpanels.c, import.c, play.c,
	rollout.c, set.c, sgf.c, makebearoff.c, makehyper.c:
	Use a defined type for the position key.
	Small speed up with faster EqualKeys and CopyKey macros.

2011-04-10  Michael Petch  <mpetch@gnubg.org>

	* board3d/drawboard3d.c board3d/fun3d.h board3d/shadow.c:
	Converted int to GLint where appropriate to avoid compiler
	warnings about incompatible types in certain build 
	environments.

2011-04-09  Philippe Michel  <philippe.michel7@sfr.fr>

	* gtkexport.c, gtkgame.c, gtktempmap.c: Alter some pop-up panels
	that were too tall too be usable on smaller screens (the OK button
	was below the bottom of the display). Affected are
	Settings|Export, Settings|Rollouts and Analyze|Temperature Map.

2011-04-08  Michael Petch  <mpetch@gnubg.org>

	* gtkprefs.c: Fixed bug that disallowed import/export board
	designs from using file names with paths that had spaces on
	Windows (WIN32) platform.

2011-04-08  Michael Petch  <mpetch@gnubg.org>

	* gtkgame.c, play.c: Fixed bug that didn't update the cube
	properly when navigating from a non crawford game to crawford
	game. Reported by Ongun Alsac.

2011-04-06  Michael Petch  <mpetch@gnubg.org>

	* configure.in, board3d/font3d.c, board3d/inc3d.h: Added
	better 3dboard autoconf support for Apple build environments.
	Use Apple OpenGL, and add appropriate check for GTK
	X windows headers. GTK does not necessarily rely on X as a
	backend.

2011-04-06  Michael Petch  <mpetch@gnubg.org>

	* gnubg.c: Fixed WIN32 specific bug that caused command
	filenames with spaces to not be processed. Reported by Nardy.

2011-03-23  Michael Petch  <mpetch@gnubg.org>

	* gtkboard.c, play.c, gtkgame.c: Fixed bug that caused
	crawford flag to be unset in the GUI if you changed to
	a crawford game in the game list. Reported by Phillipe
	Michel. Fixed bug that caused a new money session to
	not correctly use the global Jacoby setting in some
	cases.

2011-03-23  Michael Petch  <mpetch@gnubg.org>

	* gtkboard.c: Update global match state with changes in
	score made through edit mode. Fixes hint/edit bug reported 
	by Pierre Zakia

2011-03-23  Michael Petch  <mpetch@gnubg.org>

	* gtkboard.c: Did cleanup of new Jacoby code.
	Modified the edit GUI to enforce proper Crawford
	settings when editing. If scores and match length
	make Crawford impossible, disable Crawford toggle
	and turn off Crawford until settings make it possible

2011-03-22  Michael Petch  <mpetch@gnubg.org>

	*  gnubg.c, gtkgame.c, gtkboard.c, matchid.c, play.c
	set.c, gtkboard.h: Improve support for Jacoby. 
	- When using extended Match ID's - Jacoby comes from 
	  the ID, 
	- When using regular ID's Jacoby is decided by the
	  global "Jacoby" setting in options. 
	- Fixed bug with Jacoby being read from an extended ID. 
	- Added Jacoby flag to the table. When MatchLen is
	  0 (money session) Crawford flag replaced by Jacoby
	  and vice versa.
	- Fixed some editing issues with Crawford

2011-03-22  Michael Petch  <mpetch@gnubg.org>

	*  gtkgame.c, simpleboard.c, gnubgmodule.c, matchid.c
	matchid.h, configure.in, play.c : Began adding support
	for an extended matchID that includes Jacoby. While in
	testing phase ./configure supports  --enable-extmatchid
	and a USE_EXTENDEDMATCHID define in config.h. By default
	builds do not have this feature turned on.

2011-03-20  Philippe Michel  <philippe.michel7@sfr.fr>

	* gnubg.c: Fixed missing handling of MOVE_SETBOARD records in
	swapGame(). Needed for single positions (bug #32272) and games
	with illegal moves.

2011-03-19  Philippe Michel  <philippe.michel7@sfr.fr>

	* set.c: Don't change the global Jacoby setting when pasting a XGID.

2011-03-17  Michael Petch  <mpetch@gnubg.org>

	*  gtkgame.c : Fixed ClipBoard copy from the Match
	statistics dialog that caused both players data to
	be the same. Added player names to the match statistic
	tables (treeviews). Reported by Boomslang

2011-03-17  Philippe Michel  <philippe.michel7@sfr.fr>

	* positionid.h, eval.c: Speed improvements.

2011-03-16  Michael Petch  <mpetch@gnubg.org>

	*  gnubgmodule.c : Added GNUBG python module functions: 
	gnubgid, matchid, posinfo
	ToDo: xgid

2011-03-14  Michael Petch  <mpetch@gnubg.org>

	*  gnubg.c, sound.c, configure.in : Added support for Apple
	CoreAudio sound on platforms that are supported. CoreAudio
	takes precedence over QuickTime. This should allow for native
	64bit builds without the need for an external sound player.

2011-03-10  Michael Petch  <mpetch@gnubg.org>

	*  gnubg.c: Fixed bug with random numbers being read from
	www.random.org preventing GNUBG from exiting. We now skip HTTP 
	headers and make sure we don't read more numbers than the
	dice array can hold. Reported by Leo Bueno.

2011-03-07  Michael Petch  <mpetch@gnubg.org>

	*  board3d/drawboard3d.c: Fixed array indexing issue in drawDice that
	would cause hangs/crashes on OS/X when "set gui dicearea on" with
	3D boards were on. Crash would occur during program startup. May be
	related to fix committed on 2009-03-26 by Christian.
	Reported by Pierre Viau.

2011-03-04  Michael Petch  <mpetch@gnubg.org>

	* gtkgame.c: Fixed problem with language change getting stuck
	in loop

2011-02-24  Philippe Michel  <philippe.michel7@sfr.fr>

	* gnubg.c: In Tutor/Hint, always evaluate the tried move at the
	deepest ply. Problem pointed by Michael Depreli in bug-gnubg.

2011-02-14  Philippe Michel  <philippe.michel7@sfr.fr>

	* sgf.c, eval.h (comment only), gtkgame.c, gnubg.c, analysis.c:
	Fixed crash when loading a take or drop saved as a position (bug
	#32270).

Mon Feb 14 21:11:28 CET 2011 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, gnubg.c, gtkchequer.c, gtkcube.c,
	gtkexport.c, gtkfile.c, gtkgame.c, gtkmet.c, gtkmovefilter.c,
	gtkoptions.c, gtktoolbar.c, gtkwindows.c, play.c, set.c: Have
	different default and current player names. Only change default 
	player names in dialog, not in edit mode. Attempt to autosave
	settings.

Mon Feb 14 18:05:09 CET 2011 Christian Anthon <anthon@kiku.dk>

	* sound.c: Fix sound in cl interface (unix)

2011-02-13  Philippe Michel  <philippe.michel7@sfr.fr>

	* play.c: Fix display of MOVE_SETCUBEPOS in game record panel.

Sat Feb 12 22:19:18 CET 2011 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: Just one clist to go.

2011-02-10  Philippe Michel  <philippe.michel7@sfr.fr>

	* po/ro.po, configure.in, gtkgame.c, flags/romania.png,
	flags/Makefile.am : Romanian translation by Mihai Varzaru.

2011-02-09  Philippe Michel  <philippe.michel7@sfr.fr>

	* eval.c: Small speed improvements.

2011-02-08  Philippe Michel  <philippe.michel7@sfr.fr>

	* eval.c, lib/neuralnetsse.c, lib/neuralnet.h : Øystein Johansen's
	patch to handle a different number of hidden nodes with SSE.

Tue Feb  8 20:23:42 CET 2011 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, backgammon.h, commands.inc, gtkgame.c, R record.c, R
	record.h: remove the rest of old player records

Tue Feb  8 19:54:13 CET 2011 Christian Anthon <anthon@kiku.dk>: :

	* gtkgame.c: cleanup after previous commit
	* progress.c: convert the rollout clist to tree view, sortable and
	simpler, but fewer details than before.

Tue Feb  8 19:16:12 CET 2011 Christian Anthon <anthon@kiku.dk>: 

	* gtkgame.c, gtkgame.h: update the evaluation summary to gtk_combo_box

Tue Feb  8 18:24:42 CET 2011 Christian Anthon <anthon@kiku.dk>

	* gtkmovefilter.c: update movefilter selection to gtk_combo_box

Tue Feb  8 17:58:05 CET 2011 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: update the stats navigation to gtk_combo_box

Sun Feb  6 21:04:11 CET 2011 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, gnubgstock.c, gnubgstock.h, gtkgame.c,
	gtkpanels.c, gtktoolbar.c, gtkwindows.c, gtkwindows.h,
	pixmaps/Makefile.am, pixmaps/gnubg-stock-pixbufs.h,
	pixmaps/24x24/actions/anti_clockwise_24.png,
	pixmaps/24x24/actions/clockwise_24.png,
	pixmaps/24x24/actions/new0_24.png, pixmaps/24x24/actions/new11_24.png,
	pixmaps/24x24/actions/new13_24.png,
	pixmaps/24x24/actions/new15_24.png,
	pixmaps/24x24/actions/new17_24.png, pixmaps/24x24/actions/new1_24.png,
	pixmaps/24x24/actions/new3_24.png, pixmaps/24x24/actions/new5_24.png,
	pixmaps/24x24/actions/new7_24.png, pixmaps/24x24/actions/new9_24.png,
	pixmaps/24x24/actions/resignsb_24.png,
	pixmaps/24x24/actions/resignsg_24.png,
	pixmaps/24x24/actions/resignsn_24.png, R xpm/*: Cleanup of the pixmaps

Sat Feb  5 18:27:35 CET 2011 Christian Anthon <anthon@kiku.dk>

	* gtkpanels.c: one less clist

Wed Feb  2 22:00:24 CET 2011 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: one less clist.

2011-01-30  Philippe Michel  <philippe.michel7@sfr.fr>

	* export.c, commands.inc, file.c, backgammon.h : Export games and
	matches in Snowie standard text format.

2011-01-23  Philippe Michel  <philippe.michel7@sfr.fr>

	* positionid.h : Speed improvement.

2011-01-20  Philippe Michel  <philippe.michel7@sfr.fr>

	* export.c : More robust .mat export in case of illegal moves.
	Stepping stone to Snowie standard text export.

2011-01-10  Philippe Michel  <philippe.michel7@sfr.fr>

	* latex.c: Escapes characters reserved by TeX/LaTeX (%, $, _,
	etc...) + other minor fixes.

	* gnubg.c, html.c, latex.c, text.c : Should avoid ??-numbered
	moves in exports.

2011-01-05  Philippe Michel  <philippe.michel7@sfr.fr>

	* gtkmovefilter.c, gtktheory.c: Prevent warnings about deprecated
	usage of GtkSpinButton that appeared with a recent gtk2 update.

	* gtkgame.c: Decrease absurdly high page_increments in some
	GtkSpinButtons.

	* gtktheory.c: Decrease a page_increment that seemed too high.

2010-12-21  Philippe Michel  <philippe.michel7@sfr.fr>

	* import.c: Fix handling of resignations in .mat files created by
	eXtreme Gammon.

2010-11-29  Philippe Michel  <philippe.michel7@sfr.fr>

	* gtkcube.c: More unwarranted assertion failures.

	* speed.c: Fix speed calibrating.

2010-11-21  Philippe Michel  <philippe.michel7@sfr.fr>

	* rollout.c: Fix for crashes in rollouts. This is essentially
	Guido Flohr's patch from the discussion of bug #29880.

	* gtkcube.c: Avoid assertion failure when asking for a cube
	decision hint after rolling the dice. Bug #31713.

2010-11-13  Philippe Michel  <philippe.michel7@sfr.fr>

	* gtktempmap.c: Retain temperature map's checkboxes status (for a
	given instance, not in gnubgautorc). Bug/wish #27150.

2010-11-11  Philippe Michel  <philippe.michel7@sfr.fr>

	* rollout.c: In multithreaded rollouts, make every alternative
	stop at the right number of trials instead of when the speediest
	one reaches it.

	* progress.c, format.c, format.h, gnubg.c: fix TextOutputProgress()
	display of match cubes (bug #27149).

2010-11-01  Philippe Michel  <philippe.michel7@sfr.fr>

	* play.c: workaround for bug #27178

	* backgammon.h, commands.inc, gtkgame.c, html.c: copy position as
	URL to image.backammonbase.com. Submitted by Noriyuki Hosaka :
	http://lists.gnu.org/archive/html/bug-gnubg/2010-04/msg00024.html

2010-10-31  Philippe Michel  <philippe.michel7@sfr.fr>

	* play.c: don't do luck analysis while playing as highlighting
	very lucky or unlucky rolls in the game record panel gives away
	big equity swings.
	http://lists.gnu.org/archive/html/bug-gnubg/2010-06/msg00034.html

	* eval.h, eval.c, gtkoptions.c: bump up evaluation cache size
	default x4 to 21Mb, maximum settable from GUI x2 to 336Mb

2010-10-29  Philippe Michel  <philippe.michel7@sfr.fr>

	* NEWS, dice.c, eval.c, gtkpanels.c, show.c: typos
	Picked from Debian and FreeBSD ports.

2010-10-17  Philippe Michel  <philippe.michel7@sfr.fr>

	* file.c: Fix in automatic import. Detect sgg now.

	* gtkfile.c: In the Open File panel, with supported files filters,
	show both lowercase and uppercase file extensions.

2010-09-27  Philippe Michel  <philippe.michel7@sfr.fr>

	* set.c: XGIDs with large cubes were not correctly decoded

Wed Jul 28 16:42:36 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* set.c: checkers weren't swapped when reading XGIDs

Fri Jul 16 21:52:51 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: Allow rolling on both sides and start new game/match as
	appropriate

Fri Jul 16 18:12:30 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: fix redraw bug when navigating an unfinished move where
	dice are rolled.

Fri Jul 16 14:03:13 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* render.c: fix clockwise display. Bar was reversed.

Mon Jul  5 20:00:46 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* format.c: fix text output of rolled out cube analysis

Mon Jul  5 19:39:35 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* play.c: remove TurnDone from CancelCubeAction. Fixes a batch analyse
	bug.

Fri Jun 25 16:00:08 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* gtkfile.c: Show the discard dialog before batch analyse starts.

Fri Jun 25 10:49:12 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, gnubg.c, gtkboard.c, set.c: support for
	xg ids - please test

Thu Jun 24 01:31:48 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* analysis.c: don't refind move, when none made

Sun Jun 20 17:42:38 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* analysis.c: refind made move after cmark_rollout

Sat Jun 19 09:22:16 CEST 2010 Christian Anthon <anthon@kiku.dk>

	* eval.c, import.c: Fix a counting error in the import match code. Ask
	if you want to try another variation after the first one fails.

2010-06-02  Philippe Michel  <philippe.michel7@sfr.fr>

	* commands.inc, file.c: if an export format is not supported by
	the build, #if it out of the UI.

	* configure.in, export.c, gnubgmodule.c : patches by Christopher
	Hofmann via bug-gnubg@gnu.org

2010-05-29  Philippe Michel  <philippe.michel7@sfr.fr>

	* rollout.c: partial fix for stop-on-jsd criterion
	From http://lists.gnu.org/archive/html/bug-gnubg/2010-01/msg00041.html

	* matchequity.c: wasteful computations in GetPoints()
	Pointed by Massimiliano Maini in
	http://lists.gnu.org/archive/html/bug-gnubg/2009-07/msg00002.html

2010-05-26  Philippe Michel  <philippe.michel7@sfr.fr>

	* gtkgame.c: compiles again with pre-2.12 gtk
	From http://lists.gnu.org/archive/html/bug-gnubg/2009-11/msg00016.html

2010-05-23  Philippe Michel  <philippe.michel7@sfr.fr>

	* gtkpanels.c: Crawford game highlighted in the games pulldown in
	the Game record panel. Bug #28463.

	* rollout.c: change "Stop when STD is small enough" criterion for
	rollouts. Parameter is stdev of equity, not the ratio of
	stdev/value for every output. See rationale at
	http://lists.gnu.org/archive/html/bug-gnubg/2009-02/msg00035.html
	and
	http://lists.gnu.org/archive/html/bug-gnubg/2009-10/msg00159.html
	* gtkgame.c: GUI change
	* gnubg.c, sgf.c: older default values for maxerr become inadequate

2010-05-08  Philippe Michel  <philippe.michel7@sfr.fr>

	* text.c: fix double output of match statistics in plain text export

2010-05-03  Philippe Michel  <philippe.michel7@sfr.fr>

	* gnubg.c: use Rockwell-Kazaross MET by default

Tue Dec 29 19:56:07 CET 2009 Christian Anthon <anthon@kiku.dk>

	* rollout.c: minor fixes: a) check jsd's before rollout b) fix a minor
	jsd bug where the number of trials where checked for the wrong
	alternative. c) allow trials to catch up when extending rollouts

Tue Dec 29 07:36:41 MST 2009 Michael Petch <mpetch@gnubg.org>: 

	* gnubg.c: Fix random.org buffer overrun, Cleanup code and
	add appropriate User-Agent string

Wed Dec 23 22:34:19 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: random.org has been restructered, update the GET
	accordingly

Sat Dec 12 15:25:58 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtktoolbar.c: reset of board when entering edit mode didn't work

Mon Nov 30 19:54:56 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: add keyboard short-cuts to marked navigation menu items

Tue Nov 24 21:51:56 CET 2009 Christian Anthon <anthon@kiku.dk>: 

	* gtkrolls.c: fix a bug where the printed average equity was wrong
	when MWC printed as EM

Sat Nov 21 21:56:58 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtkoptions.c, gtkpanels.c: Minor warnings, fix resizing of
	commentary panel.

Fri Nov 13 23:30:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkoptions.c, dice.c: Simplify dice entry method dialog

Tue Nov 03 17:30:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkboard.c: Improve manual dice selection colours and text

Sat Oct 31 21:48:27 CET 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gtkgame.c, import.c, timer.c: dnd didn't work under
	linux at all. Plus minor compiler warnings.

Thu Oct 29 11:30:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Allow files to be dropped onto gnubg to open them
		Bug #27685 suggested by Eric.

Mon Oct 26 16:30:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* render.c, gtkboard.c + others: Sort out 2d dice colours when in 3d mode

Sun Oct 18 12:30:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Sort out full screen transitions

Tue Oct 13 19:30:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkboard.c + others: Move gnubgid into status bar

Mon Oct 12 21:30:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Simplify player and rollout evaluation settings

Fri Oct  9 15:46:17 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c: error in last checkin source and dest reversed

Wed Oct  7 21:17:04 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c: protect movelist during autosave

Tue Oct  2 04:32:27 MDT 2009 Michael Petch <mpetch@gnubg.org>

	* progress.c: Fix assert/crash when doing a single rollout 
	when no stopall button is present

Thu Oct  1 23:04:28 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, backgammon.h, commands.inc, external.c, gnubg.c,
	gtkgame.c, gtkoptions.c, gtkprefs.c, gtksplash.c, import.c,
	multithread.c, multithread.h, play.c, rollout.c, set.c, sgf.c, show.c,
	speed.c: add autosave functionallity during analysis and rollout.
	disabled by default -- needs testing.

Thu Oct  1 15:18:32 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtktoolbar.c: remove labels from navigation buttons and add previous
	marked and cmarked buttons.

Wed Sep 30 08:57:54 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkfile.c: quote filename input to Open Commands

Wed Sep 30 00:07:22 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, gnubg.c, gtkchequer.c, gtkcube.c, gtkgame.c, progress.c,
	progress.h: add button to stop all cmarked rollouts. Fix a few minor
	cmark navigation problems

Tue Sep 29 21:45:37 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* simpleboard.c: fix a language problem with fonts

Wed Sep 23 23:18:09 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: fix problem with inactive navigation buttons

Wed Sep 23 23:15:00 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: only update eval/hint settings when sameasanalysis is
	uncticked.

Wed Sep 23 23:07:10 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, eval.c, evallock.c, gnubg.c, multithread.c,
	multithread.h, progress.c, rollout.c: use mt rollout code for
	non-threaded rollouts. Only generate unlocked code with
	--disable-threads

Mon Sep 21 09:41:27 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, backgammon.h, gnubgmodule.c, gnubgstock.c, gnubgstock.h,
	gtkgame.c, gtkpanels.c, gtktoolbar.c, play.c, pixmaps/Makefile.am,
	pixmaps/gnubg-stock-pixbufs.h,
	pixmaps/16x16/actions/go-prev-marked_16.png,
	pixmaps/16x16/actions/go_next_16.png,
	pixmaps/16x16/actions/go_next_cmarked_16.png,
	pixmaps/16x16/actions/go_next_game_16.png,
	pixmaps/16x16/actions/go_next_marked_16.png,
	pixmaps/16x16/actions/go_prev_16.png,
	pixmaps/16x16/actions/go_prev_cmarked_16.png,
	pixmaps/16x16/actions/go_prev_game_16.png,
	pixmaps/16x16/actions/go_prev_marked_16.png,
	pixmaps/24x24/actions/go-prev-marked_24.png,
	pixmaps/24x24/actions/go_next_24.png,
	pixmaps/24x24/actions/go_next_cmarked_24.png,
	pixmaps/24x24/actions/go_next_game_24.png,
	pixmaps/24x24/actions/go_next_marked_24.png,
	pixmaps/24x24/actions/go_prev_24.png,
	pixmaps/24x24/actions/go_prev_cmarked_24.png,
	pixmaps/24x24/actions/go_prev_game_24.png,
	pixmaps/24x24/actions/go_prev_marked_24.png,
	pixmaps/scalable/actions/go_next_cmarked.svg,
	pixmaps/scalable/actions/go_next_marked.svg,
	pixmaps/scalable/actions/go_prev_cmarked.svg,
	pixmaps/scalable/actions/go_prev_marked.svg: add cmark navigation,
	move navigation toolbar to main toolbar. Works best with
	toolbar->icons only.

Fri Sep 18 11:40:40 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, backgammon.h, configure.in, dbprovider.c, dbprovider.h,
	gnubg.c, gtkgame.c:  allow compiling without sqlite even when found.
	Notice that HAVE_SQLITE is now USE_SQLITE in your config.h

Fri Sep 18 00:37:23 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkcube.c: Print cubeless details in take/drop for EVAL_ROLLOUT.

Wed Sep 16 23:30:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c + others: Simplify analysis gui settings

Tue Sep 13 06:30:12 MDT 2009 Michael Petch <mpetch@gnubg.org>

	* eval.c: Properly initialize all thread specific data to NULL

Tue Sep 13 00:03:19 MDT 2009 Michael Petch <mpetch@gnubg.org>

	* analysis.c: Fixed non threaded build errors

Sat Sep 12 21:41:50 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkchequer.c: Update board on MoveListMove to allow it to work with
	tutor.

Sat Sep  5 14:10:46 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkmovelist.c: Fix a bug where worst move were reported as outside
	the list.

Tue Sep  4 00:48:46 MDT 2009 Michael Petch <mpetch@gnubg.org>

	* eval.c: Increased bits for score keys to allow appropriate
	hashing for matches up to 64away-64away corresponding to the
	current maximum match length of 64.

Tue Sep  4 00:41:50 MDT 2009 Michael Petch <mpetch@gnubg.org>

	* sgf.c: FIXED: cmark data is not restored properly when an SGF
	file is opened. The last candidate move for each position will lose its
	cmark status.

Tue Sep  1 22:41:46 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubgmodule.c: Avoid calling PyRun_File to allow linking against
	official windows python. Needs testing.

Tue Sep  1 21:12:24 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* eval.c, eval.h, gtkgame.c, rollout.c, rollout.h: silence prototype
	warnings

Tue Sep 01 19:30:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* eval.c: Remove noise entry from cache key and increase plies size

Tue Sep 01 19:00:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* various files: Remove the (currently unused) reduction evaluation code.

Sun Aug 30 22:00:00 2009  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* eval.c/.h, rollout.c/.h, cache.c/.h, multithread.c: Try to speed up single threaded code
	in multi-threaded build.

Sat Aug 22 22:50:38 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, format.c, gnubg.c, gtkgame.c, rollout.c,
	set.c: Simplify stop on jsd by just having one option.

Sat Aug 22 22:40:22 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: silence unknown keyword error during load of rc files

Fri Aug 21 23:02:38 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* play.c: fix problems with storing computer cube evals

Fri Aug 21 18:22:55 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: check for et == EVAL_NONE before displaying skills

Fri Aug 14 21:05:09 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* dbprovider.c: width has size of size_t, which is different from int
	on 64 bit platforms causing crash on db lookup

Tue Aug 11 22:45:52 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, backgammon.h, commands.inc, gnubg.c, gtkgame.c, set.c,
	show.c: Remove set analysis move limit. Didn't do any good.

Mon Aug 10 21:15:32 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* eval.c: more or less revert to a cleaned up version of
	FindBestMoveInEval, but declare pm a volatile pointer.

Sat Aug  8 20:07:51 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: hint didn't annotate MOVE_DROP

Sat Aug  8 14:42:20 CEST 2009 Christian Anthon <anthon@kiku.dk>

	*  eval.c: clean up the prune evaluation function (FindBestMoveInEval)
	and circumvent a compiler bug causing invalid prune evaluation on
	certain systems using gcc compiler optimization. This is a critical
	function and should be optimized further if possible.

Thu Aug  6 10:44:28 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* play.c: destroy pmr_hint on changed dice

Wed Aug  5 18:21:59 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubgmodlule.c: remove inline from DictItemSteal, isn't inlined
	by gcc, and pointless anyway.

Mon Aug  3 23:57:49 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkgame.c, gtksplash.c, show.c, util.c, util.h: add options
	to specify datadir, pkgdatadir and docdir

Tue Jul 21 11:52:24 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, gnubg.c: add command to turn off output

Thu Jul 16 22:55:06 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* po/da.mo, progress.c: port rollout stat page to gtk_tree_view

Thu Jul  9 21:12:42 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* play.c: fix a problem with disappearing dice when Previous reaches
	game border and let Next and Previous Marked skip game borders

Tue Jul 07 12:00:00 2003  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Tidy stop button

Tue Jun 30 12:00:00 2003  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* neuralnet.c, gnubg.c,eval.c: Simplify SSE, now it's either supported or it isn't

Tue Jun 30 09:10:24 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* po/da.mo, board3d/Makefile.am, po/POTFILES.in, po/cs.po, po/da.po,
	po/de.po, po/en_US.po, po/es.po, po/fr.po, po/gnubg.pot, po/is.po,
	po/it.po, po/ja.po, po/ru.po, po/tr.po: update the danish translation
	and remove misc3d.h from Makefiles and POTFILES.in

Mon Jun 29 20:00:00 2003  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* neuralnet.c, gnubg.c: Add check for SSE2

Thu Jun 25 22:50:54 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkfile.c: fix a problem with translated text in the save
	dialog used for the "save" command.

Wed Jun 24 22:19:44 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, gtkgame.c, play.c, set.c: add a menu
	point to clear turn (dice and cubes) and add the functionally to
	the dice widget as a button.

Mon Jun 22 05:47:27 CEST 2009 Michael Petch <mpetch@gnubg.org>

	* configure.in, lib/neuralnetsse.c, fixed SSE2 build problems
	and defaulted Apple OS/X i386 builds to use SSE2

Sun Jun 21 23:21:36 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* configure.in, lib/neuralnetsse.c, lib/sigmoid.h: check Øysteins
	sigmoid sse2 patch in.

Sun Jun 14 22:00:00 2003  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* positionid.c: Rewrite position key functions (hopefully faster)

Sat Jun 13 02:04:28 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* err? gmon.out, Makefile.am, Makefile.w32, TODO, configure.in,
	matchequity.c, matchequity.h, board3d/Makefile.am,
	board3d/Makefile.win, board3d/drawboard3d.c: minor cleanups after
	removal of libxml code

Wed Jun 12 23:00:00 2003  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* matchequity.c: Replace libxml code that reads met (code from Øystein)

Fri May  8 14:29:05 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* import.c: fix tmg import of resigns

Fri May  8 13:08:57 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, html.c, latex.c, text.c: checkin of Philippe Michel's
	export patch.

Wed May  6 21:24:09 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkfile.c, gtkfile.h, gtkgame.c: Re-implement the load commands menu
	item

Wed May  6 15:44:22 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: too good to redouble-pass errors didn't get annotated

Tue May  5 22:55:53 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, eval.c: add command to clear cache for
	test purposes

Tue May  5 18:08:56 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtktempmap.c: fix font size for locales using comma

Sun Apr 26 23:01:07 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* format.c, format.h, gnubg.c, html.c, progress.c, progress.h,
	rollout.c, rollout.h:  Fix the rollout timer to allow for stopped
	rollouts and differing number of games done. Print the rollout context
	in the text progress.

Sun Apr 26 01:02:06 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* rollout.c: mt rollouts stopped one short of the minum number of
	trials when using jsd or sd criteria.

Sat Apr 25 22:01:35 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* AUTHORS, credits.sh, non-src/credits.c: Add Ingo Macherius to list
	of code contributors.

Fri Apr 24 21:55:27 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, renderprefs.c, renderprefs.h: Clean the CommandSaveSettings
	function up, and fix a (gtk) bug where saving the settings would pop
	an error message about resource unavailable.

Wed Apr 22 18:28:09 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* progress.c: show the number of trials finished for each of
	candidates

Tue Apr 21 01:08:20 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* import.c: match wasn't cleared before import of mat files

Mon Apr 20 17:46:37 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c, play.c: fix a minor problem in quick_roll and dont' call
	CommandPlay when clicking during computer turn (may crash)

Mon Apr 20 17:42:19 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkrace.c, osr.c: only perform automatic osr when the position is a
	race and fix a problem in osr with chequers in the 3rd or 4th quadrant

Sat Apr 18 23:45:02 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkchequer.c, play.c: fix two problems with the update of skill
	labels reported by Philippe Michel.

Sat Apr 18 22:29:37 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: set shrink FALSE in the panel pane
	* rollout.c: fix typo in jsd check causing cube rollouts to stop early 

Wed Apr 15 19:51:11 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* import.c: check for bg variations when importing mat.

Sun Apr  5 17:16:41 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c, gtkgame.c: add labels to the manual dice widget

Fri Apr  3 22:04:43 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: Use the player's dice color to chose who wins
	the opening roll with manual dice.

Fri Apr  3 21:45:17 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubgmodule.c, gtkprefs.c, import.c, multithread.c, play.c,
	relational.c, text.c: minor compile stuff, an error in the last
	checkin, and ifdef WIN32 the align in multithread.c

Fri Apr  3 13:59:50 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gtkboard.c, gtkchequer.c, play.c: CommandMove didn't
	accept moves of type 25/16.

Thu Apr  2 23:33:25 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* play.c: hopefully fix a crash related to canceling of manual dice

Thu Apr  2 22:32:14 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* play.c: fix a crash (assert in getCubeDecisionOrdering) when
	updating the current game annotions. 

Thu Apr  2 10:13:47 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: hint - don't update annotation when working through tutor

Wed Apr  1 17:41:13 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkoptions.c: display options was added twice and rng was update
	even if unchanged 

Mon Mar 30 13:52:31 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: rc files should be added before gtk_init

Mon Mar 30 10:46:29 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: add highligting to the skill label when take/drop

Sun Mar 29 21:25:51 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* gnubgmodule.c: Avoid calling PythonNextTurn in PythonCommand, since
	PythonNextTurn always plays the next turn, and the command doesn't
	imply that.

Sun Mar 29 15:50:38 CEST 2009 Christian Anthon <anthon@kiku.dk>

	* dice.c, dice.h, gnubg.c, play.c, rollout.c: fall back to mersenne
	twister if dice generator fails

Sat Mar 28 23:12:15 CET 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, gnubg.c, gtkcube.c, gtkgame.c: minor fixes to
	hint/analysis of games with beavers: account for initial double
	in statistics, but not the following ones and show the take/beaver
	widget when applicable (i.e. not for raccoons).

Sat Mar 28 22:49:14 CET 2009 Christian Anthon <anthon@kiku.dk>

	* play.c: fix to find the dice after updating the gamelist

Sat Mar 28 22:42:43 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtkoptions.c, show.c: fix tooltips for rngs and refactor the options
	page function

Sat Mar 28 22:30:41 CET 2009 Christian Anthon <anthon@kiku.dk>

	* m4/az_python.m4: detect python2.5 and python2.6

Sat Mar 28 22:16:21 CET 2009 Christian Anthon <anthon@kiku.dk>

	* commands.inc, gnubg.c: fix a few command help strings

Sat Mar 28 22:11:39 CET 2009 Christian Anthon <anthon@kiku.dk>

	* eval.c: delete a debug message and reformat a few things

Thu Mar 26 13:56:00 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: don't call update_move in board size allocation,
	leads to a hang.

Thu Mar 26 11:48:33 CET 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, eval.c, play.c, sgf.c: make hint and cmark features work
	together and fix save match / hint bug report by Philippe Michel.

Wed Mar 25 22:30:30 CET 2009 Christian Anthon <anthon@kiku.dk>

	* eval.c, play.c: sort moves according to "back" chequer as a last
	resort in analysis and computer moves to avoid some silly looking
	moves when the game is over, but not resigned yet.

Wed Mar 25 11:48:28 CET 2009 Christian Anthon <anthon@kiku.dk>:

	* gtkboard.c, gtkoptions.c: minor pips/epc display changes

Wed Mar 25 11:05:57 CET 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, eval.c, gtk-multiview.c, gtkgame.h, html.c,
	relational.c: fix minor compiler warnings

Wed Mar 25 00:44:46 CET 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, analysis.h, backgammon.h, commands.inc,
	formatgs.c, formatgs.h, gnubg.c, gtkgame.c, html.c, record.c,
	record.h, relational.c, relational.h, text.c: Remove the player
	records (may still be viewed if existing). Add simple stats from the
	relational db to html and text exports

Wed Mar 25 00:39:33 CET 2009 Christian Anthon <anthon@kiku.dk>

	* export.c, gnubg.c, html.c, play.c, sgf.c, text.c: don't create a
	hint move record when we gs!=GAME_PLAYING

Mon Mar 23 09:54:12 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: gtkcubehint shouldn't be modal either.

Sun Mar 22 23:33:50 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkchequer.c, gtkchequer.h, gtkcube.c, gtkcube.h,
	gtkgame.c, gtkgame.h: only update the annotation when we have
	a move history.
	* matchid.c: sign warning

Sun Mar 22 22:00:17 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtkfile.c, relational.c : add an open button and an option to add to
	the relational database when done.

Sun Mar 22 09:24:09 CET 2009 Christian Anthon <anthon@kiku.dk>

	* set.c: destroy pmr_hint in CommandSetTurn

Sat Mar 21 22:44:02 CET 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, analysis.h, backgammon.h, eval.h, gnubg.c, gtkboard.c,
	gtkchequer.c, gtkcube.c, gtkcube.h, gtkgame.c, gtkgame.h, gtkpanels.c,
	gtktoolbar.c, html.c, matchid.c, matchid.h, play.c, set.c,
	simpleboard.c, text.c, lib/gnubg-types.h: another bunch of hint
	related changes.

Sat Mar 21 11:44:35 WEST 2009 Øystein Johansen <oystein@gnubg.org>

	* gtkprefs.c: Parse XML-boards with g_markup_parse.

Fri Mar 20 21:37:46 WEST 2009 Øystein Johansen <oystein@gnubg.org>

	* boards.xml: Change encoding to UTF-8.

Fri Mar 20 17:17:44 CET 2009 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, gnubg.c, sound.c: use libcanberra as a
	simple sound wrapper and remove gstreamer support

Tue Mar 17 14:23:23 CET 2009 Christian Anthon <anthon@kiku.dk>

	* sound.c: make gstreamer sounds wait till play is ready 

Fri Mar 13 22:50:48 CET 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gnubg.c, gtkchequer.c, gtkchequer.h, gtkcube.c,
	gtkcube.h, gtkgame.c, gtkgame.h, gtkgamelist.c, html.c,
	play.c: fix the color for chosen move problem. Attempt to keep the
	gamelist annotation marks up to date.

Fri Mar 13 17:23:57 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c, gtkmovelist.c, gtkmovelistctrl.c: fix double-click move
	in movelist crash. Add star to mark chosen move.

Thu Mar 12 22:08:49 CET 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, backgammon.h, commands.inc, export.c, gnubg.c,
	gtkgame.c, gtkoptions.c, html.c, play.c, set.c, sgf.c, show.c, text.c:
	hopefully fix the problems introduced by the hint changes

Tue Mar 10 17:50:43 CET 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, gnubg.c, gtkboard.c, gtkboard.h,
	gtkgame.c, gtkoptions.c, renderprefs.c, set.c: minor changes to pip
	count display

Tue Mar 10 14:08:18 CET 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gtkgame.c: Minor changes to BUILD_DATE use

Sat Mar  7 21:47:05 CET 2009 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, backgammon.h, bearoff.c, boardpos.c, commands.inc,
	common.h, configure.in, dice.c, dice.h, gnubg.c, gtkgame.c,
	gtkmovelistctrl.c, gtkoptions.c, htmlimages.c, import.c, render.c,
	set.c, show.c userrng.c, board3d/gtkcolour3d.c, lib/md5.h: Various
	autoconf centered cleanups.

Wed Mar  4 23:07:11 CET 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, credits.sh, gnubg.c, gtkgame.c: use configurable
	BUILD_DATE instead of __DATE__ to mark the build. Update copyright
	notice.

Tue Mar  3 14:19:11 CET 2009 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, m4/az_python.m4: improve python detection

Tue Mar  3 13:53:25 CET 2009 Christian Anthon <anthon@kiku.dk>

	* htmlimages.c, render.c: allow compilation without cairo

Tue Mar  3 13:42:13 CET 2009 Christian Anthon <anthon@kiku.dk>

	* bearoff.c, gtksplash.c: minor cleanup
	* gtkprefs.c, matchequity.c: allow compiling without xml

Mon Mar  2 10:35:14 CET 2009 Christian Anthon <anthon@kiku.dk>

	* eval.c, eval.h, osr.c: use swap_us
	* osr.h, osr.c: conflicting definitions of raceProbs
	* gtkmet.c: the meaning of const int a[][] and const int **a is not
	defined in C. We need confusing casts to avoid warnings in gcc.

Sun Mar  1 10:02:02 CET 2009 Øystein Johansen <oystein@gnubg.org>

	* makebearoff.c, bearoff.c: Repair building of onesided
	bearoff databases w/o gammon distributions. Fixed
	heuristic bearoff databases. (HEURISTIC_C => 15)

Mon Feb 23 20:55:11 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtkcube.c: fix a bug in cubehint

Sun Feb 22 23:38:44 CET 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, export.c, gnubg.c, gtkchequer.c, gtkchequer.h,
	gtkcube.c, gtkcube.h, gtkgame.c, gtkgame.h, gtkmovelist.c, html.c,
	latex.c, play.c, set.c, sgf.c, text.c: fix the hint functionality, so
	that it normally works on the moverecord, or at the end of the game,
	creates a tmp moverecord. Make sure that it is used in exports and
	saves.

Sun Feb 22 10:02:42 CET 2009 Christian Anthon <anthon@kiku.dk>

	* eval.c, eval.h, gtkboard.c: fix the legal dest points function once
	and for all

Sat Feb 21 22:05:58 CET 2009 Oystein Johansen <oystein@gnubg.org>

	* removed file: makebearoff.rc

Wed Feb 18 00:12:58 CET 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, backgammon.h, commands.inc, eval.c, eval.h, gnubg.c,
	gtkchequer.c, gtkchequer.h, gtkcube.c, gtkcube.h, gtkgame.c,
	gtkmovelist.c, gtkmovelistctrl.c, play.c, progress.c, progress.h,
	sgf.c: Add functionality to mark moves and cubes for rollout

Sat Feb  7 09:56:10 CET 2009 Christian Anthon <anthon@kiku.dk>

	* po/it.po: Update the italian translation

Fri Feb  6 14:02:25 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkgame.c, gtkwindows.c, gtkwindows.h, progress.c: Clean up
	the rollout command. It hardly ever did what people wanted anyway. Now
	only roll-outs the current position.

Fri Feb  6 11:05:29 CET 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, backgammon.h, commands.inc, play.c, progress.c: Add a Command
	"analyse rollout double". Warn if user tryes to use analyse move on a
	take. Print final result if user interrupts rollouts in the cl
	interface.

Tue Feb  3 21:43:32 CET 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, play.c: remove quick_roll from non-gtk code

Sun Feb  1 16:59:04 CET 2009 Christian Anthon <anthon@kiku.dk>: 

	* gtkboard.c, play.c: New games/matches could be started when
	ms.gs==GAME_NONE even though the move wasn't the last in the match

Sun Feb  1 16:48:01 CET 2009 Christian Anthon <anthon@kiku.dk>

	* htmlimages.c: fix creation of htmlimages in the export dialog

Sat Jan 31 15:21:55 CET 2009 Christian Anthon <anthon@kiku.dk>

	* format.c, gtkchequer.c, gtkcube.c: Make the Copy button open a text
	window for easy display of analysis details.

Thu Jan 29 09:09:16 CET 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c: use the right index in the new analyse rollout move
	function

Thu Jan 29 09:07:26 CET 2009 Christian Anthon <anthon@kiku.dk>

	* bearoff.c: avoid assert_false when hypergammon db present

Tue Jan 27 14:40:32 CET 2009 Christian Anthon <anthon@kiku.dk>

	* doc/allabout.xml, doc/gnubgdb.xml, doc/gnubg/allabout.html,
	doc/gnubg/allabout.pdf, doc/gnubg/gnubg.6, doc/gnubg/gnubg.html,
	doc/gnubg/gnubg.info, doc/gnubg/gnubg.pdf, doc/gnubg/gnubg.texi:
	Update document license to GFDL 1.3.

Mon Jan 26 12:09:19 CET 2009 Christian Anthon <anthon@kiku.dk>

	* progress.c: jSD not printed in text interface for fCubeRollout.

Mon Jan 26 10:49:56 CET 2009 Christian Anthon <anthon@kiku.dk>

	* rollout.c: fix stop on stds in the MT code. May well be broken in
	the non-MT code as well.

Sun Jan 25 16:21:08 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c, play.c: Clicking anywhere on the board before first
	match is started starts a new match. Clicking in the dice area
	either starts a new game or roll the dice as appropriate.

Sat Jan 24 21:31:10 CET 2009 Christian Anthon <anthon@kiku.dk>

	* analysis.c, backgammon.h, commands.inc: Add a command to rollout the
	current analysed move. "analyse rollout move 1 2 3" will rollout the
	first three candidates in the movelist.

Fri Jan 23 09:34:07 CET 2009 Christian Anthon <anthon@kiku.dk>

	* board3d/drawboard3d.c: Protect some function calls if shadows not
	initialised.

Thu Jan 22 23:33:24 CET 2009 Christian Anthon <anthon@kiku.dk>

	* eval.c, rollout.c: Stop adding noise to EvalOver and to the variance
	reduction.

Thu Jan 22 12:42:57 CET 2009 Christian Anthon <anthon@kiku.dk>

	* relational.c: Assume that sql always uses . for decimal separator in
	input/output.

Sat Jan 17 21:57:31 CET 2009 Christian Anthon <anthon@kiku.dk>

	* rollout.c: Fix a small bug in BasicRollout. The first move (0-ply)
	in the variance reduction was cubeless, regardless of the cube
	setting. Only the cubeful 0-ply rollouts should be affected with
	infinite trials, but the variance reduction will change a bit for all
	rollouts.

Sun Jan 11 21:32:44 CET 2009 Christian Anthon <anthon@kiku.dk>

	* progress.c, progress.h, rollout.c, rollout.h: The JSD printed for
	cube rollouts is now sensible. Top JSD for nodouble / double decision
	and buttom JSD for take / pass decision. (MT code only)
	* rollout.c: minor cleanup in JSD for cubeless possible since the
	cube rollouts are always cubeful.

Sun Jan 11 01:06:47 CET 2009 Christian Anthon <anthon@kiku.dk>

	* play.c: Add warning and cancel if fDoubled is set in SetMatchID

Sun Jan 11 00:07:30 CET 2009 Christian Anthon <anthon@kiku.dk>

	* play.c: Allow canceling of dice on the first roll a match

Sat Jan 10 21:16:19 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: Make edit_new more smooth, and work with more obscure
	options

Fri Jan  9 14:06:05 CET 2009 Christian Anthon <anthon@kiku.dk>

	* play.c: set matchid was missing a call to AddGame

Fri Jan  9 13:00:25 CET 2009 Christian Anthon <anthon@kiku.dk>

	* set.c: set turn should invalidate the gtk dice as well as the match
	state ones.

Fri Jan  9 11:29:14 CET 2009 Christian Anthon <anthon@kiku.dk>

	* bearoff.c: fix bug also printing 1-sided in bearoffstatus

Thu Jan  8 21:32:44 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkgame.c: use autoimport for loading from commandline

Thu Jan  8 12:25:27 CET 2009 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, play.c, po/cs.po, po/da.po, po/de.po,
	po/en_US.po, po/es.po, po/fr.po, po/gnubg.pot, po/is.po, po/it.po,
	po/ja.po, po/ru.po, po/tr.po: Collect the check for last move in one
	function and let GetInputYN return TRUE when run non-interactively.
	Update the translations.

Sat Jan  3 23:53:54 CET 2009 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gtkgame.c, gtkgame.h, play.c, render.c, set.c: Change
	confusing use of types in SetRNG, and other minor stuff

Tue Dec 30 18:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* render.c: Minor adjustment to 2d arrow size and outline colour.

Tue Dec 30 11:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, play.c: Add warning for simplified resign action.

Tue Dec 30 00:36:27 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkboard.c, gtkgame.c, play.c: add "resign -1" as a command
	to guess the resign level and add appropriately (i.e. resign if the
	error is below 0.05). Use it to autoresign or pop the resign dialog in
	the gui.

Mon Dec 29 23:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gnubg.c: Fix rare crash on exit.

Mon Dec 29 23:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* util.c: Hack GetTemporaryFile() so it will work properly.

Mon Dec 29 22:06:40 CET 2008 Christian Anthon <anthon@kiku.dk>

	* common.h, configure.in, lib/neuralnet.c, lib/neuralnetsse.c: move
	replacement declarations of signbit and lrint to common.h

Mon Dec 29 22:03:44 CET 2008 Christian Anthon <anthon@kiku.dk>

	* common.h, configure.in: 
Mon Dec 29 21:11:31 CET 2008 Christian Anthon <anthon@kiku.dk>

	* po/es.po: updated spanish translation

Mon Dec 29 11:56:38 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: turn splash screen off by default

Mon Dec 29 11:36:28 CET 2008 Christian Anthon <anthon@kiku.dk>

	* play.c: make end game work without gtk

Mon Dec 29 00:08:28 CET 2008 Christian Anthon <anthon@kiku.dk>

	* util.c: fix CreateTempFile to something that hopefully works
	universally

Thu Dec 28 22:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtktoolbar.c: Fix size of edit button
	* gtkgame.c: Fix menu toolbar state (on startup)

Sun Dec 28 01:18:17 CET 2008 Christian Anthon <anthon@kiku.dk>

	* eval.c: fix a bug in eval lookup in hypergammon db. iPos was (by
	accident) made an unsigned short int in november 2004, but should be
	at least an int.

Fri Dec 26 00:33:04 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkprefs.c, gtktoolbar.c: we don't use the old tooltip api anymore

Thu Dec 18 22:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprogress.c: Fix bug in number of rollouts displayed when alternatives
			finish early (reported by Bob Koca)

Wed Dec 17 22:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c: Replace clist control with tree view

Wed Dec 17 10:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* util.c: Dodgy temp file fix to get export to gol working.

Tue Dec 16 22:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkmovelist.c, gtkmovelistctrl.c: Draw move analysis lines closer together.

Sun Dec 14 20:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtktoolbar.c: Sort out spacing on toolbar with new "end game" button.
					Update toolbar code to new style at same time.

Sun Dec 14 18:41:20 CET 2008 Christian Anthon <anthon@kiku.dk>

	* import.c: issue warning when importing matchfiles with length >
	MAXSCORE

Sun Dec 14 11:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* play.c: Sort out "stop" button for "end game" and gnubg vs gnubg.

Fri Dec 12 22:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* play.c: Add warning when end game clicked.

Fri Dec 12 14:57:42 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: remove deprecate gtk_drawing_area_size
Fri Dec 12 14:05:30 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtk-multiview.c, gtk-multiview.h, gtkboard.c, gtkboard.h: remove the
	deprecated use of GtkType

Thu Dec 11 23:11:16 CET 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, gnubgstock.c, gnubgstock.h, gtkgame.c,
	gtktoolbar.c, play.c, set.c: minor changes to the end-game button.

Tue Dec  9 16:59:54 CET 2008 Christian Anthon <anthon@kiku.dk>

	* import.c: do not try to import failed formats
	* gtkfile.c: output not recognized format in batch analyse, when
	appropriate. Do not try to set non-valid files and directories in the
	file selection dialog (Savannah bug).

Tue Dec  9 14:03:52 CET 2008 Christian Anthon <anthon@kiku.dk>

	* analysis.c: fix a bug causing wrong luck stats in matches as reported on savannah 

Tue Dec  9 01:32:30 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, sound.c: missing frees

Mon Dec  8 22:22:19 CET 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, gnubgstock.c, gnubgstock.h, gtkgame.c,
	gtktoolbar.c, play.c, pixmaps/Makefile.am,
	pixmaps/gnubg-stock-pixbufs.h, pixmaps/16x16/actions/runit_16.png,
	pixmaps/24x24/actions/runit_24.png: Add a quickgame button

Mon Dec  8 21:29:12 CET 2008 Christian Anthon <anthon@kiku.dk>: 

	* gtkgame.c: UserCommand("set ..."); may have strange sideeffects
	through GTKSet, and cannot be used in edit_new

Dec  5 10:30:38 CET 2008 Christian Anthon <anthon@kiku.dk>: 

	* bearoff.c, bearoff.h: disable gmappedfile code when glib is old, and
	fix a bug causing a crash when mapping of the bearoffdb fails.

Thu Dec  4 23:11:23 CET 2008 Christian Anthon <anthon@kiku.dk>

	* file.c, gnubg.c, gtkcube.c, gtkgamelist.c: more minor memory errors

Wed Dec  3 12:06:57 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtktheory.c: remove missed debug stuff

Wed Dec  3 11:51:33 CET 2008 Christian Anthon <anthon@kiku.dk>

	* dice.c, dice.h, gnubg.c: free gmp random data
	* gtkboard.c: init bd->cube and remove unused widget from board_init
	* gtkgame.c: the list returned by gtk_container_get_children should be
	freed
	* gtkgamelist.c: widget destroy doesn't work (gtk bug)
	* gtkprefs.c: free the xml parser context
	* gtkwindows.c: we cannot rely on the response cb to free the data as
	the widget may be destroyed in other ways
	* board3d/drawboard3d.c, board3d/misc3d.c: simple frees

Tue Dec  2 01:19:31 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gnubgmodule.c, gnubgmodule.h: Py_SetProgramname should be
	parsed argv[0];
	* gtkboard.c: init bd->turn to avoid a warning from valgrind
	* gtktheory.c: small memory leak caused by missing g_objec_unref

Mon Dec  1 23:07:43 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtktempmap.c: make "show equities" more readable

Sun Sep 29 19:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, flags/spain.png: add a spanish flag

Mon Nov 24 17:07:00 CET 2008 Christian Anthon <anthon@kiku.dk>

	* configure.in, po/es.po: add es translation

Sat Nov 15 23:32:42 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gnubgstock.c, gnubgstock.h, gtkgame.c, gtktoolbar.c,
	pixmaps/Makefile.am, pixmaps/gnubg-stock-pixbufs.h,
	pixmaps/16x16/actions/resign_16.png,
	pixmaps/24x24/actions/hint_16.png,
	pixmaps/24x24/actions/resign_24.png, xpm/resign.xpm: Make a stock item
	of the resign xpm

Tue Nov 11 23:39:30 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkboard.c, gtkboard.h: fix two minor bugs causing crashes
	on closing

Tue Nov 11 11:59:52 CET 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, eval.c, eval.h, play.c: Evaluate accept resign at
	2ply. Const a few evalcontext's.

Mon Nov 10 23:39:32 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: fix a bug in LegalDestPoints when skipping pips during
	bearoff

Mon Nov 10 00:18:25 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: add notidy flag to the bearoff database creation window

Mon Nov 10 00:10:06 CET 2008 Christian Anthon <anthon@kiku.dk>

	* makebearoff.c: delete special win32 code

Sat Nov  1 14:31:07 CET 2008 Christian Anthon <anthon@kiku.dk>

	* dbprovider.c, dbprovider.h, gnubg.c: fix minor compile problems with
	and without python

Fri Oct 24 17:07:03 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* dbprovider.c, dbprovider.h, gnubg.c, gnubgmodule.c, gnubgmodule.h,
	gtkrelational.c, relational.c, relational.h: improve on the
	inter-dependencies a bit by moving pure database functions to
	dbprovider.c

Wed Oct 22 22:20:42 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* play.c: delete some debug code that doesn't work anymore

Wed Oct 22 22:17:53 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: set the page-size to zero in gtkadjustment for
	gtkspinbutton to silence a gtk warning in 2.14.3

Wed Oct 22 21:42:38 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c, html.c, import.c, makebearoff.c, makehyper.c,
	makeweights.c, record.c: check the return value of fread, fwrite, and
	fscanf

Wed Oct 22 21:21:45 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* export.c: check the return value of fwrite to silence a compiler
	warning.

Wed Oct 22 21:10:02 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: check the return value of fgets to silence a compiler
	warning.

Wed Oct 22 20:50:55 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* relational.c: check the return value of fgets to silence a compiler
	warning.

Mon Oct 20 21:15:01 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* configure.in: die if gtk or board3d is requested but gtk/gtkglext
	not found

Thu Oct  9 22:44:44 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* play.c: add safeguard questions to avoid accidental destruction of
	the match when "playing from here"

Wed Oct  8 12:16:04 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* bearoff.c, bearoff.h, format.c, format.h, gtkgame.c,
	gtkmovefilter.c, gtkmovefilter.h, rollout.c, rollout.h,
	board3d/drawboard3d.c, board3d/fun3d.h, board3d/misc3d.c,
	board3d/misc3d.h: remove a number of unused codefragments

Sun Oct  5 07:52:09 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: check for legal dest points for normal click moves.

Fri Oct  3 11:44:47 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gnubgmodule.c: fix a couple of sizeof usage errors introduced by
	TanBoard

Mon Sep 29 11:59:31 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h commands.inc export.h gnubg.c gtkexport.c, gtkoptions.c
	gtkrolls.c html.c import.c makebearoff.c, makehyper.c play.c record.c
	rollout.c set.c show.c text.c, po/Makefile.in.in po/cs.po po/da.po
	po/de.po po/en_US.po, po/fr.po po/gnubg.pot po/is.po po/it.po po/ja.po
	po/ru.po, po/tr.po: completed the danish translation and updated a
	number of strings

Sat Sep 27 22:27:05 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* lib/Makefile.am, lib/neuralnet.c, lib/neuralnet.h,
	lib/neuralnetsse.c, lib/sigmoid.h: allow a small speedup by inlining
	the sigmoid function again.

Tue Sep 23 21:59:02 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkmovefilter.c, gtkrace.c, gtkrelational.c, gtkwindows.c,
	gtkwindows.h: remove GtkSignalFunc as it will be deprecated

Tue Sep 23 17:41:15 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* text.c: fix minor \n output bug

Tue Sep 23 17:29:17 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* configure.in, render.c, pixmaps/Makefile.am: fix a few minor without
	gtk issues

Tue Sep 23 12:44:36 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, gnubg.c, gtkboard.c, gtkboard.h,
	gtkoptions.c, set.c: add option to disable boardgraying

Sun Sep 29 19:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>
	* gtkboard.c, render.c: Attempt to gray board in edit mode

Mon Sep 15 21:20:28 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* configure.in, pixmaps/Makefile.am: allow building even if
	gdk-pixbuf-csource is not found

Sun Sep 14 22:32:57 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* : update danish translation and adjust a few strings

Thu Sep  4 15:18:09 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtk-multiview.[ch]: port to g_object

Tue Sep  2 23:05:52 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkcolour.c, gtkcolour.h, gtkprefs.c, gtkprefs.h,
	board3d/gtkcolour3d.c, board3d/misc3d.h, board3d/inc3d.h: use the
	gtk_color_button, rather than designing our own.

Tue Aug 12 19:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* board3d files, removed total.bmp: Replace totoal.bmp with text in graph

Mon Aug 11 10:48:21 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gnubgmodule.c, gtkcube.c, gtkgame.c, gtkgamelist.c, set.c:
	update a few strings for translation.

Sun Aug 10 01:35:06 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtktempmap.c: improve a bit on  printing of equties and best moves

Thu Aug  7 15:28:33 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* configure.in: add options to disable deprecated glib/gtk functions
	* gtkgame.c, gtktempmap.c: replace gtk_object_weakref with
	g_object_weakref

Thu Aug  7 15:19:09 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* board3d/gtkcolour3d.c: replace a gtk_combo with a gtk_combo_box
	* gtkgame.c, gtkrace.c, gtkrelational.c, gtktheory.c: g_object_unref
	the gtktreemodel in a couple of places where forgotten

Wed Jul 30 20:27:26 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h: issue warning if libintl.h is included too early to
	avoid libintl_printf warnings under mingw.

Wed Jul 30 17:01:07 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c, gtkchequer.c, gtkcube.c, gtkgame.c, gtkgame.h,
	gtkgamelist.c, gtkmovefilter.c, gtkmovelist.c, gtkpanels.c,
	gtkprefs.c, gtksplash.c, gtktempmap.c, gtktoolbar.h, gtkwindows.c:
	more deprecated gtk functions

Wed Jul 30 13:20:05 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c, gtkgame.c, gtkgame.h, gtkoptions.c, gtkpanels.c,
	gtktempmap.c, gtkwindows.c: port tooltips to the gtk-2.12 version,
	which is more flexible than the old one (e.g. treeview cells). Allow
	for tips with the older gtk versions to work as well.

Wed Jul 30 12:50:47 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* play.c: show board when dice rolled if, and only if, fX or fDisplay.

Tue Jul 29 00:31:04 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtktheory.c: port to gtk_tree_view

Thu Jul 24 14:32:45 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkrelational.c, gtkrace.c: cleanup of deprecated gtk functions

Thu Jul 24 11:36:21 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkchequer.c, gtkgame.c, gtkprefs.c, gtkrace.c, gtktheory.c: get rid
	of deprecated functions gtk_notebook_set_page and gtk_paint_string

Wed Jul 23 11:34:27 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* set.c, gnubg.c, gtkgame.c: give a sensible error message if language
	change fails, i.e. locale unsupported.
	* gtkwindows.c: don't run gtk_widget_present(parent) if parent isn't
	realized.

Sat Jul 19 23:54:09 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* bearoff.c, eval.c, osr.c: replace 6, 15 with nChequers and nPoints
	in a couple of places

Fri Jul 18 18:07:38 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, credits.sh, gnubg.c, gtkgame.c, gtkgame.h,
	relational.c, show.c: Changes to allow GTKTextWindow to be called from
	within a dialog. Make license, etc. be printed as text rather than
	gtk_lists. Make the intro text conform with the GPL3 suggestion. Minor
	translational changes.

Sun Jul 13 21:07:17 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* bearoff.c, eval.c, export.c, file.c, gnubg.c, gnubgmodule.c,
	gtkprefs.c, html.c, import.c, latex.c, makebearoff.c, makehyper.c,
	makeweights.c, relational.c, rollout.c, sgf.c, text.c,
	board3d/matrix.c, board3d/misc3d.c: replace fopen with gnubg_g_fopen to
	avoid problems with special characters in filenames

Sat Jul 12 09:10:43 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, renderprefs.c, renderprefs.h: fix places where g_strdup
	wasn't followed by g_free

Fri Jul 11 22:54:46 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* bearoff.c, dice.c, eval.c, format.c, gnubg.c, show.c, renderprefs.c:
	fix some printf format related compiler warnings

Fri Jul 11 22:48:59 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* rollout.c: fix type of board in log_game_start

Fri Jul 11 11:23:02 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* rollout.c: move log_name out of globals

Mon Jul  7 22:42:20 CEST 2008 Petr Kadlec <mormegil@centrum.cz>

	* eval.c, gnubg.c, gtkgame.c, matchequity.c, render.c, renderprefs.c
	show.c, sound.c: minor fixes for MSVC compiler happinnes (mainly adding
	"float" suffix to decimal number literals etc.)

Mon Jul  7 12:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* rollout.c: Give each thread separate random number context to
	try and get results the same as single-threaded rollouts.

Mon Jul  7 00:22:35 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* rollout.c: fix multithreaded dice generation and logfiles

Mon Jul  7 00:20:52 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: print prompt and answer for automatic questions

Sun Jul  6 00:00:22 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* format.c: correct minor error introduced by translational changes

Wed Jul  2 00:01:04 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, commands.inc, gnubg.c, gtkfile.c, gtkoptions.c,
	import.c, play.c, set.c, sgf.c, show.c: fix minor problems with the
	batch analyse function and add an option for setting default answers
	to yes/no questions.

Mon Jun 30 23:12:09 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, analysis.c, backgammon.h, bearoff.c, configure.in,
	dbprovider.c, dice.c, drawboard.c, eval.c, export.c, external.c,
	file.c, format.c, formatgs.c, gnubg.c, gtkgame.c, gtkmovefilter.c,
	gtkoptions.c, util.c, pixmaps/Makefile.am, po/cs.po, po/da.po,
	po/de.po, po/en_US.po, po/fr.po, po/gnubg.pot, po/is.po, po/it.po,
	po/ja.po, po/ru.po, po/tr.po, po/gnubg-langs/__catstatus.php,
	mkinstalldirs, po/LINGUAS: fix minor translation problems and update
	the pot/po files to use glib macros
	* gnubgi18n.c, gnubgi18n.h: removed as similar functions are provided by
	glib/gettext

Mon Jun 30 19:38:38 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* po/* m4/*, configure.in: modify gettext and friends to use glib
	gettext macros

Sun Jun 29 21:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* analysis.c - gnubg.c: First part of translation string cleanup

Tue Jun 24 01:06:38 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* formatgs.c: make 95% ci interval an interval rather than a number

Thu Jun 19 22:00:38 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, gnubgstock.c, gnubgstock.h,
	gtkgame.c, gtktoolbar.c, pixmaps/.cvsignore, pixmaps/Makefile.am,
	pixmaps/gnubg-stock-pixbufs.h, pixmaps/16x16/actions/cancel_16.png,
	pixmaps/16x16/actions/double_16.png,
	pixmaps/16x16/actions/hint_16.png, pixmaps/16x16/actions/ok_16.png,
	pixmaps/24x24/actions/cancel_24.png,
	pixmaps/24x24/actions/double_24.png,
	pixmaps/24x24/actions/hint_16.png, pixmaps/24x24/actions/hint_24.png,
	pixmaps/24x24/actions/ok_24.png, xpm/beaver.xpm, xpm/hint_alt.xpm,
	xpm/stock_cancel.xpm, xpm/stock_ok.xpm: Make stock icons for double,
	hint, cancel, accept and reject actions. Remove beaver button and add
	general purpose double button instead.

Thu Jun 19 21:54:55 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* Makefile.am: add multithread.c to non-threaded build
	* gtkgame.c: signed/unsigned compiler warning
	* bearoff.c: signed/unsigned compiler warning (fread returns size_t)

Mon Mar 17 21:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* multithread.c + others: Simplify multithreaded code a little bit

Tue Jun 17 21:13:03 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtktoolbar.c: fix icon sizes

Tue Jun 17 16:34:17 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* bearoff.c: be more silent when db files are missing

Tue Jun 17 16:31:10 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtktoolbar.c, xpm/Makefile.am, xpm/gnubg-big.xpm,
	xpm/stock_edit.xpm, xpm/stock_new.xpm, xpm/stock_open.xpm,
	xpm/stock_save.xpm, xpm/stock_undo.xpm, xpm/tb_double.xpm,
	xpm/tb_edit.xpm, xpm/tb_no.xpm, xpm/tb_roll.xpm, xpm/tb_stop.xpm,
	xpm/tb_undo.xpm, xpm/tb_yes.xpm: use gtk stock icons where directly
	applicable

Fri Jun 13 13:04:19 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* bearoff.c, bearoff.h, eval.c, configure.in: always mmap datase files
	using g_mapped_file. Read using fopen rather than open. Various
	cleanups.

	* gtkgame.c, util.c: revert some recent visual c++ prompted changes

Thu Jun 12 10:23:38 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* bearoff.c, bearoff.h: more cleanup of unused code

Thu Jun 12 00:20:30 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* bearoff.c, bearoff.h: remove unused code to read non-gnubg exact
	bearoff databases.

Wed Jun 11 16:34:04 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* dice.c, dice.h, set.c: use fopen instead of open

Wed Jun 11 15:06:45 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* html.c, htmlimages.c, board3d/misc3d.c: replace access by
	g_file_test

Tue Jun 10 10:07:33 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkame.c, xpm/Makefile.am: use GTK_STOCK_STOP rather than keeping
	out own copy.

Mon Jun  9 17:56:00 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* M gtkgame.c, gtkwindows.c, gtkwindows.h, pixmaps/Makefile.am,
	pixmaps/gnubg-big.png, gtksplash.c: move gnubg-big.png out of xpm

Mon Jun  9 00:14:45 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* pixmaps, gtkgame.c, Makefile.am, configure.in: add expected
	directory structure for the icon. Make a windows .ico file

Sat Jun  7 22:41:53 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* rollout.c: fix a problem with too many trials done. Be a bit more
	verbose when rolling out in the text interface.

	* gnubg.c: extend the CommandRollout help

Fri Jun  6 17:42:04 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, show.c, doc/Makefile.am, util.c, util.h: install
	documentation in DOCDIR

Wed Jun  4 20:27:41 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* dbprovider.c, show.c, lib/neuralnet.c: minor compiler warnings

Wed Jun  4 14:26:16 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* render.c: fix problems with 2d player turn arrows

Wed Jun  4 10:38:36 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, board3d/Makefile.am, configure.in: do "PKGDATADIR" the
	recommended way

Wed May 14 10:19:43 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, sound.c, sound.h: Make the quiet option work again.

Mon May  5 16:29:51 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, relational.c, play.c: cleanup of the UserCommand function.
	Avoid using UserCommand outside gtk.

Mon May  5 09:36:34 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* record.c: fix illegal g_free in RecordRead

Sun May  4 21:53:07 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: cleanup use of the word 'session' 

Sat May  3 00:07:21 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c, play.c: allow double command to be used for beavers.
	Merge double/beaver menu items. Merge take/pass with accept/reject
	resignation menu items.

Tue Apr 29 22:46:50 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gtkwindows.c: change GTKMessage to use gtk_text_view and fix a
	sizing problem on the way.

Tue Apr 29 13:11:02 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* sound.c, gtkoptions.c: minor gstreamer changes. Use sync play of
	max 6 seconds in gtk sound options.

Sun Apr 27 22:15:13 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, credits.sh, dice.c, dice.h, drawboard.c, drawboard.h,
	export.h, format.c, formatgs.c, gnubg.c, gnubgmodule.c, gtkboard.c,
	gtkboard.h, gtkfile.c, gtkfile.h, gtkgame.c, gtkgame.h, gtkgamelist.c,
	gtkprefs.c, html.c, htmlimages.c, import.c, latex.c, play.c,
	progress.c, relational.c, renderprefs.c, renderprefs.h, set.c, sgf.c,
	show.c, board3d/fun3d.h, board3d/misc3d.c: use const char* in a number
	of places.

Sat Apr 26 19:09:00 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* bearoff.c, boarddim.h, eval.c, external_y.y, gnubg.c,
	gnubgmodule.c, gtkfile.c, gtkgame.c, gtkmovelist.c,
	gtktempmap.c, html.c, htmlimages.c, makebearoff.c, multithread.c,
	play.c, set.c, sgf.c, sgf_y.y, simpleboard.c, util.c,
	board3d/font3d.c, board3d/misc3d.c, lib/neuralnet.c,
	non-src/external_l.c, non-src/external_y.c, non-src/sgf_l.c,
	non-src/sgf_y.c: #if's to #ifdef for things not normally defined by
	configure

Fri Apr 25 17:33:11 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* configure.in: try to guess the right sse flag according to cpu type

Fri Apr 25 00:04:58 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h ,gnubg.c ,gtkboard.c ,gtkboard.h ,gtkgame.c ,matchid.c
	,matchid.h ,positionid.c ,positionid.h ,set.c: merge position and
	match ids

Mon Apr 21 11:05:10 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, sound.c: minor gstreamer issues when compiling without
	threads or without gtk.
	* set.c: CommandSetGUIShowWastage needs to be defined when compiling
	without gtk

Sun Apr 20 23:25:42 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gnubg.c, gtkboard.c, gtkboard.h, gtkoptions.c, set.c:
	make showing of epc wastage optional and fix minor sizing problems.

Sun Apr 20 20:36:28 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* play.c: fix cube tutoring after changes to make the progress
	indicator async.

Wed Apr 16 22:05:24 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* eval.c: in FindBestCubeDecision. Fix rare case where no double,
	beaver was returned as double, beaver.

Wed Apr 16 20:58:34 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, gnubg.c, gtkgame.c, gtkoptions.c, set.c,
	sound.c, sound.h:  Change sound system from esound to gstreamer. Fix
	minor problems in PrompForExit and CommandSetClockwise.

Sun Apr 13 23:08:43 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* file.c: relax recognition of JF Pos files.

Sun Apr 13 22:38:55 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* sound.c, matchequity.c: deal more gracefully with people relocating
	their program paths.

Thu Apr 10 21:33:59 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* configure.in, Makefile.am: cleanup and remove x86 host test
	* multithread.c: only align stack when USE_SSE_VECTORIZE

Wed Apr  9 21:21:58 UTC 2008 mdpetch <mpetch@gnubg.org>

	* gnubg.c, sound.c: Changed to Apple Quicktime for sound under OS/X rather than ESD
	  This change may be revisted if it is decided to use another sound subsystem
	* multithread.c, configure.in: modified to support multithreaded version on non Intel system (Apple PPC etc)

Sun Apr  6 22:33:51 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* lib/neuralnet.c: fix minor apple compile problem.

Sun Apr  6 22:33:04 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* INSTALL: update .

Mon Mar 31 12:58:06 CEST 2008 Christian Anthon <anthon@kiku.dk>

	* dbprovider.c, gnubgmodule.c: include stdint.h on win32

Fri Mar 28 15:25:34 CET 2008 Achim Mueller <ace@gnubg.org>

	* changed configure.in: new release number 0.9.0 

Fri Mar 28 00:40:32 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkrelational.c: rearrange player details and stats view

Thu Mar 27 22:37:01 CET 2008 Christian Anthon <anthon@kiku.dk>

	* po/gnubg.pot, non-src/credits.c, po/it.po: update italian
	translation

Tue Mar 25 14:30:42 CET 2008 Christian Anthon <anthon@kiku.dk>

	* dbprovider.c: fix a compiler warning when without python and sqlite

Tue Mar 18 23:47:53 CET 2008 Christian Anthon <anthon@kiku.dk>

	* bearoffdump.c, gnubg.c, makebearoff.c, makehyper.c: minor compile
	problems without threads

Tue Mar 18 02:25:32 CET 2008 Christian Anthon <anthon@kiku.dk>

	* analysis.c, formatgs.c: edit the texts in the game analysis

Tue Mar 18 01:54:21 CET 2008 Christian Anthon <anthon@kiku.dk>

	* po/*.po, po/gnubg.pot: update the translation files

Mon Mar 17 21:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* credits.sh/c: Update copyright to 2008.

Sun Mar 16 22:01:07 CET 2008 Christian Anthon <anthon@kiku.dk>

	* set.c, gtkgame.c: fix minor problems with the hide/show ids

Sun Mar 16 21:56:59 CET 2008 Christian Anthon <anthon@kiku.dk>

	* credits.sh, gnubg.c, non-src/credits.c, non-src/external_l.c,
	non-src/external_y.c, non-src/sgf_l.c, non-src/sgf_y.c,
	non-src/sgf_y.h: minor updates to version printing and to non-src
	files

Sun Mar 16 10:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtktoolbar.c: Change menus:
		Add menu items for edit position and swap direction toolbar commands.
		Add option to hide toolbar.
		Add option to show/hide ids.
		Remove Python shell item.
		Put panel items in a sub menu.
		Move match info to file menu.

Sat Mar 15 13:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Merge match/session analysis menu items.

Thu Mar 13 22:27:26 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkexport.c: change html export type and style sheet to combo_box

Thu Mar 13 22:16:39 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gktoptions.c: change cheat roll and rng choosers to combo_box

Thu Mar 13 21:54:24 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkprefs.c: change the wood type to combo_box

Thu Mar 13 22:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtktoolbar.c, gtkgame.c: Move stop button from toolbar to status bar.

Thu Mar 13 22:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtk files: Tidy up some common gtk functions and remove SIG_IO signal.

Wed Mar 12 23:06:32 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c, gtkpanels.c, gtkpanels.h: update game selection menu to
	gtk_combo_box and remove the redundant names

Wed Mar 12 20:36:40 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: cleanup the Go menu

Tue Mar 11 14:53:12 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkexport.c, gtkgame.c, gtktoolbar.c, xpm/dice.xpm,
	xpm/leftarrow.xpm, xpm/rightarrow.xpm, xpm/stock_export.xpm,
	xpm/stock_import.xpm, xpm/stock_stop_16.xpm, xpm/stock_undo_16.xpm,
	xpm/tb_redouble.xpm: cleanup in the help menu and delete some unused
	xpms

Mon Mar 10 09:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkfile.c: Remove export button/menu item (use save instead)

Sun Mar  9 12:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkfile.c: Move load commands from menu into load dialog.
	  (and other small changes to this dialog)
	* gtkexport.c: Move generate html images from file menu into export settings.

Sat Mar  8 09:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* boardpos.c, render.c: Change 2d direction arrow to look like 3d arrow (smaller and near bearoff tray).
		Move cube to side of board.  Swap position of pieces on bar.

Fri Mar  7 22:28:52 CET 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gnubg.c, gtkgame.c, gtkpanels.c, board3d/Makefile.am,
	board3d/gtkcolour3d.c: minor stuff and warnings

Fri Feb 29 19:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c, gtkcolour3d.c: Change 3d previews to use widgets not pixmaps.

Thu Feb 28 15:15:08 CET 2008 Christian Anthon <anthon@kiku.dk>

	* osr.c: fix bug introduced by uint changes

Wed Feb 27 21:22:47 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkoptions.c: add reset all to defaults button.
	* sound.c: fix sound default file bug on windows

Tue Feb 26 12:35:23 CET 2008 Christian Anthon <anthon@kiku.dk>

	* makebearoff.c: don't print progress to stderr unless on a TTY.

Mon Feb 25 23:16:26 CET 2008 Christian Anthon <anthon@kiku.dk>

	* text.c, html.c, latex.c: Allow export of games with beavers/raccoons
	in them.

Mon Feb 25 15:12:08 CET 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gnubg.c, set.c, sgf.h: cleanup in lists of commands.
	Removed declared but undefined, and defined, but unused. Move all
	declarations to backgammon.h and all lists of commands to gnubg.c.

Sun Feb 24 10:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, play.c, multithreaded.c, others: Fix multi-threaded progress indicator.

Wed Feb 20 23:52:48 CET 2008 Christian Anthon <anthon@kiku.dk>

	* relational.c: fix bug caused by APPENDI and APPENDF not being
	properly {}'ed.
	* dbprovider.h, relational.c: fix minor compiler warnings.
	* dbprovider.c: add input string to SQL warnings.

Wed Feb 20 23:50:02 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: update GTKOutput to use a g_string instead of a list.

Sun Feb 17 13:19:58 CET 2008 Christian Anthon <anthon@kiku.dk>

	* bearoff.c, dbprovider.c, dbprovider.h, gnubg.sql, gnubgmodule.c,
	gtkrelational.c, gtkrelational.h, relational.c: more relational db
	changes and a few minor compiler warnings. Added new item to matchstat
	and gamestat.

Fri Feb 15 16:59:43 CET 2008 Christian Anthon <anthon@kiku.dk>

	* drawboard.c: revert to Jan 19 after accidental checkin (fix board
	after uint changes)

Fri Feb 15 13:03:31 CET 2008 Christian Anthon <anthon@kiku.dk>

	* .cvsignore, backgammon.h, gtkoptions.c, makebearoff.c, play.c,
	util.h, board3d/Makefile.am, po/POTFILES.in: minor cleanups and
	compiler warnings

Sun Feb 10 23:21:33 CET 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, export.c, export.h, file.c, gnubg.c, html.c, play.c,
	simpleboard.c, text.c: allow cairo ps and pdf to export games and
	matches

Sun Feb 10 11:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkoptions.c: Move database settings to options dialog.

Sat Feb  9 23:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkrelational.c: Put simple stats into relational dialog

Sat Feb  9 14:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* dbprovider.c, relational.c: Added game stats to database

Fri Feb  8 23:11:13 CET 2008 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, dbprovider.c, relational.h: allow code to compile
	without python and fix a couple of minor warnings

Fri Feb  8 11:24:23 CET 2008 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in: compile in native sqlite3 on linux

Thu Feb  7 22:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* dbprovider.c: Added native sqlite interface.

Wed Feb  6 22:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* dbprovider.c+.h, gnubg.c, relational.c, gtkrelational.c, database.py:
	Move relational code out of database.py and into relational.c

Sun Feb  3 16:34:37 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: size cube and dice widgets according to board size
	* gtkgame.c, gtkpanels.c, gtkprefs.c, gtkrelational.c, gtktheory.c:
	replace deprecated gtk_widget_set_usize with
	gtk_widget_set_size_request

Sun Feb  3 01:02:54 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, relational.c, scripts/database.py: allow creation of
	default sqlite database in szHomeDirectory. Look for database conf
	file in szHomeDirectory. MIGHT DISTURB EXISTING USERS?

Sun Feb  3 00:47:49 CET 2008 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtksplash.c: disable splash unless asked for. Shorten
	pauses a bit

Thu Jan 31 17:20:11 CET 2008 Christian Anthon <anthon@kiku.dk>

	* multithread.c: check if g_threads already initialized.

Mon Jan 21 00:36:53 CET 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, dice.c, eval.c, gnubg.c, gtkboard.c, gtkexport.c,
	gtkoptions.c, import.c, makebearoff.c, makehyper.c, relational.c,
	render.c, rollout.c, sgf.c: replace uint with unsigned int

Sat Jan 19 21:45:51 CET 2008 Christian Anthon <anthon@kiku.dk>

	* eval.c: fix a potential signed/unsigned problem in crashed net

Sat Jan 19 09:58:13 CET 2008 Christian Anthon <anthon@kiku.dk>

	* drawboard.c: fix board after uint changes

Tue Jan 15 22:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg-types.h + others: change board type to unsigned
		hopefully not breaking anything on the way (esp. bearoff)

Tue Jan 15 19:05:58 CET 2008 Christian Anthon <anthon@kiku.dk>

	* analysis.c, backgammon.h, dice.c, eval.c, gnubg.c, gtkboard.c,
	gtkexport.c, gtkgame.c, gtkmovelist.c, gtkoptions.c, import.c,
	makebearoff.c, makehyper.c, multithread.c, play.c, render.c, sgf.c,
	board3d/drawboard3d.c, relational.c, rollout.c: Fix some minor
	uint//int gcc warnings

Sun Jan 13 09:03:18 CET 2008 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, bearoff.c, bearoff.h, external_l.l, external_y.y,
	gnubg.c, gtkgame.c, gtkgame.h, gtkpanels.c, multithread.c,
	multithread.h, sound.c, sound.h, board3d/fun3d.h, lib/cache.c,
	non-src/external_y.c, non-src/external_l.c: fix some incomplete or
	missing prototypes

Sun Jan 13 01:07:21 CET 2008 Christian Anthon <anthon@kiku.dk>

	* bearoffdump.c, gnubg.c, makehyper.c, multithread.c, sound.c:
	compiler warnings and Sleep is a win32 function

Sun Jan 13 00:36:48 CET 2008 Christian Anthon <anthon@kiku.dk>

	* configure.in, common.h: change how acosf, signbit and lrint are
	checked for to allow to compile with -Werror

Sat Jan 12 23:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* sound.c, set.c, gnubg.c: Re-introduce exit sound, but disabled by default

Wed Jan  2 15:48:02 CET 2008 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, doc/Makefile.am, lib/Makefile.am, non-src/Makefile.am,
	po/POTFILES.in: fix make distcheck
	* multithread.h: fix typo and add MT_SafeDecCheck

Tue Jan 01 21:12:45 2008 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* relational.c, gtkrelational.c, database.py, gnubg.sql:
		Simplify relational database by removing "environments".

Wed Dec 19 11:06:45 CET 2007 Christian Anthon <anthon@kiku.dk>

	* lib/cache.c: only lock one level

Wed Dec 19 10:32:27 CET 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, util.c, board3d/drawboard3d.c, board3d/misc3d.h,
	lib/cache.c: small changes to previous

Tue Dec 18 21:12:45 2007 Jon Kinsey <Jon_Kinsey@hotmail.com>

	* Code changes so -ansi -pedantic (just about) works for gcc on windows.

Tue Dec 18 14:14:10 CET 2007 Christian Anthon <anthon@kiku.dk>

	* set.c, board3d/drawboard3d.c, board3d/fun3d.h, board3d/inc3d.h,
	board3d/matrix.c, board3d/matrix.h, board3d/misc3d.c,
	board3d/misc3d.h, board3d/shadow.c, board3d/widget3d.c: let new
	board3d code compile under linux.

Tue Dec 18 14:10:55 CET 2007 Christian Anthon <anthon@kiku.dk>

	* bearoffdump.c, makebearoff.c, makehyper.c, record.c: make utily
	programs compile with threads enabled

Mon Dec 17 16:33:01 CET 2007 Christian Anthon <anthon@kiku.dk>

	* lib/cache.c: Fix multithreaded hang when running quad core with four
	threads. WaitForManualEvent appears to be broken, at least on glib
	threads

Mon Dec 17 15:06:44 CET 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, dice.c, dice.h, eval.c, format.c, gnubg.c, gtkgame.c,
	gtkgame.h: move things around a bit so that utility programs compile
	without ugly fixes (only without threads for now)

Mon Dec 17 15:04:42 CET 2007 Christian Anthon <anthon@kiku.dk>

	* sgf.c, gtkgame.c, show.c: use %lu instead of casting to uint.

Mon Dec 17 14:59:20 CET 2007 Christian Anthon <anthon@kiku.dk>

	* sounds/Makefile.am, configure.in: we haven't beeen able to recompile
	the sounds for a long time, so let's stop trying.

Sat Dec 15 21:27:19 CET 2007 Christian Anthon <anthon@kiku.dk>

	* Renamed sgf.y to sgf_y.y and sgf.l sgf_l.l to avoid conflicts with
	sgf.c
	* bearoff.c, eval.c, format.c, gnubg.c, gtkgame.c, gtkrolls.c,
	makebearoff.c, multithread.c, play.c, relational.c, rollout.c, sgf.c,
	show.c: minor compiler warnings

Sat Dec 15 21:23:49 CET 2007 Christian Anthon <anthon@kiku.dk>

	* board3d/gtkcolour3d.c: remove unneeded gdk_gl_drawable_begin calls since
	they causes assertions on newer X window.

Thu Dec 13 22:39:56 CET 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, backgammon.h, bearoff.c, bearoff.h, bearoffdump.c,
	drawboard.c, drawboard.h, gnubg.c, gtkrolls.c, makebearoff.c,
	makehyper.c, multithread.c, positionid.c, positionid.h, render.h,
	rollout.c, sgf.y, util.c, util.h, lib/gnubg-types.h: fixes to make
	gnubg compile after Jon's changes. board3d doesn't compile. utility
	programs doesn't compile.

Wed Dec 12 23:12:45 2007 Jon Kinsey <Jon_Kinsey@hotmail.com>
	* movelistctrl: Fix spacing in German (reported by Thomas Steiner)
	* bearoff.c: Fix multithreaded disk bearoff access (reported by Hugh Sconyers)
	* list.h + others: list type renamed to listOLD (ideally replace with glist in future)

Wed Dec 12 15:40:08 CET 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, gnubg.6: manual now maintained in doc

Wed Dec 12 13:52:14 CET 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, board3d/Makefile.am, doc/Makefile.am, lib/Makefile.am,
	m4/Makefile.am, met/Makefile.am, po/POTFILES.in: cleanup and fixes to
	make distcheck

Wed Nov 28 09:43:59 CET 2007 Christian Anthon <anthon@kiku.dk>

	* po/POTFILES.in: remove pub_eval.c
	* doc/Makefile.am: remove *.txt from EXTRA_DIST

Sun Nov 25 12:09:04 CET 2007 Christian Anthon <anthon@kiku.dk>

	* import.c: fix partygammon import. Games terminated badly.

Sun Nov 18 07:04:44 CET 2007 Christian Anthon <anthon@kiku.dk>

	* eval.c, makebearoff.c: Fix messed up evaluation of hypergammon.
	Redirect loading of hyper databases to pkgdir.

Sat Nov 17 11:27:28 CET 2007 Christian Anthon <anthon@kiku.dk>

	* eval.c eval.h gnubg.c lib/neuralnet.c lib/neuralnet.h: cleanup
	neuralnet.[ch]

Fri Nov 16 23:24:02 CET 2007 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gtkchequer.h, gtkgame.c, gtkgame.h, gtkpanels.c,
	gtkrelational.c, gtkrelational.h, relational.c, rollout.h: cleanup
	gtkgame.h

Fri Nov 16 22:11:05 CET 2007 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, export.h, gnubg.c, gtkfile.c, gtkfile.h, import.h,
	makeweights.c, multithread.h, play.c, timer.c: cleanup backgammon.h

Fri Nov 16 14:32:04 CET 2007 Christian Anthon <anthon@kiku.dk>

	* : update manuals

Thu Nov  8 01:29:47 CET 2007 Christian Anthon <anthon@kiku.dk>

	* text.c: fix small bug reported by Philippe

Mon Nov  5 21:31:24 CET 2007 Christian Anthon <anthon@kiku.dk>

	* doc/.cvsignore, doc/Makefile.am, doc/gnubg/allabout.pdf,
	doc/gnubg/gnubg.pdf, doc/images/appearence.png,
	doc/images/cubeful-ex1.png: build pdf files

Wed Oct 24 17:17:50 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* external_y.y, file.c, gnubg.c, gnubgmodule.c, gtk-multiview.c,
	gtkboard.c, gtkgame.c, gtksplash.c, htmlimages.c, import.c,
	makebearoff.c, relational.c, renderprefs.c, set.c, sgf.y,
	simpleboard.c, board3d/gtkcolour3d.c, board3d/misc3d.c,
	lib/neuralnet.c: fix a bunch of minor compiler warnings

Tue Oct 23 12:38:57 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gktgame.c, gtkpanels.c: cleanup of InitGTK, move command widget to
	gtkpanels.c

Mon Oct  8 15:46:22 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkcube.c: add rollout presets to cube tool

Wed Oct  3 19:23:28 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* analysis.c, rollout.c: fix to minor mt problems

Wed Oct  3 18:58:41 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* bearoffdump.c eval.c gnubg.c gtkgame.c gtkmovelistctrl.c gtkpanels.c
	latex.c makebearoff.c makehyper.c matchequity.c play.c render.c:
	compiler warnings
Mon Oct  1 23:06:52 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, export.c, multithread.c, simpleboard.c,
	simpleboard.h: make code compile without gtk, cairo or pangocairo

Sat Sep 29 23:10:12 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, eval.c, eval.h, gnubg.c, gtkgame.c, set.c, show.c:
	remove unused training functions.

Fri Sep 28 11:27:57 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am po/LINGUAS po/POTFILES.in po/da.po po/en_US.po
	po/gnubg.pot po/is.po po/ru.po po/tr.po: make sure that "make dist"
	works. Remove unmaintained languages.

Fri Sep 28 00:28:34 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, bearoff.c, bearoff.h, ChangeLog, export.c, export.h,
	file.c, file.h, formatgs.c, gnubg.c, gtkfile.c, gtkgame.c, html.c,
	lib/.cvsignore, lib/Makefile.am, Makefile.am, matchid.h, rollout.c,
	text.c: add a simple cairo board capable of exporting positions to
	svg, pdf and postscript surfaces
	* simpleboard.c, simpleboard.h: new files
	* lib/dynarray.c, lib/dynarray.h, lib/event.c, lib/event.h,
	lib/event.texi, lib/hash.c, lib/hash.h, lib/heap.c, lib/heap.h,
	lib/stamp-vti, postscript.c: removed files

Thu Sep 27 22:50:16 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* analysis.c, analysis.h, formatgs.c, gnubg.c, gnubgmodule.c,
	gtkexport.c, gtkgame.c, play.c, relational.c, set.c, show.c: remove
	SKILL_GOOD completely as the use was overlapping with that of
	SKILL_NONE

Thu Sep 27 16:22:08 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkfile.c: allow default extension to be .sgf when saving and last
	used extension otherwise.

Thu Sep 27 16:20:17 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* AUTHORS, INSTALL, Makefile.am, README, configure.in, credits.sh,
	non-src/credits.c, non-src/external_l.c, non-src/external_y.c,
	non-src/external_y.h, non-src/sgfl.c, non-src/sgfp.c, non-src/sgfp.h:
	cleanup of readme and install files and minor updates to the rest

Mon Sep 24 22:56:56 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* makebearoff.c: fix tmp file creation problem

Wed Sep 19 22:15:09 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* rollout.c: change assertion to error message when mt_rollout results
	in too many rollouts done.

Sat Sep 15 14:30:36 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am: fix external_l.c dependency problem

Fri Sep 14 23:40:14 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* remove unused makebearoff1 program

Fri Sep 14 13:58:36 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, configure.in: remove need for fstat

Fri Sep 14 13:28:57 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* .cvsignore, backgammon.h, bearoff.c, bearoffgammon.h, boarddim.h,
	boardpos.h, common.h, dice.c, eval.h, gnubgmodule.c, gtk-multiview.h,
	gtkboard.h, gtkcolour.h, gtkprefs.c, render.c, render.h,
	renderprefs.c, board3d/drawboard3d.c, board3d/matrix.c,
	board3d/misc3d.c, board3d/model.c: header clean-up. Use definitions
	from glib.h instead.

Fri Sep 14 09:52:15 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, set.c: Make lang change more robust

Mon Sep  3 11:40:07 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* html.c: fix tmpfile creation problem to allow export of gammonline
	to clipboard under MS Vista.

Mon Sep  3 01:18:12 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* rollout.c: fix buffer overflow on 64 bit platforms
	* analysis.c, gnubg.c, multithread.c, rollout.c: add a new --debug
	option to turn on debugging for multithreaded code.

Sun Sep  2 22:20:43 CEST 2007 Christian Anthon <anthon@kiku.dk>

	*  board3d/misc3d.h, speed.h: new files
	* analysis.c, analysis.h, backgammon.h, board3d/drawboard3d.c,
	board3d/fun3d.h, board3d/graph.c, board3d/gtkcolour3d.c,
	board3d/Makefile.am, board3d/misc3d.c, board3d/widget3d.c, dice.c,
	eval.c, eval.h, external_y.y, format.c, gnubg.c, gnubgmodule.c,
	gnubgmodule.h, gtkboard.c, gtkchequer.c, gtkchequer.h, gtkfile.c,
	gtkgame.c, gtkgame.h, gtkgamelist.c, gtkmovelist.c, gtkmovelistctrl.c,
	gtkmovelistctrl.h, gtkoptions.c, gtkoptions.h, gtkpanels.c,
	gtkpanels.h, gtkprefs.c, gtkrace.c, gtkrelational.c, gtkrelational.h,
	gtkrolls.c, gtktoolbar.c, gtktoolbar.h, gtkwindows.c, gtkwindows.h,
	import.c, lib/cache.c, Makefile.am, matchequity.c, multithread.c,
	multithread.h, play.c, progress.c, pub_eval.c, relational.c,
	relational.h, render.c, renderprefs.c, rollout.c, rollout.h, set.c,
	show.c, speed.c, timer.c, userrng.c, util.c, util.h: make sure that
	functions are either static or declared in an appropriate header.

Fri Aug 31 23:36:49 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkgame.c, set.c, gtkgame.h: make sure that GTKOutput calls
	are rejected if the gtk interface isn't up and running. Fix a few
	potential language setting problems.

Wed Aug 22 22:59:26 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: fix player name setting bug

Tue Aug 14 15:10:14 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c, gnubg.svg, gnubg.png: Add png file in case svg load
	unsupported.

Sun Aug 12 10:45:16 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkcube.c, gtkmet.c, gtkrolls.c, gtksplash.c, gtktheory.c,
	gtktoolbar.c: update deprecated gtk_object_set_data

Sat Aug 11 21:30:46 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkboard.c: update deprecated gtk_entry_new_with_max_length

Sat Aug 11 21:09:41 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkwindows.c, gtkgame.c: update deprecated gtk_window_set_policy and
	gtk_container_children

Sat Aug 11 20:58:02 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* play.c, gtkboard.c: update deprecated gtk_timeout*

Sat Aug 11 20:26:54 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* board3d/fun3d.h, board3d/misc3d.c: make export position png work
	when using board3d

Wed Aug  1 20:57:30 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: set default icon for all windows

Tue Jul 31 00:27:34 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* analysis.c, configure.in, multithread.c, multithread.h, rollout.c,
	speed.c: make windows threads compile again and make a few simplifying
	changes
	* M html.c: UserCommand not awailable without gtk

Sun Jul 29 08:27:41 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* file.c, file.h, gtkfile.c, import.c: allow manual setting of the import
	file format in the GUI

Sun Jul 29 08:24:22 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* html.c: export html-images dir if non-existing
	* gtkgame.c: always export images to html-images/

Sun Jul 29 00:42:50 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* multithread.c: another attempt to fix the check for all tasks done
	* rollout.c: fix mt rollout bug (wrong count)

Wed Jul 18 14:35:32 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkboard.c, gtkgame.c, gtkgame.h, gtkgamelist.c, gtkoptions.c,
	gtkpanels.c, gtkprefs.c, gtktoolbar.c, play.c, render.c, renderprefs.c,
	board3d/fun3d.h, board3d/graph.c, board3d/misc3d.c, board3d/widget3d.c:
	Allow startup in 2D mode if gtk_gl_init_check fails

Sat Jul 14 22:54:29 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* multithread.c: Fix hangup when all task done signal was missed and fix a
	closing bug for gthreads. Win32 threads are likely a bit messed up after
	these changes.

Sat Jul 14 22:53:32 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkchequer.[ch]: Add quick rollout buttons

Sat Jul 14 22:50:07 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* export.c, import.c: Fix two Jellyfish MAT format bugs. One import and
	one export.

Sat Jul 14 22:47:19 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gnubg.c, set.c: Fix a couple of set sound options.

Sat Jul 14 22:41:22 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.w32, Makefile.am, bearoffdump.c, getopt*, makebearoff.c,
	makebearoff1.c, makehyper.c, tctutorial.h, lib/Makefile.am,
	lib/hashtest.c, lib/md5test.c: Code clean, remove unused test programs and
	getopt.

Wed Jul 11 15:37:49 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.w32: Delete a few unused files
	* eval.c: Fix startup bug when gnubg.wd was missing

Tue Jul 10 17:22:33 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* set.c, show.c, gnubg.c: Fix a language setting problem

Tue Jul 10 10:42:39 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* progress.c, rollout.c: Fix counting bug in multithreaded code for cube
	rollouts. Revert changes in progress.c so that the displayed number of
	games i correct for both non-threaded and multi-threaded code.

Wed Jul  4 00:01:48 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* : Updated GNU Backgammon to use GPL version 3. Achim did the work.
	I'm removing a few obsoleted and autotools related files.

Sun Jul  1 13:05:02 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkprefs.c: fix bug with default board designs not being loaded

Thu Jun 28 21:20:45 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* import.c: Fix TMG post-Crawford import bug

Mon Jun 11 20:54:35 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* boardpos.c, copying.awk, corecount.c, credits.sh, erf.c, erftest.c,
	external_l.l, getopt.c, getopt1.c, gnubgmodule.h, gtk-multiview.c,
	gtkboard.c, gtkchequer.c, gtkcolour.c, gtkcube.c, gtkexport.c,
	gtkfile.c, gtkgame.c, gtkgamelist.c, gtkmet.c, gtkmovefilter.c,
	gtkmovelist.c, gtkoptions.c, gtkpanels.c, gtkprefs.c, gtkrace.c,
	gtkrelational.c, gtkrolls.c, gtksplash.c, gtktempmap.c, gtktheory.c,
	gtktoolbar.c, gtkwindows.c, htmlimages.c, progress.c, pub_eval.c,
	rollout.c, sgf.l, sound.c, speed.c, userrng.c, util.c,
	board3d/drawboard3d.c, board3d/font3d.c, board3d/graph.c,
	board3d/gtkcolour3d.c, board3d/inc3d.h, board3d/matrix.c,
	board3d/misc3d.c, board3d/model.c, board3d/shadow.c,
	board3d/widget3d.c, lib/cache.c, lib/dynarray.c, lib/hash.c,
	lib/heap.c, lib/isaac.c, lib/list.c, lib/md5.c, lib/md5test.c,
	lib/mt19937ar.c, non-src/copying.c, non-src/credits.c,
	non-src/external_l.c, non-src/sgfl.c: replace deprecated gtk_signal
	functions with g_signal functions. Make sure that config.h is included
	at the top of all .c files and not in .h files for better control (e.g. #define
	GTK_DISABLE_DEPRECATED).

Fri Jun  8 00:07:30 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* analysis.c, analysis.h, gnubg.c, gtkfile.c, progress.c,
	relational.c: make a gtkwidget for batch_analysis

Fri Jun  1 08:43:07 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: fix rollout problem in cl interface. Allow doubling before
	rolling the dice when positions are obtained from the move hint list,
	but not when rolling out a single position.

Fri Jun  1 00:27:53 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gnubg.c, openurl.c, openurl.h, set.c, show.c: fix some
	problems with setting the web browser

Thu May 31 11:43:08 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, sound.c: update a few strings.

Thu May 31 23:22:37 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, dice.c: fix a few text mode locale problems

Thu May 31 22:11:00 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* sound.c: minor bug
	* gtkboard.c, gtkgame.c: make pasting of position and match id's work
	in edit mode and before starting a new match.

Wed May 30 16:43:08 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* sound.c: print to stdout instead of stderr in case of missing sound
	files, etc.

Tue May 29 20:37:13 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkoptions.c: removed bearoff options

Mon May 28 23:37:57 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* sound.c: fix small sound setting problem

Fri May 25 17:56:41 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* sound.c, show.c, gtkoptions.c: fix small sound setting problem

Wed May 23 22:44:14 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* render.c: malloc more space for the labels to avoid crashes on small
	board sizes.

Wed May 23 17:12:54 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* file.c, file.h, Makefile.am, backgammon.h, export.c, export.h,
	gnubg.c, gtkfile.c, gtkgame.c, html.c, import.c, import.h, sgf.h: move
	some import/export/load/save functions for consistency. New files
	file.[ch] to allow the new cl command "import auto".

Fri May 18 21:02:50 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* openurl.c: small win32 improvement

Thu May 17 21:35:00 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* util.c: win32 fixes

Thu May 17 15:53:42 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c, gtkwindows.c, progress.c: fix problem with
	DIALOG_FLAG_NOTIDY not being used. Make sure that the parent of the
	dialog is present.

	* util.c, board3d/matrix.c, board3d/matrix.h: compiler warnings

Mon May 14 12:21:13 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* util.[ch]: new files. Keeps the common parts of the ugly fixes of
	the util programs in one place.

Mon May 14 01:18:33 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* makehyper.c: rename WriteFile to WriteHyperFile to avoid conflict
	with windows.h

Mon May 14 01:10:14 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkgame.c, set.c: Fix problems in SetupLang

Tue May  8 02:22:42 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c, rollout.c: solved problem with calibration widget causing
	crash. Modality disabled, because of an unresolved issue.
	DIALOG_FLAG_NOTIDY is unused??

Mon May  7 23:29:33 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: fix problem with lang settings not being loaded.
	* po/: now fuzzy matching, since po files are ill maintained.

Fri May  4 10:21:14 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: fix issue with matches loaded twice from command line
	* analysis.c: fix issue with progress bar when running multithreaded
	* export.c, multithread.c: fix WIN32 compiler warnings

Wed May  2 00:00:38 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, backgammon.h, bearoff.c, bearoff.h, bearoffdump.c,
	dice.c, eval.c, eval.h, gnubg.c, gnubgmodule.c, gnubgmodule.h,
	gtkfile.c, gtkgame.c, gtkoptions.c, gtkprefs.c, html.c, makebearoff.c,
	matchequity.c, matchequity.h, openurl.c, path.c, path.h, render.c,
	set.c, show.c, sound.c, sound.h, board3d/font3d.c, board3d/misc3d.c:
	remove path.[ch]

Sun Apr 29 01:18:40 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* analysis.c ,backgammon.h ,gnubg.c ,html.c ,latex.c ,play.c
	,postscript.c ,relational.c ,text.c: removed MOVE_TIME

Fri Apr 27 10:50:01 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, analysis.c, analysis.h, backgammon.h, configure.in,
	drawboard.c, formatgs.c, gnubg.c, gnubgmodule.c, gtkboard.c,
	gtkboard.h, gtkgame.c, gtkgame.h, import.c, play.c, set.c, sgf.c,
	show.c, sound.c, sound.h, text.c: removed timecontrol

Fri Apr 27 01:35:36 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* configure.in: cleanup

Fri Apr 27 00:04:02 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* eval.c, gnubg.c, gtkoptions.c, set.c, show.c: removed egyptian rule

Thu Apr 26 23:52:57 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkbearoff.c, gtkbearoff.h, Makefile.am, backgammon.h, bearoff.c,
	bearoff.h, eval.c, eval.h, gnubg.c, gtkgame.c, gtkoptions.c,
	gtkrace.c, onechequer.c, onechequer.h, set.c, show.c: race cleanup.
	Removed Sconyers support.

Thu Apr 26 23:06:04 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* dice.c, gnubg.c, configure.in: replace gettimeofday by
	g_get_current_time

Mon Apr 23 13:52:56 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkfile.c: fixed problem with . being added to filename on eache
	export.

Fri Apr 20 18:00:10 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkfile.c, gtkgame.c: compiler warnings and fixed problem with
	extension not being remembered when exporting.

Wed Apr 18 20:52:26 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gtkgame.h, gtktoolbar.c, gtktoolbar.h, play.c, speed.c: hack to make
	edit start a new game if gameste is none. Added an edit new position
	button to the new game widget.

Tue Apr 17 09:13:43 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: swap r ratings when swapping players

Tue Apr 17 09:08:36 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* doc/Makefile.am: DESTDIR support

Thu Apr 12 20:43:03 2007 Øystein Johansen <oystein@gnubg.org>

	* gtkfile.[ch], gtkgame.c: New feature: Batch analysis (still buggy)

Thu Apr 12 16:57:39 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: init_sconyers unused, protect spaces in LoadRC

Tue Apr 10 00:41:03 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, configure.in, gnubg.c, gnubgmodule.c, gtkgame.c,
	gtkgame.h, gtkwindows.c, show.c, doc/.cvsignore: cleanup of the main
	function. Fix problem with error messages during startup. Postpone
	efectuation of -p and -c options so that they may be used under gtk.
	Fix problem with readline not being detected under redhat.

Sun Apr  8 18:44:45 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* analysis.c, eval.c, eval.h, external.c, format.c, format.h, gnubg.c,
	gnubgmodule.c, gtkcube.c, gtkwindows.c, html.c, latex.c, makebearoff.c,
	play.c, postscript.c, progress.c, rollout.c, set.c, sgf.c, show.c, text.c:
	icc compiler fixes

Sun Apr  8 13:40:34 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, eval.c, eval.h, gnubg.c, gtkgame.c, gtkrace.c, gtkrace.h,
	gtktoolbar.c, show.c: race theory update and simplification of analyse
	menu.

Wed Apr  4 00:07:07 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* bearoff.c: fix the fnd function, which was messed up by a typecast.

Thu Mar 29 17:57:17 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* board3d/Makefile.am: fix --without-board3d

Thu Mar 29 09:51:40 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* configure.in, m4/az_python.m4: Fix --without-python

Mon Mar 26 17:05:29 CEST 2007 Christian Anthon <anthon@kiku.dk>

	* configure.in, m4/az_python.m4: OS/X changes

Thu Mar 22 00:22:47 CET 2007 Christian Anthon <anthon@kiku.dk>

	* import.c, openurl.c, sound.c, doc/Makefile.am: a few compile fixes
	after previous checkins

Wed Mar 21 00:23:10 CET 2007 Christian Anthon <anthon@kiku.dk>

	* <many>: Sound system cleanup. We now allow only an external command
	or for system that support it: either esound, or win32 sound.

Wed Mar 21 00:21:08 CET 2007 Christian Anthon <anthon@kiku.dk>

	* import.c: Allow import of nackgammon mat files. (thx,  Joerg Picard
	<joerg.picard@gmail.com>)

Tue Mar 20 19:28:06 CET 2007 Christian Anthon <anthon@kiku.dk>

	* <many>: Removed gtktexi. Added Albert Silver's 'All about GNU'.
	Updated the openurl function and allowed user configuration of the web
	browser.

Tue Mar 20 16:49:37 CET 2007 Christian Anthon <anthon@kiku.dk>

	* eval.[ch]: fix bug caused by signed/unsigned changes

Fri Mar 16 02:30:26 CET 2007 Christian Anthon <anthon@kiku.dk>

	* <many>: updated documentation. It now contains the information from
	the dokuwiki as well as the old info files. The documentation is now
	written in docbook format, and texinfo and info files are now
	generated from the docbook source. The manpage has been updated as
	well.

Fri Mar 16 00:04:44 CET 2007 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkgame.c, gtkwindows.c, play.c: replace gtk_idle with
	g_idle.

Fri Mar 16 00:04:29 CET 2007 Christian Anthon <anthon@kiku.dk>

	* <many>: silence a bunch of intel c compiler warnings (recomitting
	after savannah crash)

Fri 15 Mar 21:47:53 2007 GMT Jim Segrave <jes@j-e-s.net>

	* rollout.c: was using the 'this is a cube rollout' flag to
	  decide whether to calculate JSDs from cubeful or cubeless equities

Sun 25 Feb 12:11:40 2007 GMT Jim Segrave <jes@j-e-s.net>

	* rollout.c : if settings were for cubeful rollouts, then
	  extending rollouts used cubeful equity. Threading aggravates
	  the problem, this is not a complete fix (rcRollout
	  is used globally but needs to be modified to match the set of
	  moves being rolled out. Ensuring it's put back for all
	  sequences which might terminate a rollout is non-trivial

Mon Feb 12 21:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* speed.c : Make calibration test multi-threaded

Wed Feb 14 11:07:07 CET 2007 Christian Anthon <anthon@kiku.dk>

	* multithread.h: first argument to MT_Safe* is pointer not value also
	when compiled without threads

Wed Feb 14 10:03:35 CET 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in: remove pthread

Mon Feb 12 21:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* multithread.c : Remove pthread tls code and reduce #ifs/tidy win32 code

Sun Feb 11 22:18:33 CET 2007 Christian Anthon <anthon@kiku.dk>

	* bearoffdump.c, eval.c, makebearoff.c, makehyper.c, rollout.c: small fixes
	to let gnubg and tools compile without warnings.

Thu Feb 08 19:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* multithread.c, rollout.c : Multi-thread rollouts.

Fri Feb 02 18:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* multithread.c/.h, lib/neuralnet.c, lib/neuralnetsse.c, lib/cache.c (new) : syncronize cache
		access, fix mis-aligned mingw thread stack, remove frombase optimisation for SSE.

Wed Jan 31 12:49:00 CET 2007 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, eval.c, gnubg.c, multithread.c,
	multithread.h, lib/neuralnet.c, lib/neuralnetsse.c: various changes to
	make gnubg compile with ./configure --enable-threads

Thu Jan 25 20:27:53 CET 2007 Christian Anthon <anthon@kiku.dk>

	* makehyper.c, lib/neuralnet*.c: small fixes needed to compile without
	threads on linux

Thu 25 Jan 09:43:30 2007 GMT Jim Segrave <jes@j-e-s.net>

	* gnubg.c: restore some code dropped some revisions ago

Sun Jan 05 10:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* eval.c: Fix some concurrency problems.

Fri Jan 05 21:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* analysis.c multithread.c: Add multi-thread compatibility for game analysis.

Fri Dec 29 12:51:42 CET 2006 Christian Anthon <anthon@kiku.dk>

	* lib/Makefile.am, lib/fifo.[ch], lib/buffer.[ch]: removed as they are
	not used anymore.

Thu Dec 28 10:03:36 CET 2006 Christian Anthon <anthon@kiku.dk>

	* common.h, board3d/matrix.c, board3d/matrix.h, lib/fifo.c,
	lib/fifo.h, lib/neuralnet.c: small linux compile fixes after last
	commit.

Tue Dec 26 11:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* lib/board3d: Run through lint, added consts to pointers and
		made some int's unsigned.

Wed Dec 20 10:06:46 CET 2006 Christian Anthon <anthon@kiku.dk>

	* */: add some filenames to .cvsignore

Wed Dec 20 09:25:49 CET 2006 Christian Anthon <anthon@kiku.dk>

	* non-src/: updated the flex/bison files to versions supplied by Ingo

Tue Dec 19 23:30:58 CET 2006 Christian Anthon <anthon@kiku.dk>

	* configure.in: fix small python and png problems

Tue Dec 19 12:03:14 CET 2006 Christian Anthon <anthon@kiku.dk>

	* configure.in, common.h, render.c, lib/neuralnet.c: declare signbit
	and lrint as macros if undeclared

Mon Dec 18 23:58:05 2006 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* analysis.c: fix casts and parens in relativeFibsRating

Sun Dec 16 20:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkmovelist.c: Fix for bug #18526 s

Thu Dec 14 17:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkmovelist.c: Fix for bug #17845 multiple highlights in hint
	* import.c: Small partygammon fix
	* gnubg.c: Fix for bug #12131 menus while analysing games

Tue Dec 12 15:54:22 CET 2006 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkgame.c: Save/Load rollout settings added to gtk interface

Sun Dec 10 17:27:29 CET 2006 Christian Anthon <anthon@kiku.dk>

	* configure.in, lib/neuralnet.c: configure option to disable the sse
	test (e.g. on amd64)

Thu Dec  7 16:57:14 CET 2006 Christian Anthon <anthon@kiku.dk>

	* gnubg.c: make CommandImportParty compile without gtk

Thu Dec  7 00:59:04 CET 2006 Christian Anthon <anthon@kiku.dk>

	* various: mingw fixes of autotool changes

Thu Dec  7 00:10:46 CET 2006 Christian Anthon <anthon@kiku.dk>

	* too many to list: major autotools/library cleanup. Likely some
	things will be broken on some systems.

Tue Dec  5 09:53:54 CET 2006 Christian Anthon <anthon@kiku.dk>

	* ChangeLog, configure.in, gnubg.c, gtkprefs.c, gtktexi.c,
	matchequity.c, rollout.c: vprintf cleanup

Tue Dec  5 00:44:07 CET 2006 Christian Anthon <anthon@kiku.dk>

	* common.h, configure.in, dice.c, eval.c, export.c, gnubg.c,
	gtkchequer.c, gtkcube.c, gtkexport.c, gtkgame.c, gtkmet.c,
	gtkmovefilter.c, gtkrace.c, gtktexi.c, gtktheory.c, osr.c, path.c,
	render.c, rollout.c, lib/Makefile.am, lib/buffer.c, lib/neuralnet.c:
	alloca cleanup (we allways have g_alloca).

Mon Dec  4 10:10:29 CET 2006 Christian Anthon <anthon@kiku.dk>

	* gtkoptions.c: hide sound options when compile without USE_SOUND

Sat Dec  2 21:52:04 CET 2006 Christian Anthon <anthon@kiku.dk>

	* rollout.c, progress.c: Disable view rollout statistics after
	close/reopen. Add drops to won games in rollout statistics.

Thu Nov 30 23:43:03 CET 2006 Christian Anthon <anthon@kiku.dk>

	* eval.c, gtkgame.c: remove meaningless data from evaluation window
	and fix window size

Thu Nov 30 22:17:24 CET 2006 Christian Anthon <anthon@kiku.dk>

	* gtkwindows.c: fix sizing problem in messages window

Thu Nov 30 20:14:05 CET 2006 Christian Anthon <anthon@kiku.dk>

	* gtkoptions.c: fix gtk sizing problem in sound options.

Tue Nov 28 23:59:09 CET 2006  Christian Anthon <anthon@kiku.dk>

	* sound.c: cleanup of play_file

Sun Nov 26 21:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkoptions.c (mainly): Selectable sound files (in gui)

Sun Nov 26 16:59:28 CET 2006 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gnubg.c, gtkfile.c, import.c, import.h: "import gam",
	"import party" and "import empire", respectively imports, jellyfish .gam,
	partygammon .gam and gammonempire .gam. 

Sun Nov 26 16:24:30 CET 2006 Christian Anthon <anthon@kiku.dk>

	* gtkfile.c: Default folders on win32

Sat Nov 25 17:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* import.c: First try at PartyGammon import
		(based on convert-to-mat script by gunnar bluth and achim mueller)

Thu Nov 23 18:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkfile.c: Add warning if trying to import PartyGammon game files

Sat Nov 18 14:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c: Fix bug in saving/exporting custom designs

Wed Nov 15 16:53:19 CET 2006 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, set.c, show.c: in fresh installs: g11.xml, more sensible
	rollout settings, infinite number of moves analysed.
	* gtkboard.c, gtkgame.c, gtkpanels.c: docked panels wider by default.
	gnubg starts maximized(make this an option?). Attempt to fix ugly
	resizes in player/score frames.

Thu Nov 16 15:27:32 CET 2006 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, gtkgame.c, record.c, record.h, gtkprefs.c: Move all
	rc files to g_get_home_dir()/.gnubg (both windows and unix).

Tue Nov 14 21:17:55 GMT 2006 Jim Segrave <jes@jes-2.demon.nl>

	* gtkgame.c : GTKShowScoreSheet callback to MoveListIntoView 
	  2nd parameter is pointer to int, not int

Mon Nov 13 22:32:37 CET 2006 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in,g gnubg.c , gtkbearoff.c , gtkgame.c ,
	gtkprefs.c , record.c: attempt fix of recent problems with
	szHomeDirectory

Mon Nov 13 18:50:22 CET 2006 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, board3d/.cvsignore, board3d/Makefile.am,
	lib/.cvsignore, lib/Makefile.am: Use libtool static libs.

Mon Nov 13 12:16:54 CET 2006 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, board3d/Makefile.am, lib/Makefile.am,
	non-src/Makfile.am: Add various files to EXTRA_DIST or sources.

Fri Nov 10 15:22:46 CET 2006 Christian Anthon <anthon@kiku.dk>

	* fonts/Makefile.am, flags/Makefile.am: Add flags and fonts to
	EXTRA_DIST

Fri Nov 10 12:40:47 CET 2006 Christian Anthon <anthon@kiku.dk>

	* configure.in: Version bump, MAIN now version 0.16-devel

Fri Nov 10 12:35:50 CET 2006 Christian Anthon <anthon@kiku.dk>

	* gnubgmodule.c: Hopefully fix AMD64 relational database crash

Fri Nov 10 08:31:26 2006 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gtktheory.c: Fix typo. Use TG instead of TP for "Too good".

Tue Nov  7 19:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* import.c, gktfile.c : Add money game import for .gam files

Thu Nov  9 20:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* font3d.c, render.c : Minor changes to 3d cube font and 2d point
		number font to make them look slightly better.

Mon Nov  6 15:11:40 CET 2006  Christian Anthon <anthon@kiku.dk>

	* render.c, board3d/font3d.c, board3d/widget3d.c: Allow fallback when
	no stencil buffer and make vera fonts work in 3d.

Mon Nov  6 13:28:52 CET 2006  Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, render.c, board3d/font3d.c, R luxi.c, A
	fonts/: Use the free bitstream vera fonts instead of the non-free
	luxi.c

Thu Nov  2 20:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkfile.c + .h: Removed import option and now open
		any file type automatically.

Thu Nov  2 20:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c + .h: Show 3 decimals for epc and include wastage.
	(By Ian Shaw)

Wed Nov  1 00:52:26 CET 2006 Christian Anthon <anthon@kiku.dk>

	* gnubg.c, backgammon.h, Makefile.am: Move option parser to glib
	option parser, since it facilitates the integration of gnubg options
	with gtk options. getopt*.[ch] still needed for utility programs.

Wed Oct 25 11:36:58 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, backgammon.h, export.c, gnubg.c, gnubgmodule.c,
	gtkfile.c, gtkgame.c, gtkgame.h, gtkoptions.c, gtkprefs.c,
	gtktoolbar.c, html.c, latex.c, postscript.c, set.c, sgf.c, show.c,
	text.c: Moved file dialogs to gtk_file_chooser
	* gtkfile.h: new file
	* gtkpath.c gtkpath.h: removed

Wed Oct 18 14:54:34 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* Makefile.am, configure.in, gtkgame.c, flags/.cvsignore,
	flags/Makefile.am: automake and install stuff for the new flags

Wed Oct 18 09:31:12 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* backgammon.h, gnubg.c, gtkgame.c, postscript.c, sgf.c: charset
	conversion cleanup

Tue Oct 17 15:03:08 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* drawboard.c: avoid assuming length of translated strings

Mon Oct 16 15:45:49 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: Correct locales. Call language changes directly instead
	of through UserCommand.
	* gnubg.c: Use environment locale. Replace putenv by setenv.

Thu Oct  12 19:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkoptions.c, flags dir: Added new dialog to set language

Thu Oct  5 23:51:15 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: Fix compiler warnings without USE_PYTHON after last
	commit

Wed Oct  4 14:18:35 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* Makefile.am analysis.c, analysis.h, formatgs.c, formatgs.h, html.c,
	text.c: minor changes to allow "relational show details"
	* database, database.example: rename
	* gtkgame.c, gtkgame.h, gtkrelational.c, gtkrelational.h,
	relational.c: detailed player stats in the CL version. List of all
	player stats and details upon double-clicking in the GUI.

Wed Oct  4 11:58:50 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* gtktoolbar.c: make sure labels are shown
	* .cvsignore: add linked files 

Mon Oct  2 00:49:27 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* several: compiler warnings mainly on 64bit platforms. Avoid casting
	integer to pointer and back.

Sat Sep 30 09:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Fix minor edit bug (labels dissappearing when panels moved)

Sun Sep 24 06:12:42 2006 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* makebearoff.c: Fix typo: #include <sys/types.h>.

Wed Sep 20 21:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Save full screen state and show pip count

Mon Sep 18 22:17:39 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* misc: Keith Count 

Wed Sep 13 21:42:45 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* gtk*, Makefile.am: Cleanup after modal comit

Wed Sep 13 21:38:50 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* sgf.c: make save/load locale independent

Mon Sep 11 23:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkwindows.c+.h, lots of gtk files: Move dialog code to new file
	Fixed modal dialog z order problems (mainly on windows)

Sat Sep  9 14:11:25 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: Reimplement the idle python shell

Wed Sep  6 19:16:04 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: make ctrl-c and ctrl-v work for gtktextview

Tue Sep  5 12:42:29 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c and friends: replace gtktext (gtk1) with gtktextview

Tue Aug 29 14:32:51 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* drawboard.c: 'off' and 'bar' should not be translated

Wed 23 Aug 2006 Jim Segrave <jes@jes-2.demon.nl>

	* gnubg.c: initialise rollout context when calling RolloutGeneral

Tue Jul  4 18:45:04 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* several files: fix gcc4 compiler warnings due to xml using usigned
	char

Mon Jul  3 17:58:33 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* doc/gnubg.xml, non-src/README: gnubg.xml moved (edit gnubg.texi
	instead).

Fri Jun 30 11:41:51 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* gtkgame.c: fix save settings when using gnubg -t

Thu Jun 29 11:41:00 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* gnubg.weights: added to archive

Thu Jun 29 11:27:09 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* Several files: move generated files to non-src. Make the generated
	files actually compile and automake work as expected.

Mon Jun 26 22:05:50 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* Several files: remove simplelibgen

Mon Jun 26 21:00:44 2006 UTC CEST 2006 Christian Anthon <anthon@kiku.dk>

	* Several files: remove gtk_1 code missed first time

Thu Jun 22 23:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* Several files: Moved some 3d settings and code into 3d lib.

Thu Jun 22 20:53:54 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* Several files: remove gtk_1 code

Sun Jun 18 01:26:05 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* Several files: cleanup after Øystein i18n changes

Sat Jun 17 19:42:19 2006 Øystein Johansen <oystein@gnubg.org>

	* Many files: Remove i18n functions like PushLocale and PopLocale,
	use glibs g_ascii_strtod and g_ascii_formatd instead.

	* gnubg.c and others: Remove gdbm database training

Sat Jun 10 00:02:19 CEST 2006 Christian Anthon  <anthon@kiku.dk>

	* : Removal of USE_GUI, USE_EXT, xgame* xboard*, the ext directory

Tue Jun 22 Christian Anthon  <anthon@kiku.dk>

	* Makefile.am (SUBDIRS): Remove intl. (EXTRA_DIST): Add config.rpath.
	Upgrade to gettext-0.14.5.

Mon May 29 13:01:07 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* M Makefile.am, configure.in, gnubg.gtkrc : gtk1/gtk2 cleanup, we now
	expect gtk-2.6.0
	* M README,TODO : guile clean
	* R config.guess, config.sub, ltmain.sh, libtool : autoconfig cleanup
	* M gnubg.c, gtkgame.c : gtk1/gtk2 cleanup, get rid of gdkx.h, which seems
	unneeded, update evaluate widget to gtk_text_view
	* M gnubg.gtkrc : gtk2 cleanup, don't autogenerate from gnubg.gtkrc.in
	anymore

Fri May 26 20:35:05 2006 Øystein Johansen <oystein@gnubg.org>

	* gnubg.c: Simple Win32 fixes (Windows doesn't use gdkx.h)

Fri May 26 11:51:05 CEST 2006 Christian Anthon <anthon@kiku.dk>

	* Many files : Updated the autobuild system. Please read INSTALL in
	the topdir. Gtk1 and guile are no longer supported.

Tue May 24 19:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c : Fixed memory overwrite and .mat export for foreign languages

Tue May 24 19:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* render.c, htmlimages.c : Rewrite libart 2d board arrows using cairo

Sat May 21 15:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* boards.xml : Added two new designs by Wilson Amaral Jorge.

Mon May 8  21:32:34 2006 Øystein Johansen <oystein@gnubg.org>

	* renderprefs.c: A revised 64 bit patch from Alex applied.

Sun May 7  18:49:34 2006 Øystein Johansen <oystein@gnubg.org>

	* renderprefs.c: Revert Alex' patch.

Tue May  2 00:33:07 CEST 2006 Christian Anthon <anthon@kiku.dk>
	* gtkgame.c: fix display of gtkeval window

Mon May 1  22:06:34 2006 Øystein Johansen <oystein@gnubg.org>

	* renderprefs.c: Apply Alex patch.
	* texture.txt: Bump version

Sun Apr 16 12:48:31 CEST 2006 Christian Anthon <anthon@kiku.dk>
	* rollout.c: Use abs in time check
	* gnubg.py : Fix typo

Tue Apr 14 09:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* export.c : Fix 3d png export (and 3d preview bars in appearance dialog)

Thu Apr 13 01:37:29 CEST 2006 Christian Anthon
	* Make Jon's sse-splitup actually compile on linux. Moved
	SSE_Support() to neuralnet.c to make makeweights compile. Added some
	autoconf magick.

Tue Apr 12 07:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* backgammon.h +various: Tidy up min/max to use MIN/MAX everywhere

Tue Apr 11 21:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkboard.c: Minor bugfix when hitting chequers in edit mode

Tue Apr 11 17:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* rollout.c: Only update rollout stats once a second at most

Tue Apr 11 17:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>
	* gtkfile.c: Fix bug changing met with gtk 2

Mon Apr 10 09:49:03 CEST 2006 Christian Anthon <anthon@kiku.dk>
	* gtkgame.c: Fixed typo causing crash in RelationalAddMatch

Fri Apr  7 13:46:58 CEST 2006 Christian Anthon <anthon@kiku.dk>
	* gnubg.c, gtkgame.c: Fix problems with help menus in gtk
	* gtkgame.c         : Enable add game to relational in gtk(thx MaX)
	* database.py       : Create games database when appropriate(thx MaX) 
	* html.c            : small improvement on previous

Thu Apr  6 22:30:58 CEST 2006 Christian Anthon <anthon@kiku.dk>
	* html.c make it clearer who is who when exporting to gammonline

Wed Mar 29 10:13:39 CEST 2006 Christian Anthon <anthon@kiku.dk>
	*  **/Makefile.in aclocal.m4 config.h.in configure: Sync auto-tools
	files.

Tue Mar 28 23:45:53 CEST 2006 Christian Anthon <anthon@kiku.dk>
	* gnubg.game.mysql gnubg.game.sql gnubg.sql: Fix switched order of
	normalised/unnormalised for some error_, so that it matches
	database.py.

Tue Mar 28 23:37:40 CEST 2006 Christian Anthon <anthon@kiku.dk>
	* remove m4/gettext.m4

Tue Mar 28 23:24:14 CEST 2006 Christian Anthon <anthon@kiku.dk>
	* format.c eval.c analysis.c: Clean up isCloseCube and lower limit to
	    0.16

Sat Mar 20 23:16:45 2006 Øystein Johansen <oystein@gnubg.org>

	* analysis.c: Fix for problem with wrong double statistics.
	(Thanks to Christian Anthon)

Sat Mar 03 10:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Change mouse pointer to watch when computer is thinking

Sat Mar 03 09:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtktoolbar.c:  Undo any partial move that may have been made
		when entering edit mode.

Sat Mar 03 09:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Remove old ClearText function

Mon Feb 27 10:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* play.c: Fix 'too good' tutor bug

Fri Feb 24 17:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c and others: Sort out copy/paste for gtk 2

Sat Feb 11 09:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* import.c: Fixed an import bug for TMG files
		(reported by Christian Anthon).

Mon Feb 06 08:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkfile.c, eval.c, matchequity.c: 3 small fixes from Philippe Michel

Thu Feb 02 07:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkgamelist.c: Replace old gdk_string_width() calls

Thu Jan 31 07:56:45 2006 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Add menu option to switch between 2d and 3d views

Sun Jan 29 19:32:05 GMT 2006 Jim Segrave <jes@jes-2.demon.nl>
	* gtkpanels.c - don't do anything to undock panels in CLI mode
	  ChangeLog entry for 27/01 listed the wrong source file, sigh

Fri Jan 27 18:36:46 GMT 2006 Jim Segrave <jes@jes-2.demon.nl>
	* play.c - don't do anything to undock panels in CLI mode

Sat Dec 17 -3:31:09 GMT 2005 Jim Segrave <jes@jes-2.demon.nl>
	* gtkchequer.c - CreateMoveListTools() must be called before
	  calling MoveListCreate(), otherwise coredumps can result

Sat Dec 17 -1:22:09 GMT 2005 Jim Segrave <jes@jes-2.demon.nl>
	* html.c - copy basemane() from simplelibgen.c to
	  get_basename(), as basename() is not promised to be
	  re-entrant. This caused all the links between html game
	  files to be set to the last call to basename()

Thu Dec 12 13:23:12 GMT 2005 Jim Segrave <jes@jes-2.demon.nl>

	    *eval.c change assembler code labels to locals. gcc 3.42 saw
	    labels as redfined. I don't know what this will do to MS
	    compilers or the Intel compiler.

Fri Nov 18 16:38:11 GMT 2005 Jim Segrave <jes@jes-2.demon.nl>

	*gtktexi.c - make inclusion of io.h dependent on not having 
	 unistd.h, as done in other routines (io.h is a Windows-only 
	 header)

Mon Sep 19 22:37:25 GMT 2005 Jim Segrave <jes@jes-2.demon.nl>

	* relational.c, gtkgame.c - don't reference non-existent gtk
	  objects
	  postgresql does not accept queries in the form
	  SELECT column from A INNER JOIN B INNER JOIN C 
	    ON A.id1 = B.id1 AND B.id2 = C.id2

	  must be
	  SELECT column from A INNER JOIN B ON A.id1 = B.id1
	    INNER JOIN C ON B.id2 = C.id2

Sun Sep 18 14:10:02 GMT 2005 Jim Segrave <jes@jes-2.demon.nl>

	* gnubg.game.sql, gnubg.game.mysql - create databases with tables
	  for game statistics
	* database - sample database configuration file

Mon Aug 29 15:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkchequer.c (and a few others), gtkmovelist(.h, .c, ctrl.c) - new files
		Added win/loss stats to movelist

Fri Aug  5 11:45:31 2005 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* gtkexport.c - fix to skip SKILL_GOOD for cube decisions

Sun May  8 12:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkpanels.c: full screen improvements (for gtk 2.6)
	* progress.c: alloc mismatch

Wed May  4 18:10:43 GMT  2005  Jim Segrave <jes@jes-2.demon.nl>

	* eval.c: Don't use MMAP for reading weights when using sse

Fri Apr  29  20:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* progress.c: Limit list updates in rollouts to reduce flicker
		and improve speed (gtk 2.6)
	* eval.c: Minor speed improvment

Thu Apr  28  22:35:45 2005 Oystein Johansen <oystein@gnubg.org>

	Vectorization of neural net evaluation.

	* eval.c: Change callers to NeuralNetEvaluate to use vectorized code.
	* set.c:  Fix typo. Thanks Jim Curtis.

Wed Mar  30 16:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkfile.c : Allow spaces in filenames (new 2.6 file dialog),
		not tested with linux
	* gtkgame.c : Fix maximised window->full screen (gtk 2+)

Sat Mar 26 00:17:49 GMT 2005 Jim Segrave <jes@jes-2.demon.nl>

	* gtkgame.c, sound.c - fix for Cygwin FASYNC vs O_ASYNC
	  (from Ingo Macherius <macherius@web.de>

Fri Mar  11  19:25:45 2005 Oystein Johansen <oystein@gnubg.org>

	* gtkgame.c (InitGTK): move the 'Go' menu to the right place
	according to HIG.
	* gtkgame.c (GTKHelp): Make the command reference window a dialog.

Sun Mar  06  18:00:45 2005 Oystein Johansen <oystein@gnubg.org>

	* gtkgame.c InitGTK(): Exclude GTK_STOCK_ABOUT when gtkversion < 2.6

Sat Mar  05  23:50:45 2005 Oystein Johansen <oystein@gnubg.org>

	This is the first commit in a large GUI cleanup I intend to do.

	Cleanup in the menu system. Simplify all the 'File' menues. Rearrange
	according to Human Interface Guidlines 2.0 (HIG 2.0). Add some stock
	icons to some of the menu items. Please comment on the stock items.

	* gtkgame.[ch], gtkpanels.c, gtktoolbar.c: Menu cleanup.

Fri Feb  25  11:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtk(some).c : Make event boxes transparent (By Ingo Macherius)

Tue Feb 23   18:26:45 2005 Oystein Johansen <oystein@gnubg.org>

	* gtkgame.c, progress.c: Make all progress bars with gtk_progress_bar
	  instead of the deprecated gtk_progress_*, when compiled with GTK+2.

Wed Feb 23   06:49:52 2005 GMT Jim Segrave

	* gtkpanels.c: use string.h rather than strings.h to get
	  prototype for strcasecmp()

Tue Feb  22  19:26:45 2005 Oystein Johansen <oystein@gnubg.org>

        * gtkcube.c (CubeAnalysisEvalPly): Get the evalcontext right!

Tue Feb  22  19:06:45 2005 Oystein Johansen <oystein@gnubg.org>

	* gtkgame.c (GTKFileCommand): Apply a fix from Ingo

Fri Feb  18  16:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* matchequity.c : Fix met xml files met/catalog (By Ingo Macherius)

Thu Feb  17  16:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkfile.c (and a few others): First part of new
		file dialogs (By Ingo Macherius)
	* gtkpanels.c: Minor gtk 2 window fix

Tue Feb  15  17:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, gtkpanels.c: Remember maximised state of windows

Mon Feb  14  12:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>
	Fixes from Philippe Michel:
	rollout.c, format.c: Fix bugs in rollout output
	gnubg.c: Fix for bug 10099
	makebearoff1.c: Typo

Thu Feb  10  10:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>
	Fixes from Ingo Macherius:
		external_l.l, external_y.y: Minor parser change
		gnubg.c: No-gui build fixes
		gtkpanels.c: Remove compiler warning
		gnubgmodule.c/h: Add paramater to FindCubeDecision

	Fix from Philippe Michel:
		matchid.c: Buffer fix for matchidfromkey

	Fixes for gtk 2.6:
		gnubg.c: Don't hide windows on close - so sound finishes correctly
		gtkprefs.c: Fix long pause if no boards.xml file
		misc3d.c, play.c: Dice not shown until after roll sound (3d)

Wed Feb  8  16:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* Various fixes for gtk 2.6:
	eval.c : Increase poll time
	gnubg.c : Fix ok click problem for gtk 2.6
	gtkgame.c : Fix dock/undock problem for gtk 2.6
	gtkoptions.c gtkbearoff.c gtktempmap.c : Fix dialog modality


Tue Feb  7  17:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c: change get install dir to look at path to exe (windows)

Tue Feb  2  19:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgamelist.c: Remove gtk loop, hopefully fixing "can't move" bug
	* gtkgame.c: More relational db code

Tue Jan  5  8:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* relational.c: Add warning if adding unfinished or unanalyzed match
	* gtkpanels.c: Fix for console build

Tue Jan  4  9:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkpanels.c: Move remaining window/panel code to this file
	and fix a couple of small bugs

Tue Jan  4 00:16:32 2005 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* gnubgmodule.c - add detail to python doc strings

Sun Jan  2 13:44:55 2005 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* gnubgmodule.h - reinclude config.h to set HAVE_FSTAT (gcc
	  doesn't like trying to redfine it and config.h is not
	  idempotent)
	* gnubgmodule.c - replace _getcwd with getcwd, _MAX_PATH with 
	  PATH_MAX, which should be available in all C implementations

Sun Jan  2 11:56:45 2005 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubgmodule.c: Look for local python installation (windows)

Sun 12 Dec 13:27:54 gmt 2004 Jim Segrave <jes@jes-2.demon.nl>

	* fix some bugs in scripts/database.py

Sun 28 Nov 01:04:30 GMT 2004 Jim Segrave <jes@jes-2.demon.nl>

	* import.c - patch Fibs code to ignore non-game lines in input

Wed Nov  23 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* play.c: Fix wrong resign acceptance
	* eval.c, bearoff.c, set.c: Hypergammon fixes

Thu Nov 18 23:06:46 2004 GMT  Holger Bochnig <hbgg@gmx.net>

	* bearoffdump.c: allow posids as arguments

Mon Nov  15 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c (and others) : Simplify widget grabbing, hopefully
	fixing multiple "can't move" bug

Mon Nov  8 11:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c : Fixed bug with credits

Fri Nov  5 14:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.sql, gtkgame.c, realational.c, database.py :
	Added multiple environments to the realational database

Fri Nov  5 14:08:48 2004  Joseph Heled  <joseph@gnubg.org>

	* eval.c (EvalInitialise): Fix bug with prunning. Order of crash
	and race nets was reversed, So crashed/race prune nets were
	returning garbage.

Thu Nov  4 13:12:07 2004  Joseph Heled  <joseph@gnubg.org>

	* eval.c: Make evals after prunning cubeful. See if it makes a
	difference. Would be nice to offer this as a global option.

Wed Nov 03 20:44:45 2004   Oystein Johansen <oystein@gnubg.org>

	* gtkgame.c (EvalWidget): Fix a copy'n'waste error
	* eval.c: Change 'Tiny' movefilter to 5 candidates.

Wed Nov 03 20:07:45 2004   Oystein Johansen <oystein@gnubg.org>

	* gtkchequer.c (CreateMoveList): Use NULL instead of ""

Wed Nov 03 09:15:45 2004   Oystein Johansen <oystein@gnubg.org>

	* i18n.h: reenter #include "config.h"

Tue Nov 02 22:03:30 2004 CET  Petr Kadlec <mormegil@centrum.cz>

        * gtkprefs.c: Fixed an issue when not using HAVE_LIBXML2

Wed Oct 27 01:20:45 2004   Oystein Johansen <oystein@gnubg.org>

	* boards.xml: Add design by Ian Curtis.

Wed Oct 27 01:20:45 2004   Oystein Johansen <oystein@gnubg.org>

	* gtktheory.c gtktempmap.c: Two files I missed in the last commit.

Tue Oct 26 21:00:45 2004   Oystein Johansen <oystein@gnubg.org>

	Hate me or love me! I've committed the code that removes the reduced
	searches. (Sorry Nis! Hope it won't cause you any trouble). Hopefully
	I will be able to combine the two reduction methods later.

	* gtkgame.c, eval.c and other files: Add user interface to prune nets

Fri Oct 22 15:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* html.c, and others : Fix exports to display cube analysis whenever
	analysis available

Thu Oct 21 15:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* matchequity.c, set.c : Bug fix while inverting met

Tue Oct 19 17:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c : Fixes for import/export appearance designs

Sun Oct 17 22:14:00 2004 UTC Jim Segrave <jes@jes-2.demon.nl>

	* Makefile.in - missing gtkpanels.*
	* sgf.c - versioning for pruning
	* gnubg.c - move reduction variables inside ifdef
	* eval.c - cosmetic fix for compiler warnings
	* xpm/x.xpm - missing final line of bmp
	* eval.h - add version numbers for pruning in .sgf files

Sat Oct 16 23:36:45 2004  Oystein Johansen <oystein@gnubg.org>

	* gnubgmodule.c: Fix dice option handling

Thu Oct 14 17:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, gtkgame.c : Remember last import+export file type

Thu Oct 14 12:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* eval.c : Minor (non gcc) compiler fixes

Tue Oct 12 19:44:00 2004  Oystein Johansen  <oystein@gnubg.org>

	* gnubgmodule.c: Add methods for FindBestMove and EvaluateCubeful

Tue Oct 12 21:36:00 2004  Joseph Heled  <joseph@gnubg.org>

	* eval.c (FindBestMoveInEval): Add usage of prunning nets. This is
	quite a large change, and since it adds a member to evalcontext,
	possibly a destructive one.

Sun Oct 10 23:04:14 GMT 2004 Jon Nall <backgame@gmail.com>

    * backgammon.h, gnubg.c, play.c: Added support for adding comments
    to moves from the command line. Closes bug #10638

Tue Oct 5 16:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* database.py, relational.c, gtkgame.c (and others) : Added
	check for match in database

Wed Sep 29 21:29:45 2004 Oystein Johansen <oystein@gnubg.org>

	* relational.c: make it compile without gtk

Wed Sep 29 18:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* database.py, relational.c, gtkgame.c: Added more relational
	database code

Wed Sep 29 15:10:45 2004  Oystein Johansen <oystein@gnubg.org>

	* makebearoff.c: Display 'usage' on Windows.

Sun Sep 19 14:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Fix gtk2 panel bug

Thu Sep 16 8:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* eval.c: Fix bug (navigate to last match crash) - hopefully

Fri Sep 10 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkboard.c, gtkgame.c, gnubg.c, gtkpanels.c: Added command and theory
	panels (test) and slider for panels.

Thu Sep 9 12:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkboard.c, render.*, gnubg.c: Small memory leaks, uninitialized
	memory reads and tidy up code added.  May fix import .mat bugs

Mon Sep 6 00:27:04 2004 GMT Jim Segrave <jes@jes-2.demon.nl>

	* show.c = fix for running off array end in show path command

Wed Sep 1 17:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Small import bug fixed

Wed Aug 25 18:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkgamelist.c, import.c, sgf.c: Speed up loading
	and remove flickering

Fri Aug 13 09:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* play.c: Small bug fix (bug 9926)

Wed Aug 11 23:39:41 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* external_y.y: remove %output to stop ylwrap complaining.

Thu Aug 12 07:46:18 2004  Joseph Heled  <joseph@gnubg.org>

	* gnubg.c: Add search in "scripts/gnubg.py" if all else fails in
	CommandLoadPython, since this IS the place 'gmake install' puts on
	my Linux box (i.e./usr/local/share/gnubg/scripts/gnubg.py).

Mon Aug 02 09:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* play.c: Fixed 3d quick draw bug

Sun Aug 01 00:40:47 UTC  2004   Jim Segrave <jes@jes-2.demon.nl>

	* gnubgmodule.c - calls to PythonGame had arguments in different
	  order, so database ratings were calculated on 1 point matches

Fri Jul 30 23:08:58 CEST 2004   Oystein Johansen  <oystein@gnubg.org>

	* gtkgame.c (PythonShell): starting "idle" differs between platforms.

Sun Jul 25 20:34:35 2004 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gnubg.c (Convert): Suppress compiler warnings. Synch with
	iconv() prototype.

Sun Jul 25 19:19:41 2004 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* rollout.h: Suppress compiler warnings; static declaration for
	`nSkip' follows non-static.

Sun Jul 25 18:15:47 UTC 2004 Jim Segrave   <jes@jes-2.demon.nl>

	* gtkexport.c - fix handling of cube export settings (typo and 
	  corrections for unused entries)

Mon Jul 19 09:53:10 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c (real_main): initialise random seed for rollout
	RNG.
	(bug reported by Chuck Bower, fix suggested by Jim)

Mon Jul 12 22:48:32 CEST 2004  Petr Kadlec  <mormegil@centrum.cz>

        * gtkprefs.c (ImportDesign): Use ngettext.
        * html.c (HTMLBoardHeader): Ditto.

Sun Jul 11 16:37:02 2004 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* eval.c (EvalInitialise): Suppress compiler warnings.

Sun Jul 11 14:47:30 2004 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gtkgame.c: include <ctype.h> for isspace().

Sun Jul 11 14:42:51 2004 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* dice.h: Added extern UserRNGOpen();

Sun Jul 11 13:30:11 2004 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* htmlimages.c: include <malloc.h>.

Sun Jul 11 12:07:25 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* external.c: pacify fussy compilers.

Sun Jul 11 07:17:35 2004 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gnubg.c (DisplayTimeAnalysis, ShowBoard, CommandCopy): Use
	ngettext.  And tabify.
	* gtkboard.c (ReturnHits): Ditto.
	* gtkgame.c (TimeAnalysis, GTKShowScoreSheet): Ditto.
	* html.c (HTMLPrologue, ExportGameHTML): Ditto.
	* html.c (ExportPositionGammOnLine): Ditto.
	* play.c (ApplyMoveRecord): Ditto.

Sat Jul 10 14:35:26 2004 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gtkoptions.c (aaszLang): Use ja_JP instead of ja_JA.  Added
	ru_RU.

Sat Jul 10 08:17:26 2004 GMT  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* i18n.h [!ENABLE_NLS] (ngettext): New macro.

Sun Jul  4 14:22:59 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* analysis.c (CashPoint): fix bug leading to wrong
	classification of wrong doubles.
	(reported by Hans-Jürgen Schäfer)
	* eval.c (calculate_gammon_rates): new function.

	* openurl.c, gtkgame.c, relational.c: pacify fussy compilers.

Sun Jul  4 11:41:54 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* gtkprefs.c: add functions for importing and exporting
	board designs.

Sat Jul  3 14:41:56 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* configure.in: rewrite test for ftgl.

	* gtkgame.[ch]: declare SelectFile external.

Wed Jun 30 22:28:07 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* configure.in: write test for ftgl.

Wed Jun 30 20:42:53 CEST 2004  Nis Joergensen  <nis@superlativ.dk>

	* gtkboard.c: fix bug that disallowed certain legal moves.

Mon Jun 28 16:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* boards.xml: Add 2 new designs by Ruth Schneider and Ausbilder Schmidt

Mon Jun 28 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgamelist.c: Allow last move to be selected in game list
	* render.c: Small bug in design dialog

Sun Jun 27 11:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkboard.c: Fixed bug - 2d chequers disappearing if dragged off board
	* positionid.c: Fixed bug - illegal position id's not being errored

Sat Jun 26 16:49:31 CEST 2004  Nis Joergensen  <nis@superlativ.dk>

	* speed.c (CommandCalibrate): Speed Calibration" now avoids using the
	same seed for randomization every time, so gives reliable results on
	consecutive runs.
	* gtkboard.c: Dragging checkers allows for pick-and-pass. The logic I
	have implemented is to hit if possible, and if there are two options,
	hit with the "left" die (ie highest in standard setup). I am still
	working on undo of pick-and-pass.
	* play.c: Gnubg allows you to resign AFTER you roll, based on what you
	rolled.  This actually fixes a way to cheat - resigning if your equity
	drops to below -1 or -2  when you roll.

Thu Jun 17 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkchequer.c, gtkgamelist.c: Fixes for styles in gamelist

Wed Jun 16 20:50:46 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubg.gtkrc.in: backport changes to gnubg.gtkrc

Wed Jun 16 12:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkchequer.c, gtkboard.c, gnubg.gtkrc: separate styles for current
	move and done move in move list

Wed Jun 16 12:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkchequer.c: use move style for hint window, also removed highlight
	code from several files

Tue Jun 15 20:32:05 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubg.gtkrc.in: autogenerate gnubg.gtkrc

Tue Jun 15 15:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: gtk_widget_destroy error message when opening
	hint window (reported by Ian)

Tue Jun 15 12:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgamelist.c, gnubg.gtkrc: Fix font styles for gtk2 and style order

Tue Jun 15 05:58:34 2004  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* credits.sh, credits.c, AUTHORS: Fix Japanese translations
	credit.

Sun Jun 13 22:32:09 CEST 2004 Jim Segrave <jes@jes-2.demon.nl>

	* import.c - allow handling uncompleted matches in .mat files

Sat Jun 12 12:25:54 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* import.c (ParseSGGOptions): use strcasecmp for deciding which
	variant of backgammon is used.
	(reported by Hugh Sconyers)

Fri Jun 11 18:56:45 GMT 2004  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkboard.c: Fix minor chequer display bug

Fri Jun 11 19:00:05 CEST 2004  Jim Segrave  <jes@jes-2.demon.nl>

	* gtkgamelist.c gnubg.gtkrc
	* Add gtkrc support for any-blunder/any-error/any-doubtful

Thu Jun 10 17:41:40 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* Makefile.am: add gtkgamelist.c

Thu Jun  10  14:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgamelist.c, gnubg.gtkrc: Multiple styles and new defaults for game list

Wed Jun  9  14:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, gtkgamelist.c, gnubg.gtkrc: Get game list colours from gtkrc file

Tue Jun  8  8:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkgamelist.c: Colour mistakes in game list

Mon Jun  7  8:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Remove keyboard focus from game window, fix minor bug
	with new right click menu.
	* gnubg.c: Empty board on startup (try #2)

Sun Jun  6 18:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c: Empty board on startup
	* gtkboard.c: Close hint window when editing
	* import.c: Ignore empty lines in mat import

Fri Jun  4 22:58:22 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* eval.c (EvalKey): add another bit to match scores in
	hash key.
	(fixes bug #9211 reported by Casey Hopkins)

Fri Jun  4 18:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gnubg.c: Add show scoresheet command (to right click menu)

Wed Jun  2 9:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkboard.c: Add undo right click menu

Thu May 27 19:05:49 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* import.c (ParseMatMove): fix logic for calculating
	resignations.
	(reported by Joachim Matussek)

Tur May 20 15:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* external.*: Remove memory leaks

Tue May 18 15:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* external.*: Minor changes to parser

Tue May 18 8:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c, render.c: Several small fixes to board appearance options

Wed May 12 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* boards.xml, gtkprefs.c, render.c+.h, renderprefs.c:
	Add Taki-style rounded points

Mon May 10 21:33:28 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* external.h: move "#define closesocket close" to external.h

Sat May  8 11:25:08 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c, show.c: enlarge buffers

Fri May  7 21:13:26 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* external_l.l: fix buffer overflow.

Fri May  8 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* external.c, dice.c, set.c: Fix socket code for windows

Fri May  7 16:17:09 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	Change union moverecord into struct moverecord
	(this is step 1 towards better support for editing positions
	and storing analysis)

 	* backgammon.h: Change union moverecord into struct moverecord
	(change a gazillion subroutines)

Fri May  8 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, gtkgame.c, gtkpath.c, set.c: Added png to set path command

Fri May  7 07:48:47 CEST 2004  Joern Thyssen  <jth@gnubg.org>

        Prerelease 0.14.3. CVS tag is pre-rel-0-14-3

        * configure.in, gtkgame.c: prelease 0.14.3

Fri May  7 07:27:18 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c: fix problems with initialisation of rollout
	contexts. This lead the problem about cubeless and cubeful
	equities being different for -1,-3C rollouts reported by
	Robert Eberlein.

Thu May  6 15:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtktempmap.c, gtkboard.c: Show correct dice colour in temperature
	map when in 3d

Mon May  3 15:20:43 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* osr.c, dice.c: add mti as parameter to init_genrand.

Fri Apr 30 18:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkboard.c: Change dice and cube selection dialogs to fixed size
	* gtkboard.c board3d/graph.c: Remove event->count optimization as now done in gtk
	* i18n.c: Warn if too many PopLocale() calls attempted
	* gtkprefs.c, htmlimages.c: No libart build fixes
	* gtkprefs.c: Small bug in colours when switching from 3d to 2d

Thu Apr 29 20:44:24 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* bearoff.c (GetDistCompressed): fix sanity check for huge 
	databases.

Wed Apr 28 20:28:22 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	Add new utility program bearoffdump for inspection
	of databases.

	* bearoffdump.c: new file.
	* Makefile.am: add bearoffdump as installable file.

Wed Apr 28 16:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* set.c: Change "set priority idle" to set the process priority to
	idle (for windows).

Mon Apr 26 13:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, credits.*: Moved copyright string to credits.sh

Sun Apr 25 08:46:27 CEST 2004  Dmitri I GOULIAEV  <dmitri.gouliaev@telkel.net>

	* credits.sh: add Dmitri I GOULIAEV
	* NEWS: add russian translation

Fri Apr 23 22:12:51 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c: according to FSF we must give individual years
	rather than an interval.
	* gtkboard.c (update_pipcount): show epc in lowercase.
	* gnubg.c: fix a typo in the definition for "relational" command.
	* relational.c: add code for most functions.
	* scripts/database.py: adapt code to relational.c

Fri Apr 23 13:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c: Change year to 2004 for command line build

Thu Apr 22 21:09:01 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	Introduce RNG context for storage of RNG-specific private data.

	* dice.c (many functions): add rngctx to a number of functions
	(change all callers)
	* show.c (CommandShowSeed): show RNG counter as well.

Wed Apr 21 22:53:44 CEST 2004  Petr Kadlec  <mormegil@centrum.cz>

	Corrected some i18n-related problems + typos.

	* gnubg.c, gtkgame.c, gtkprefs.c, gtkrace.c, html.c,
	play.c, set.c, show.c, text.c: Added calls to gettext,
	marked some previously unmarked translatable
	strings (and vice versa), corrected a few typos.

Tue Apr 20 17:56:25 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* matchequity.c (initPostCrawfordMETFromParameters):
	add missing call to PushLocale.
	(reported by Joachim Matussek)

Mon Apr 19 22:52:41 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c (EPC): fix "same dice sequence for several games in a
	row"-bug, reported by several users (Erik Barfoed, Øystein, Murat
	etc). Well, this is not really a fix, I've just changed the code
       	to avoid calling the OSR code, that resets the seed.
	We really need to introduce several RNG contexts...

Mon Apr 19 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c: Small 3d bug fix

Sun Apr 18 10:53:26 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	Define functions for CLI and GUI support for relational
	database interface.

	* gnubg.c: new functions "relational ...".
	* relational.c, Makefile.am: new file
	* gtkgame.c: menu items for relational database.

	* dice.c (InitRNGSeedLong): allow setting seed = 0.

Sat Apr 17 23:43:07 2004  Oystein Johansen  <oystein@gnubg.org>

	* render.c (RenderFrameWood): Fix typo.

Sat Apr 17 20:01:07 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* set.c (CommandSetMet): call "clear hint".

Sat Apr 17 10:58:18 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	Save leading comment lines in the match information when 
	reading Jellyfish .mat files
	(e.g., the information Dueller adds to .mat files)

	* import.c (ImportMat): same comments.
	* html.c (HTMLMatchInfo): rearrange match info into a <table>

Fri Apr 16 22:02:23 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	Add built-in support for mec

	* mec.c: new file (copy of original mec.c with modfications
        for gnubg)
	* Makefile.am: add mec.c
	* matchequity.c (initMetFromParameters, 
	initPostCrawfordMETFromParameters): support for mec.

Fri Apr 16 16:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* sound.c: Fix bug if no sound card on windows

Wed Apr 14 22:41:23 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* set.c (SetMoveFilter): insert some debug code.
	* set.c: set szSetCommand a few places.

Wed 14 Apr 2004 16:39:45 GMT Jim Segrave <jes@jes-2.demon.nl>

	* play.c - turn off Crawford on one point matches
	* board3d/misc3d.c - avoid segfault if no textures (CLI mode)

Mon 12 Apr 2004 13:12:06 GMT Jim Segrave <jes@jes-2.demon.nl>

	* set.c - put if (fX) wrapper around SetToolbarStyle, stops
	  GTK complaints in text mode

Sun Apr 11 22:52:49 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* gtkprefs.c (SetTitle): move misplaced pbdeSelected.
	(contributed by Petr Kadlec)
	* gnubg.c (real_main): no env. variable DISPLAY on wintendo.
	(contributed by Petr Kadlec)

Sun Apr 11 19:20:52 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	Various patches from Mike Petch.

	* gnubg.c (real_main): avoid segfaults with gnubg -t
	* sound.c (SoundWait): do nothing if sound is disabled.
	* sound.c: only include stropts.h when HAVE_STROPTS_H
	* openurl.c, import.c: include glib.h
	* Makefile.am: move openurl.c to common files (it's now
	being used by CommandShowManualWeb)
	* configure.in: various checks for Mac.
	* set.c (CommandSetGUIShowEPCs): define a NO_GUI variant of function

Thu Apr  8 16:03:09 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	Show EPCs in GUI.  (suggested by Ian Shaw)

	* gtkboard.c (update_pipcount): show EPCs
	* gnubg.c: new command "set gui showepcs on|off"
	* set.c (CommandSetGUIShowEPCs): new sub.
	* gnubg.c (EPC): new parameter fOnlyRace
	* gtkoptions.c: gui control for setting fGUIShowEPCs

Wed Apr  7 10:46:00 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* configure.in, sound.c, config.h.in: check for _af_ulaw2linear

Mon Apr  5 08:24:52 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* Makefile.am: add gnubg.sql to DATA
	* gnubg.sql, scripts/database.py: rename stat to matchstat, and change
	some PKs/FKs
	* gnubg.c (CommandLoadPython): use PathSearch.

Sun Apr  4 15:50:55 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	First implementation of gnubg-rel.database interface.

	* gnubg.sql: DDLs for gnubg database.
	* scripts/database.py: python script for adding match to database.

Sun Apr  4 15:11:10 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubgmodule.c (PyGameStats): add missing statistics.
	* gnubgmodule.c: new functions "gnubg.luckrating" and
	"gnubg.errorrating".

Sun Apr  4 10:35:13 2004  Joern Thyssen  <jth@gnubg.org>

	Respect $BROWSER
	(http://www.catb.org/~esr/BROWSER/index.html)

	* openurl.c: use env. variable BROWSER. Also, call "system"
	instead of g_command_line_sync which doesn't seem to work with lynx.

	* gnubg.c: new commands "show manual [web|gui]".
	* gtkgame.c: use "show manual [web|gui]".
	* show.c: new functions "show manual [web|gui]".

Sun Apr  4 09:43:17 2004  Joern Thyssen  <jth@gnubg.org>

	* sound.c: include <libaudiofile.h>

Thu Apr 1 11:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkchequer.c: Reset interrupt flag on analysis start
	* sound.c: Add some error handiling to windows sound

Wed Mar 31 20:58:49 2004  Joern Thyssen  <jth@gnubg.org>

	* Makefile.am: add BR1_SOURCES to makebearoff and makehyper.
	* configure.in: whoops, remove "dynamic"..
	* sound.c: include <stropts.h> [SIGIO]

Wed Mar 31 9:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c and other files: Moved preview in preferences

Mon Mar 29 17:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Fixed small bug to allow both names to be swapped

Mon Mar 29 09:40:02 CEST 2004  Joern Thyssen  <jth@gnubg.org>

	* Makefile.am: target for br1.c not kept up to date with
	changes in makebearoff	
	* Makefile.am: FLEX->LEX, BISON->YACC
	* bearoff.h: declare BearoffAlloc extern
	* configure.in: add "dynamic" as parameter to --enable-bearoff
	* makebearoff1.c: update code to match latest version of bearoff.h
	* play.c (DumpGameList): fix typo, add linebreak
	(reported by Mike Whitton)

	* gtkgame.c: use correct release_id when reporting bugs.

Sun Mar 28 09:07:48 2004  Joern Thyssen  <jth@gnubg.org>

	* matchequity.c (initMETZadeh): use G1 for calculation
	of 1-away pre-Crawford values.

Sat Mar 27 10:45:08 CET 2004  Joern Thyssen  <jth@gnubg.org>

	Prerelease 0.14.2

Thu Mar 25 22:22:57 CET 2004  Joern Thyssen  <jth@gnubg.org>

	* Makefile.am, */Makefile.am: add a few missing files
	(reported by Christian Anthon)

Thu Mar 25 21:04:54 CET 2004  Joern Thyssen  <jth@gnubg.org>

	* credits.sh, gtkgame.c, show.c, credits.c, credits.h:
	Move generation of cred entries into credits.sh for easy
	reuse in the text version of CommandShowCredits.

Wed Mar 24 12:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: More credits and version info now copyable.

Tue Mar 23 12:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* boards.xml, textures.txt: Added settings for final few 3d designs,
		tidied up design a bit too.

Mon Mar 22 12:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Make sure messages shown when docked panels are
	hidden, also don't show a message when setting cube (bug 3973)

Fri Mar 19 12:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Change window order and titles, and put back
		accelerators from windows (Ned's suggestions)

Fri Mar 19 00:26:45 2004 Oystein Johansen  <oystein@gnubg.org>

	* external.c (and other files): changes to use winsock2.h

Thu Mar 18 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Panel bug fixed (removed warning)

Mon Mar 16 11:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Panel bug fixed (crash at startup)

Mon Mar 15 17:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* sound.c: Wait when multiple sounds attempted to be played (windows)

Mon Mar 15 11:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c gtkgame.c: Reorganized about box

Mon Mar 15 07:49:53 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubgmodule.c (PythonInitialise): fix bug for szDir==NULL
	(reported by Joseph Heled)

Sun Mar 14 08:55:39 2004  Joseph Heled  <pepster@users.sourceforge.net>

	* gtkcolour.h: Change broken type for GtkColourPicker::func and
	prototype.

Fri Mar 12 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, gtkprefs.c, gtkgame.c: Removed texture load errors when in 2d mode

Mon Mar 8 8:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkcolor.c, gtkprefs.c: Remove "property delete" gtk warning message
		when changin colours

Thu Mar 4 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gnubg.c: Replace USE_OLD_LAYOUT compile flag with menu option
	* gtkboard.c: Crawford flag only changeable when editing

Sun Feb 29 18:17:14 2004  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gnubg.c: #include <winsock.h> only if WIN32 defined.

Wed Feb 25 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, gtkgame.c: Add option so toolbar can show text, icon or both

Wed Feb 25 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, gtkgame.c, set.c: Save shown panels
	* gnubg.c : Fixed small show epc bug

Fri Feb 20 15:10:39 CET 2004  Joern Thyssen  <jth@gnubg.org>

	* Makefile.am, configure.in: move gnubg.py to scripts.
	* gnubgmodule.c: _MAX_PATH only defined onwintendo.

Thu Feb 19 13:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* import.c: Fixed import jellyfish pos problem (bug 6086)

Thu Feb 19 9:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* scripts: Added new directory to cvs for python scripts

Wed Feb 18 11:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Remove maximum column size of text copied to
		clipboard from statistics view (Bug 4161).

Mon Feb 16 21:57:18 CET 2004   Joern Thyssen  <jth@gnubg.org> 

	* bearoff.c (HeuristicDatabase): align heuristic database
	with GetBearoffDistUncompressed (a.k.a. the 40 byte offset).
	(reported by Daniel Murphy)

Mon Feb 16 9:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* html.c: Tidy text version of html export

Sat Feb 14 20:32:24 CET 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c: new command "load python <filename>".

Mon Feb  9 22:56:17 CET 2004  Joern Thyssen  <jth@gnubg.org>

	* import.c (ImportTMG): don't call SwapPlayers unless
	a game is in progress.
	(reported by John Marttila)

Thu Feb  5 19:06:31 CET 2004  Joern Thyssen  <jth@gnubg.org>

	* progress.c (formatDelta): fix small bug leading to
	gnubg thining that there is 60 hours/day.
	(reported by Michael Depreli)

Wed Feb 4 17:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* import.c (and minor changes in others) : Limit size of player
	names in import files, bug #7526

Mon Feb 02 2004 18:42:05 GMT

	* timer.c - wrong #if around include

Fri Jan 30 9:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* several files: Small changes for msdev compiler

Thu Jan 29 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkboard.c, gtkprefs.c: 3d quick draw-last options added

Wed Jan 28 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkboard.c: 3d quick draw-chequer target help added

Tue Jan 27 9:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkboard.c, gtkprefs.c: Some more 3d quick draw code

Mon Jan 26 19:24:34 2004  Joern Thyssen  <jth@gnubg.org>

	NetBSD compilation fixes by Adrian Bunk.

	* gnubg.c (real_main): HAVE_NL_INFO does not
	necessarily imply HAVE_LANGINFO_CODESET
	* sound.c: include sys/types.h before sys/audioio.h to
	define u_int.

Mon Jan 26 07:31:03 2004  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* htmlimages.c [!HAVE_LIBPNG] (CommandExportHTMLImages): Argument
	synch with HAVE_LIBPNG version.

Wed Jan 21 21:17:12 2004  Joern Thyssen  <jth@gnubg.org>

	* bearoff.c (GetDistCompressed): fix stupid stupid stupid bug. 
	(reported by several users)

Tue Jan 20 00:22:21 CET 2004  Joern Thyssen  <jth@gnubg.org>

	Prerelease 0.14.1

	* configure.in: bump to 0.14.1-devel

Tue Jan 20 00:02:30 CET 2004  Joern Thyssen  <jth@gnubg.org>

	* bearoff.c (GetDistCompressed): add sanity check to detect
	corrupted bearoff files.
	(inspired by bug #7296 by Rod Roark)

Mon Jan 19 10:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* timer.c timecontrol.c: Small timing changes

Mon Jan 19 9:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, gtkboard.c, gtkchequer.c, gtkgame.c, gtkgame.h,
	gtkprefs.c, gtktoolbar.c: More 3d quick draw option stuff

Fri Jan 16 9:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* set.c, render.c, play.c, renderprefs.c, gtkprefs.c, gtkoptions.c,
	gtkgame.c, gtkboard.c: 3d quick draw option

Fri Jan 16 9:56:45 2004 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* bearoff.c, show.c, progress.c: Removed some build warnings

Sun Jan  4 13:35:16 2004  Joern Thyssen  <jth@gnubg.org>

	* gtkchequer.c (CreateMoveList): remove the old layout version as
	the new can do both versions.
	(reported by Nardy)

Sun Jan  4 11:05:03 2004  Joern Thyssen  <jth@gnubg.org>

	The hint dialog will now always show the w/g/bg's whereas the panelled
	analysis only shows the equity/MWC. Pressing the "details" button 
	will pop up the hint dialog.

	* gtkchequer.c: restore some of the old non-panel code

Sun Jan 4 2004 00:51:45   Jim Segrave <jes@jes-2.demon.nl>

	* makebearoff.c: va_start needs stdarg.h

Sat Jan  3 16:53:09 2004  Oystein Johansen <oystein@gnubg.org>

        * makebearoff.c: Add progress bar. (Win32 only)
	* makebearoff.rc: New file.

Sat Jan  3 14:32:46 2004  Joern Thyssen  <jth@gnubg.org>

	Some updates to EPCs:

	* gnubg.c (EPC): return mu and sigma if requested.
	* gnubg.c (ShowEPC): calculate GWC from mu and sigma.
	* onechequer.c (GWCFromMuSigma, GWCFromDist): new funtions.

Sat Jan  3 01:02:49 2004  Joern Thyssen  <jth@gnubg.org>

	* configure.in: look for socklen_t.

Fri Jan  2 19:23:09 2004  Oystein Johansen <oystein@gnubg.org>

        * render.c (RenderDice): Redesign the dice in the 2D board.
	* gtkboard.c (DrawDie): Redesign the dice in the dice selection
	dialog.

Fri Jan  2 12:14:52 2004  Joern Thyssen  <jth@gnubg.org>

	Use one chequer racing formulae from Zadeh & Kobliska, Management
	Science, 1977.

	* onechequer.c (GWCFromPipCount): new function. Delete obsolete
	OneChequer and GetDistFromPipCount.
	(change all callers)

Thu Jan  1 22:59:09 2004  Oystein Johansen <oystein@gnubg.org>

        * external.c: Add som #if USE_SOCKETS to make it compile w/o socket
	support.

Thu Jan  1 20:29:09 2004  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c (DisplayAnalysis, DisplayTimeAnalysis): show time analysis
	in cli.
	* gtkgame.c (TimeAnalysis, SetAnnotation): show time analysis
	in gui.
	* analysis.c, import.c: remove debug output
	* format.c (OutputMWCDiff): new function.

Thu Jan  1 18:56:50 2004  Joern Thyssen  <jth@gnubg.org>

	Report equity loss due to "time outs", e.g., when importing
	matches from TMG which ended with "time out".
	[USE_TIMECONTROL]

	TODOs: save in SGF file, text/gtk analysis output

	* analysis.c (AnalyzeMove): analyse time-outs.
	* analysis.c (updateStatContext): calculate equity loss from time-outs.
	* formatgs.c (formatGS): output time-outs.
	* import.c (ParseTMGGame): don't record dice rolls with dice recorded
	as '?'

Thu Jan  1 12:44:52 2004  Joern Thyssen  <jth@gnubg.org>

	Happy New Year to all!

	* gtktoolbar.c (ToolbarUpdate): disable edit button if there
	is no match in progress
	(reported by Misja Alma)

Wed Dec 31 23:24:55 2003  Joern Thyssen  <jth@gnubg.org>

	Change external interface to use yacc/lex parser/scanner.

	* configure.in: look for yacc, lex using correct macros.
	* external_l.l, external_y.y: new files
	* external.c: use yacc/lex

Mon Dec 29 23:58:34 2003  Joern Thyssen  <jth@gnubg.org>

	* play.c (NewGame): remove some old code that led
	to gnubg deleting the current game. I wonder why
	I originally inserted that code???
	(bug #7008 reported by Petr Kadlec)

Mon Dec 29 23:17:20 2003  Joern Thyssen  <jth@gnubg.org>

	* progress.c: move cpp directive.

Mon Dec 29 23:14:35 2003  Joern Thyssen  <jth@gnubg.org>

	* Makefile.am, configure.in: don't use old X code anymore.
	(bug #7003, reported by Rod Roark)

Thu Dec 18 23:35:16 2003  Joern Thyssen  <jth@gnubg.org>

	* configure.in: search for ATLAS libblas.
	* bearoff.c: disable cache, since it appears to be rather
	inefficient.
	* bearoff.c (ReadBearoffOneSidedExact): only use cache when
	initialised.
	* show.c (CommandShowEPC): new subroutines.
	* gnubg.c (ShowEPC, EPC): new functions.
	* gnubg.c: new command "show epc".
	* onechequer.c (DistFromEPC): new function.
	* makebearoff.c (BearOff): fix database lookup bug.
	* gtktheory.c, gtkbearoff.c, gtkgame.c: fix font bug introduced earlier.
	* gtkbearoff.c (GTKShowEPC): new function.
	* eval.c (EvalInitialise): initialise table used for neural net
	evaluation
	* gtkgame.c: add "show epc" to menu.

Sat Dec 13 21:15:52 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkrace.c (OneChequerPage): remove call to SwapSides
	(reported by Ned Cross and Petr Kadlec)
	* gnubg.c (HintChequer): compile error: move "moverecord *pmr" 
	outside USE_GTK.
	(reported by Nardy)
	* gtkgame.c (ReportBug): remove extra slash in path
	(bug #6898 by Kennedy Fraser)
	* analysis.c (AnalyzeMove): generalise calculation of
	is_initial_position. Use is_initial_position for calculation of luck.
	(reported by Mathias Kegelmann)
	* progress.c: print time elapsed, estimated time left, and 
	estimated final standard error.
	* show.c (CommandShowVariation): 
	* bearoff.c, format.c, gtktheory.c: add some gettexts.
	* import.c (isAscending): fix off-by-one bug.
	(reported by Joseph Heled)
	* set.c (CommandSetVariation): add some extra output to
	emphasize that the new setting won't be effective until
	a new match or session has been started.

Mon Dec 29 10:56:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* htmlimages.c, html.c: Small fixes and variable size html image generation

Wed Dec 3 11:56:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* htmlimages.c: Tidied code

Sun Nov 30 13:15:48 2003  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c (real_main): honour env. var HISTSIZE.
	* gnubg.c (CommandHistory): show all entries in history.
	(suggested by Achim)

Son Nov 30 12:50:45 2003  Joern Thyssen  <jth@gnubg.org>

	* html.c (HTMLPrologue): set Charset to GNUBG_CHARSET instead
	of hardcoded ISO-8859-1.
	(suggested by Petr Kadlec)

Sun Nov 30 09:56:25 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkbearoff.c, gtkgame.c, gtktheory.c: subst. "iso8859-1" with "*"
	in font names.
	(suggested by Petr Kadlec)

Sun Nov 30 09:10:46 2003  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c (HintCube): improve logic for determining whether a move
	has been made: (a) by having moved something in the GUI (old logic)
        (b) by going back in the match and doing a hint on an already
	stored move
	(suggested by Michael Depreli)

Sun Nov 30 08:47:01 2003  Joern Thyssen  <jth@gnubg.org>

	New command "clear hint" to allow CLI users to force
	re-evaluation of "hint" after changing settings.
	(suggested by Achim)

	* gnubg.c (CommandClearHint): new command "clear hint".
	* gnubg.c (InvalidateStoredCube): new function.
	* gnubg.c (HintCube): fix typo

Sat Nov 29 21:22:13 2003  Joern Thyssen  <jth@gnubg.org>

	Implement history

	* gnubg.c (real_main, PromptForExit, ProcessInput): implement
	history
	* gnubg.c (CommandHistory): new command "history".

Sat Nov 29 11:02:50 2003  Joern Thyssen  <jth@gnubg.org>

	* gnubgmodule.c: new python command "nextturn" to
	emulate C routine "NextTurn".
	* gnubgmodule.c (PyGameStats): add a few stats.
	* gnubgmodule.c (PythonCommand): add calls to nextturn.

Sat Nov 29 10:14:33 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkgame.c (ReportBug): use uname to improve logic.

Thu Nov 27 9:56:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>
	* htmlimages.c: Fix dice colour
	* gtkboard.c: Remove previous fix...

Wed Nov 26 22:12:37 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkgame.c: when opening the bug report page in a browser window
	make gnubg fill in its version, build date and the operating system

Mon Nov 24 9:56:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c: Make sure preview appears if libxml not present
	* gtkboard.c: Remove valgrind error

Sun Nov 23 21:07:12 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* gnubg.c function header comments for token handling

Sat Nov 21 21:19:17 2003 Oystein Johansen <oystein@gnubg.org>

        * gtkgame.c: corrected some links (reported by Frank Grosse)

Thu Nov 20 20:24:04 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* rollout.c - board setup in .sgf files of rollouts only worked if
	  player 0 made first move, now appears to be correct for both
	  players and double by both players

Thu Nov 20 07:44:55 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gtkgame.c (EvalWidget): Add /* xgettext: no-c-format */ comment.

Wed Nov 19 19:52:16 2003 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* gtkgame.c gtkprefs.c gtkrace.c add some more I18n strings

Wed Nov 19 19:16:25 2003 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* play.c - always output moves to stdout/message window

Wed Nov 19 16:35:25 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* htmlimages.c, play.c, progress.c, rollout.c:
	make CLI version compile, get rid of compiler warnings

Wed Nov 19 07:15:17 2003 Oystein Johansen <oystein@gnubg.org>

        * latex.c: use unicode and decrease size of board

Mon Nov 17 20:04:17 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkoptions.c: add GUI menu entry for Czech language

Sun Nov 16 10:56:59 2003  Joern Thyssen  <jth@gnubg.org>

	* play.c (DiceRolled): add call to ShowBoard for CLI.
	(reported by Achim)

Wed Nov 12 01:17:58 2003  Oystein Johansen <oystein@gnubg.org>

        * gnubg.iss: New file for building MS-Windows installation archives
	             with Inno Setup.

Sat Nov  8 19:56:58 GMT 2003  Jim Segrave <jes@jes-2.demon.nl>

	* analysis.c - set up cubeinfo before analysis of a SET_DICE
	  moverecord.

Thu Nov  6 13:18:48 GMT 2003  Jim Segrave <jes@jes-2.demon.nl>

	* analysis.c - Stupid, stupid, stupid. My silly last minute change 
	  prevented cube analysis on any position except the initial one.
	  Arrgh.

Wed Nov  5 00:31:27 GMT 2003  Jim Segrave <jes@jes-2.demon.nl>

	* analysis.c - don't analyse cube if board is in initial position
	  (spurious annotations for not doubling when tutor mode was enabled)
	* gtkoptions.c - fix bug which crashed with invalid language option

Mon Nov 3 11:56:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Changes to the panel view

Sat Nov  1 14:36:45 2003  Joern Thyssen  <jth@gnubg.org>

	* htmlimages (CommandExportHTMLImages): make the html image
	export work with the new board dimensions.
	(reported by Olivier Croisille)
	* html.c (printHTMLBoardGNU): some new images.

Wed Oct 29 12:26:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Moved .xpm files in root directory to xpm directory

Tue Oct 28 21:10:39 GMT 2003  Jim Segrave <jes@jes-2.demon.nl>

	* gtkoptions.c - add Turkish and Icelandic to language options

Tue Oct 28 11:56:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* import.c: Minor memory bug
	* gtkboard.c: Minor chequer sound fix

Fri Oct 25 10:10:07 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* rollout.c - correct stupid mistake causing board setup in sgf
          file to be reversed

Fri Oct 25 10:10:07 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* rollout.c - cast to keep compiler happy

Thu Oct 24 22:52:23 2003 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* set.c backgammon.h rollout.c gnubg.c - added text mode commands
	  set rollout log on/off, set rollout logfile <template name>
	  When rollout log is set to on and rollout logfile has a valid
	  path and template, then each rollout will generate a .sgf file
	  of the game. The .sgf file name will use the template, followed
	  by '-'nnnnn'-'x.sgf  where nnnnn is the trial number (starts at
	  0) and x is a etter a-z to indicate which option is being done -
	  the top line in the rollout window is 'a', next 'b', etc/

Sat Oct 18 13:46:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkboard.h, play.c, sgf.c: Tidy 3d dice shake code

Sat Oct 18 11:19:06 2003  Joern Thyssen  <jth@gnubg.org>

	* formatgs.c (formatGS): use fOutputDigits and fix typo in
	calculation of confidence interval.
	(in part reported by Zorba)
	* analysis.c, html.c: always show overall statistics.

Fri Oct 17 16:31:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c: Make 3d dice look smoother

Thu Oct 16 19:22:58 2003  Joern Thyssen  <jth@gnubg.org>

	* rollout.c (RolloutGeneral): do not call SanityCheck. The gwcs returned
	by BasicCubefulRollout should be sanitised already. Besides, either
	anBoardOrig or aarMu[alt] should be inverted if fInvert.
	(bug reported by Robert Eberlein)

Thu Oct 16 11:49:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* renderprefs.c: Fix for 3d dice opacity settings
	* sgf.c: Make sure dice don't roll when match loaded

Tue Oct 14  18:43:10 GMT 2003 Jim Segrave <jes@jes-2.demon.nl>

	* drawboard.c - FormatPoint assumed bar and off would always be
	  three characters, Icelandic UTF-8 did not agree

Tue Oct 14 10:58:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* drawboard3d.c, misc3d.c, gtkprefs.c, renderpref.c: Added
	option to draw background in bear off trays (3d board).
	* graph.c: Tidied number sizes in axis.
	* boards.xml: Added more (rough) 3d designs.
	* gtkboard.c: Don't allow chequer input if computers turn.

Mon Oct 13 18:12:37 2003  Joern Thyssen  <jth@gnubg.org>

	gnubg.c (real_main): attempt to read install directory
	from windows registry.

Mon Oct 13 12:40:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gtkboard.c: Add _() translations to a few strings.
	(reported by Hlynur Sigurgíslason)

Sun Oct 12 15:13:46 2003  Joern Thyssen  <jth@gnubg.org>

	* sgf.c (RestoreGame): setting fTurn = fMove = -1 results in the board
	being inverted when shown.
	(reported by Albert Silver)

Sun Oct 12 14:57:49 2003  Joern Thyssen  <jth@gnubg.org>

	* timecontrol.c: use "if ( fX )" around calls to GTK specific
	code.

Sun Oct 12 12:26:49 2003  Joern Thyssen  <jth@gnubg.org>

	* analysis.c (AnalyzeGame + others): don't analyse cube
	for cubeless play.
	(bug #5872 reported by Stefan van den Berg(?))

Sun Oct 12 11:49:33 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkgame.c (SetRollouts): change tests "a != b" to
	"fabs(a-b)>epsilon" for floats.
	(bug #4408 item 3, reported by Ian Dunstan)

Sun Oct 12 10:43:18 2003  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c (swapGame): swap player for MOVE_TIME.
	* import.c (ImportTMGGame): handle timeouts in TMG files
	correctly when USE_TIMECONTROL is defined.

Sat Oct 11 23:22:37 2003  Joern Thyssen  <jth@gnubg.org>

	* play.c (NextTurn): protect call to gtk_timeout_remove.
	(FIXME: implement general solution?)
	(bug reported by Scott Steiner)

Sat Oct 11 18:00:03 2003  Joern Thyssen  <jth@gnubg.org>

	* text.c (TextPrologue, ExportPositionGammOnLine, HTMLPrologue):
	change format for writing score, e.g., add text for Crawford game.
	(in part reported by Neil Kazaross)

Sat Oct 11 13:15:36 2003  Joern Thyssen  <jth@gnubg.org>

	* progress.c (TextRolloutProgress): Improve rollout progress output
	when in text mode
	(suggested by Ian Shaw)

Tue Oct 7 12:06:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkcube.c, gtkgame.c: Make sure hint window is correct size in new layout.
	* gtkprefs.c, drawboard3d.c: Small memory fix.

Mon Oct 06 20:42:21 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkcube.c: bring output of double and take analysis in line

Mon Oct 06 19:37:17 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* analysis.c, analysis.h, formatgs.c, gnubgmodule.c, sgf.c:
	  change categorization of doubles (2 categories each for missed and
	  wrong doubles, separator is cash point)

Mon Oct 06 18:34:47 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtktheory.c: fix typo (bg rate value range in theory window)

Sat Oct  4 16:40:25 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkchequer.c (UpdateMoveList): ensure that the selectec
	move is highlighted.

Fri Oct  3 20:49:58 2003  Joern Thyssen  <jth@gnubg.org>

	* play.c: store analysis performed by computer player
	where possible.

Fri Oct  3 19:17:29 2003  Joern Thyssen  <jth@gnubg.org>

	* progress.c (TextRolloutProgress): no newline after
	\r.

Fri Oct  3 19:08:51 2003  Joern Thyssen  <jth@gnubg.org>

	* gtktheory.c (TheoryUpdated): argh, it should be
	bg <= 1.0-g.
	(reported by Massimiliano Maini)

Thu Oct  2 20:48:23 2003  Joern Thyssen  <jth@gnubg.org>

	* formatgs.c (errorRateMP): remove extra digit in 
	error rates.
	(suggested by olivier croisille)

Thu Oct  2 20:21:21 2003  Joern Thyssen  <jth@gnubg.org>

	* import.c (ImportSGGGame): ensure that resignations are in the
	range 1 (normal) to 3 (backgammon)
	(bug #5641 reported by Bert Van Kerckhove)

Thu Oct  2 19:57:56 2003  Joern Thyssen  <jth@gnubg.org>

	* text.c (printTextBoard): assign asz[7] and asz[8] if
	USE_TIMECONTROL
	(reported by Jeff White)

Thu Oct  2 19:37:15 2003  Joern Thyssen  <jth@gnubg.org>

	* gtktheory.c (TheoryUpdated): ensure that bg <= g.

Thu Oct 2 10:59:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	play.c, gnubg.c: Added first move command

Wed Oct 1 2003 16:37:22 GMT Jim Segrave <jes@jes-2.demon.nl>

	* gtkboard.c - when changing the match length, update the limits
	  on the score spinner. Also ensure the dice are valid or not
	  rolled. You can now increase the match length and then change a
	  score to be greater than the old match length.

Tue Oct 1 9:38:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c: Fixed 2d board chequer shape setting.
	* gtkpboard.c, render.c: Fixed single chequer removal from bar in edit mode

Mon Sep 29 8:33:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtktoolbar.c: Remember last used import/export type+directory.
	* gtkgame.c: Escape key exits fullscreen mode, added removable
		warning when fullscreen mode entered.

Fri Sep 26 2003 19:18:48 GMT Jim Segrave <jes@jes-2.demon.nl>

	* play.c = missing conditional around call to HitGameClock

Fri Sep 26 2003 08:17:55 Stein Kulseth <steink@opera.com>
	* backgammon.h gnubg.c gtkgame.[ch] play.c
	  set.c tctutorial.h timecontrol.[ch]:
		bugfixes,
		GUI additions

Tue Sep 23 17:47:55 GMT 2003  Jim Segrave <jes@jes-2.demon.nl>

	* sgfp.c sgfl.c - regenerated for users who don't have working
	  flex/bison

Mon Sep 22 22:35:43 GMT 2003  Jim Segrave <jes@jes-2.demon.nl>

	* sgf.y - Concatenate() didn't deal with empty ValueString's

Mon Sep 22 19:38:07 2003  Joern Thyssen  <jth@gnubg.org>

	* rollout.c (RolloutGeneral): do not invert board for
	sanity check (reported by Daniel Murphy)

Sun Sep 21 18:31:55 2003  Joern Thyssen  <jth@gnubg.org>

	* eval.c (getMoneyPoints): fix bug in calculation of W and L.
	(reported by Massimiliano.Maini)

Mon Sep 22 11:50:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c: Add option to cover all of 3d chequer with texture

Sun Sep 21 19:28:03 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkgame.c (GTKMatchInfo): show match comment text, rearrange window,
	fix memory leak

Sun Sep 21 16:57:55 2003  Joern Thyssen  <jth@gnubg.org>

	* import.c (ParseOldMove): fix a few problems with the FIBS
	oldmoves import.
	(reported by Joseph)

Sat Sep 20 22:07:59 2003  Joern Thyssen  <jth@gnubg.org>

	* formatgs.c (errorrateMP): allow control of number of digits in 
	error rate and allow control over factor used (default is 1000).
	* gnubg.c: new command "set output errorratefactor ...".
	* set.c (CommandSetOutputErrorRateFactor): new function.

Fri Sep 19 20:23:46 GMT 2003  Jim Segrave <jes@jes-2.demon.nl>

	* boarddim.h - reverse cube locations, gtkgame.c - micro-typo
	  in dice drawing area

Fri Sep 19 19:53:02 GMT 2003  Jim Segrave <jes@jes-2.demon.nl>

	* Makefile.am, Makefile.in - add timer.c to sources

Fri Sep 19 20:59:43 2003  Joern Thyssen  <jth@gnubg.org>

	* eval.c (getPercent): fix bugs for "strange" match play
	scenarios (see 2-ply and 3-ply eval on cAmgACAAGAAA/4HPkAUgzW8EBMA)
	(reported by Ege Lundgren)

Fri Sep 19 09:34:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c: Add tab-completion to the command dialog

Thu Sep 19 22:06:27 2003 GMT  Jim Segrave <jes@jes-2.demon.nl>

	* first cut at paramaterising board. It now appears to be possible
	  to alter the aspect ratio (adding space in the middle). A 72x108
	  board is buildable, but should not be used (there's no guarantee
	  that the dice or doubling cube can be placed on the board
	  without intersecting chequers, although changing the die and 
	  doubling cube size will fix that)


Wed Sep 17 11:42:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* timercontrol.c: Changed timing function for win32
	moved timer.c to main direcory

Tue Sep 16 17:42:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gnubg.c, gtkgame.c: Add dynamic help to enter command.


Mon Sep 15 12:55:45 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkboard.c, render.c: fix an oversight of my last commit

Mon Sep 15 01:54:44 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	fixing some 2D board problems, moving board dimensions to
	defines in boarddim.h

	* export.c, gtkboard.c, gtkexport.c, gtkprefs.c, htmlimages.c,
	render.c, render.h, set.c, show.c, xboard.c, xgame.c:
	update of dynamic point labels on the bottom should work now,
	some fixes to export of HTML images

	* boarddim.h: new file
	* Makefile.am: add boarddim.h

Sat Sep 13 22:32:01 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* play.c (NewGame): Fixed reroll conditional.

Sat Sep 13 04:59:01 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gtkgame.c (SetAnnotation): Use strlen gettext string instead
	of magic number.

Fri 12 Sep 23:26:21 GMT Jim Segrave <jes@jes-2.demon.nl>

	* gtkgame.c gnubg.c play.c  - move panels flag out to
	  unconditional compile point.

Fri 12 Sep 19:17:25 GMT Jim Segrave <jes@jes-2.demon.nl>

	backgammon.h MOVE_TIME needn't be conditional

Fri 12 Sep 19:00:57 GMT Jim Segrave <jes@jes-2.demon.nl>

	* gnubg.c show.c set.c backgammon.h gtkgame.c - add panels on/off
	  setting


Fri Sep 12 17:56:18 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gnubg.c (TextToClipboard): Chanage Japanese locale detection
	logic.

Fri 12 Sep 1707:54 GMT Jim Segrave <jes@jes-2.demon.nl>

        * timecontrol.c play.c backgammon.h needed Unix include files,
	  missing return values, suppress compiler warnings

        * text.c show.c simplelibgen.c sgf.c      C style coments
	  html.c gtkgame.c gnubgmodule.c gnubg.c  C style coments
          bearoffgammon.h                         C style coments

Fri Sep 12 13:35:24 Stein Kulseth <steink@opera.com>
	* Makefile.am configure.in
	  backgammon.h drawboard.c gnubg.c gtkboard.c gtkboard.h gtkgame.c
	  gtkgame.h play.c  sgf.c show.c sound.c sound.h
	  tctutorial.h timecontrol.h timecontrol.c:
	 	Time control code added on main branch

Thu Sep 12 10:02:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkboard.c: Edit clear chequers empty fix.
	* gtkgame.c: Manual dice in new dialog state fix

Thu Sep 11 18:51:28 2003  Joern Thyssen  <jth@gnubg.org>

	* import.c (ParseMatMove): don't add illegal moves to plGame.
	(reported by Kees van den Doel)

Thu Sep 11 18:10:28 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkgame.c (CreateList, GTKDumpStatcontext): reestablish
	the old copy-enabling of line-by-line in the statistics window.
	Note: this only works for OSes with a primary selection, such
	as *nix.

Wed 10 Sep 21:30:14 GMT Jim Segrave <jes@jes-2.demon.nl>

	* insert limits.h before PATH_MAX use in backgammon.h

Tue Sep 09 23:13:44 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkgame.c (GTKDumpStatcontext): make stats window only bigger,
	not smaller

Tue Sep  9 04:34:30 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* formatgs.c (formatGS): Add /* xgettext: no-c-format */ comment
	for N_("95% confidence interval (ppg)").

Mon Sep 08 20:18:46 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* formatgs.c (formatGS): report cube errors as negative values
	(reported by Scott Steiner)

Mon Sep 08 18:45:56 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	classify cube decisions into 3 categories: around DP, CP and TG
	(suggested by Jørn)

	* analysis.c: rename getMarketWindowDividersMWC to
	getMarketWindowDividersEq
	* analysis.c (getMarketWindowDividersEq): calculate two dividers
	of market window for categorization of doubles
	* analysis.h: add new variables to statcontext
	* formatgs.c (formatGS), gnubgmodule.c (PyGameStats),
	sgf.c (RestoreGS, WriteStatContext): add cube decisions around CP

Mon Sep 08 17:39:45 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkgame.c (GTKMessage): add a scrollbar for message window when
	  it has to hold lots

Mon Sep  8 19:20:13 2003  Joern Thyssen  <jth@gnubg.org>

	* import.c (ParseOldMove): handle oldmoves files generated by
	fibs2html. Add warning for truly invalid moves.

Mon Sep  8 11:26:52 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gtkgame.c (GTKRecordShow): Use gettext to aszRating[] and
	aszLuckRating[].

Mon Sep  8 03:07:11 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gtkrace.c (OSRPage): Don't use gettext on empty strings.

Sun Sep  7 15:23:01 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkgame.c (NewSet): ensure that tutor mode flag follows
	global setting.
	* gtkexport.c: legend is not implemented yet.

Sun Sep  7 15:11:08 2003  Joern Thyssen  <jth@gnubg.org>

	* external.c (CommandExternal), play.c (ComputerTurn): yet another
	attempt to fix external play.

Sun Sep  7 10:35:46 2003  Joern Thyssen  <jth@gnubg.org>

	Revert "Sat Sep  6 11:35:32 2003".

	* drawboard.c, boardpos.c, boardpos.h, gtkboard.c, export.c:
	revert checkin.

Sat Sep  6 18:06:51 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gnubg.c (HintChequer): Message synch with play.c.
	Replace "Considering moves" with "Considering move".

Sat Sep 6 16:14:58 GMT 2003   Jim Segrave <jes@jes-2.demon.nl>

	* play.c - try to improve distinguishing cube & chequer play
	  error flags

Sat Sep  6 15:07:31 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkrace.c, show.c:	Small improvements in output of race stuff and
	fixes to some bugs in gtkrace.
	(reported by Chris D. Yep)

Sat Sep  6 14:24:54 2003  Joern Thyssen  <jth@gnubg.org>

	* html.c (HTMLPrintCubeAnalysisTable): fix typo.
	(reported by Martin Krainer)

Sat Sep  6 11:35:32 2003  Joern Thyssen  <jth@gnubg.org>

	Align the FIBSBoard routines to the FIBS board spec.
	This should fix Kees' external player problems.

	* drawboard.c (FIBSBoard): write correct value for "doubled".
	* boardpos.c (CubePosition): value of "doubled" changed according to
	specs. Change all callers.
	* export.c (GenerateImage): do.
	* gtkboard.c (cube_position, board_set): do.

Fri Sep 05 22:57:49 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* backgammon.h, play.c (getFinalScore): new function
	* gtkgame.c (AddNavigation): give final score or none for overall stats
	(reported by Martin Janke)
	* gtkgame.c (GTKDumpStatcontext): #ifdef unused variable

Fri Sep  5 22:46:12 2003  Joern Thyssen  <jth@gnubg.org>

	* matchequity.c (InitMatchEquity):  extend the post Crawford match
	equty table from n - 1 as the  post Crawford table of a n match equity
	table might not include the post Crawford equity at n-away, since the
	first "legal" post Crawford score is n-1.

Fri Sep  5 19:23:04 2003  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c (TextToClipboard): fix small memory leak.

Fri Sep  5 09:26:15 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gnubg.c (TextToClipboard): Deal with Japanese WIN32 clipboard
	encoding.

Thu Sep  4 18:36:21 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* html.c (WriteStyleSheet): Don't gettextize CVS ID marker string.

Thu Sep 04 16:34:03 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkgame.c: resize stats window if no-panels selected,
	  make New dialogue default to match

Thu Sep 04 11:12:45 2003 GMT  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c, gnubg.c: Added CR/LF for copy to clipboard under windows
	* boards.xml: Added new 3d design (nature)

Wed Sep 03 22:04:45 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkmet.c (UpdateTable): avoid buffer overflow

Wed Sep  3 20:07:45 2003  Joern Thyssen  <jth@gnubg.org>

	* sgf.c (WriteLuck): uses 5 digits for luck to avoid
	rounding errors, e.g., after analysis you get 17.66% luck
	but after you get 17.63% as the luck is only saved with 3 digits.
	(reported by Chris D. Yep)

Wed Sep  3 19:12:12 2003  Joern Thyssen  <jth@gnubg.org>

	* external.c (CommandExternal): fix bug leading to
	strange cubes and play by external player (only player 0).
	(reported by Kees van den Doel)

Wed Sep  3 18:44:13 2003  Joern Thyssen  <jth@gnubg.org>

	* import.c (ExpandMatMove,ParseMatMove): show warning
	instead of core dump on garbage in .mat files
	(reported by Kees van den Doel)

Tue Sep  2 23:56:28 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* show.c (CommandShowVersion): Deal with gettext.
	* progress.c (TextRolloutProgress): Ditto.

Tue Sep 02 21:48:18 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* analysis.c (getMarketWindowDividerMWC, updateStatcontext):
	fix typo, calculate doubling window for the correct player

Tue Sep 02 11:16:46 2003  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c added option to switch between list/panels for statistics

Tue Sep 02 00:03:39 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkgame.c (SetAnnotation), gtkcube.c (CreateCubeAnalysis):
	  tidy up GUI double/take annotation

Mon Sep 01 23:29:12 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkgame.c (SetAnnotation): swap doubling skill and luck widgets

Mon Sep 01 22:55:25 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	first version of better logic for categorization of doubles
	(needs tweaking for correct doubling window)

	* analysis.c (updateStatcontext): alter logic
	* analysis.c (getMarketWindowDividerMWC): new function 

Mon Sep  1 21:19:42 2003  Joern Thyssen  <jth@gnubg.org>

	* html.c, text.c: honour more export settings.
	(reported by Martin Krainer)

Mon Sep  1 19:28:48 2003  Joern Thyssen  <jth@gnubg.org>

	* import.c (ParseOldmove): do not subtract 1 from move
	before calling CanonicalMoveOrder. 
	(bug #5016 reported by Alix Martin)

Mon Sep  1 10:16:46 2003  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkprefs.c (bug 4875) Simplified saving new board designs
	* small 3d board fixes and some default designs (boards.xml)

Mon Sep  1 02:48:46 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gnubg.c (real_main): Fix typo.

Mon Sep  1 12:39:20 2003  Joseph Heled  <pepster@users.sourceforge.net>

	* gnubgmodule.c (PythonMatch): Add match statistics to gnubg.match().

Sun Aug 31 22:53:12 GMT 2003 Jim Segrave <jes@jes-2.demon.nl>

	* gnubg.c conditionals around StartPythonHandleX/StopPythonHandleX
	  for all  environments, as it appears to be for a later python
	  version 

Sun Aug 31 22:53:12 GMT 2003 Jim Segrave <jes@jes-2.demon.nl>

	* gnubg.c conditionals around StartPythonHandleX/StopPythonHandleX
	  for non GUI environments
	* play.c remove dead variable

Sun Aug 31 21:35:16 2003  Joern Thyssen  <jth@gnubg.org>

	* eval.c (DumpPosition): add position ID and match ID to
	the "eval" output.
	(suggested by Hugh Sconyers)

Sun Aug 31 16:13:02 2003 GMT  Holger Bochnig <hbgg@gmx.net>

	* gtkchequer.c (UpdateMoveList): didn't compile with USE_OLD_LAYOUT,
					 bring back move details

Sun Aug 31 15:13:40 2003  Joern Thyssen  <jth@gnubg.org>

	Remove arDouble from movenormal and movedouble.

	We can't remove it from DA[ ... ] since it'll break existing
	SGF files.

	* backgammon.h, gtkcube.c, gtkgame.c, text.c, html.c, play.c,
	sgf.c, analysis.c: remove arDouble from movenormal and movedouble.
	* sgf.c: do not write arDouble for rollouts.
	* export.c (ExportGameEquityEvolution): remove "dead" code.

Sat Aug 30 20:24:57 2003  Joern Thyssen  <jth@gnubg.org>

	* html.c: fix broken stylesheet.

Sat Aug 30 20:20:39 2003  Joern Thyssen  <jth@gnubg.org>

	* formatgs.c (errorRateMP): report errors rate per decision
	in millipoints.

Sat Aug 30 20:06:47 2003  Joern Thyssen  <jth@gnubg.org>

	Unify handling of match and game statistics for html export,
	text export, and gtk.

	* Makefile.am: add formatgs.[ch]
	* formatgs.c: new file. Return formatted match statistics.
        * html.c (HTMLDumpStatcontext), gtkgame.c (GTKDumpStatcontext), 
        analysis.c (DumpStatcontext): use formatGS.

Sat Aug 30 08:45:23 2003  Joern Thyssen  <jth@gnubg.org>

	* credits.sh, credits.c, AUTHORS: refresh and revert some
	changes.

Sat Aug 30 09:57:49 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* backgammon.h (MAX_CUBE_STR): Remove #define.  Use MAX_CUBE and
	format function instead.

Fri Aug 29 21:34:21 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* gtkprefs.c (BoardPrefsDestroy): Move to outside of HAVE_LIBXML2
	#ifdef (functions for board design zone).

Fri Aug 30 22:53:25 2003  Oystein Johansene <oystein@gnubg.org>

	* gtkgame.c, gtkchequer.c: Make the old layout available through
	the compile option #define USE_OLD_LAYOUT

Fri Aug 30 20:34:25 GMT 2003 Jim Segrave <jes@jes-2.demon.nl>

	* lots of fiddling with include files etc. to suppress compiler
          warnings: board3d/inc3d.h analysis.h play.c html.c
	  text.c format.c gtkgame.c board3d/mylist.c gtktoolbar.c
	  board3d/gtkcolour3d.c gnubg.c gnubgmodule.h gnubgmodule.c

Fri Aug 29 18:53:50 2003  Joern Thyssen  <jth@gnubg.org>

	* gnubg.c (real_main): "move" initialisating of szTerminalCharset
	and localisation stuff outside #if USE_GUI.
	(reported by Nardy Pillards)

Fri Aug 29 17:23:55 2003  Joern Thyssen  <jth@gnubg.org>

	* analysis.c (Luck, Skill): modify inequalities.
	(bug reported by Michael Depreli, fix contributed by Nis Joergensen)

Fri Aug 29 13:58:55 2003  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* autogen.sh: touch board3d/Makefile.in and textures/Makefile.in.
	* credits.sh, credits.c, AUTHORS: Fix my name and refresh.

Fri Aut 30 12:31:43 GMT 2003 Jim Segrave <jes@jes-2.demon.nl>

	* fixes for graph functions
	* gtkgame.c  include gtktext.h, fix trailing ';' on #endif
	* board3d Makefile.am - add graph.c to sources
	* graph.c - include config.h and some gl includes
	* inc3d.h - add glconfig as global, make idempotent
	* shadow.h - make idempotent
	* widget3d.c - include config.h

Thu Aug 29 10:39:52 2003  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c - display statistics in a graph
	* graph.c - new file to draw a graph

Thu Aug 28 19:23:52 2003  Joern Thyssen  <jth@gnubg.org>

	* analysis (absoluteFIBSRating): use new formulae provided by Kees.

Wed Aug 27 21:51:22 GMT 2003 Jim Segrave <jes@jes-2.demon.nl>

	* gnubg.c - fix careless cut&paste for language setting

Wed Aug 27 17:43:38 GMT 2003 Jim Segrave <jes@jes-2.demon.nl>

	* gtkgame.c - fix rollout settings problems - onesidedbearoff
          truncation and negative values for rollout seed

Wed Aug 27 17:43:38 GMT 2003 Jim Segrave <jes@jes-2.demon.nl>

	* rollout.c - fix bug causing it to stop to soon in CommandRollout

Wed Aug 27 18:19:44 2003 Oystein Johansen <oystein@gnubg.org>

	* gtkgame.c (NewWidget): Fix bug that the shortcut buttons react on
	the player settings.


Wed Aug 27 14:04:44 GMT 2003 Jim Segrave <jes@jes-2.demon.nl>

	* gnubg.c - make szLang writeable, ensure LANG env setting
	  is not a local variable

Wed Aug 27 10:11:28 GMT 2003 Jim Segrave <jes@jes-2.demon.nl>

	* board3d/inc3d.h - remove doubled directory separator

Wed Aug 27 09:00:00 2003  Jon Kinsey <Jon_Kinsey@hotmail.com>

	* gtkgame.c Added navigation for match statistics

Tue Aug 26 16:59:33 GMT 2003  Holger Bochnig <hbgg@gmx.net>

	add commands and GUI option to set the language

	* backgammon.h, gnubg.c: add commands
	* gnubg.c (CommandSaveSettings): save language setting
	* gnubg.c (real_main): read language setting from .gnubgautorc,
	  set language
	* gtkoptions.c (OptionsPages, OptionsOK, OptionsSet):
	  GUI language setting
	* set.c, show.c: new functions CommandSetLang, CommandShowLang

TueAug 26 16:17:05  GMT 2003  Jim Segrave jes@jes-2.dmeon.nl

	* gtkexport.c - make number of options a compile time calculation

Tue Aug 26 01:43:26 2003  Holger Bochnig <hbgg@gmx.net>

	* gtkgame.c (SetAnnotation): rearrange skill widgets to save space

Mon Aug 25 23:39:47 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkgame.c (GTKNew): add call to gtk_main_quit when dialog
	is destroyed.
	(reported by Joern Thyssen)

Mon Aug 25 23:26:25 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkgame.c: ensure that TOGGLE_GAMELIST and friends to not
	overlap with enum _gnubgcommand.

Mon Aug 25 20:53:03 GMT 2003  Jim Segrave jes@jes-2.dmeon.nl

	* gnubg.c = glibc putenv() doesn't copy strings

Mon Aug 25 22:12:56 2003  Joern Thyssen  <jth@gnubg.org>

	* gtktheory.c (TheoryUpdated): enlarge font used for
	market window.
	(reported by Massimiliano Maini)

Tue Aug 26 07:16:35 2003  Joseph Heled  <pepster@users.sourceforge.net>

	* gtkgame.c (SkillMenu): ignore skill "good" in gtk game.

Sun Aug 24 21:22:13 2003  Oystein Johansen  <oystein@gnubg.org>

	This is a big patch to integrate the GUI. There are still
	a couple of issues to be solved, but I'm committing this, and hope
	someone can help out with the remaining issues. (See my post to the
	mailing list.

	* render.c, boardpos.c, gtkprefs.c, gtkboard.[ch]: Stretch the 2D board
	  to fit the screen better. The size is now 108 x 82.

	* gtkgame.[ch]: Integrate the game record, annotation and message window
	  with the main window. Add a "New" dialog. Improve GTKFileCommand

	* gtkchequer.c gtkcube.c: Move the tool buttons under the
          movelist/cubeevauation to save width.

	* gtktoolbar.[ch]: Redesign of the toolbar.

	* gnubg.c, backgammon.h: Small changes, for integration.

Sun Aug 24 17:18:13 2003  Oystein Johansen  <oystein@gnubg.org>

	* gtkbearoff.c: Make pixmaps of the dice in the pulldown menu.
	* xpm/dice.xpm: New file

Sun Aug 24 11:05:13 2003  Joern Thyssen  <jth@gnubg.org>

	* set.c (SetSkillThreshold): allow setting threshold to zero.
	(suggested by Michael Depreli)

Sat Aug 23 17:31:30 Jim Segrave <jes@jes-2.demon.nl>

	* backgammon.h, gnubg.c add dicerolls nnn command to output list
	  of rolls to stdout.

Sat Aug 23 10:32:33 2003  Joern Thyssen  <jth@gnubg.org>

	* import.c (ImportTMGGame): handle cases where the TMG file says "wins
	1 point" but where the cube value is 2 or more. Typically the last game 	of a match.
	(reported by Albert Silver)
	* import.c (ImportTMGGame): handle small typo in Jim's commit :-)

Fri Aug 22 15:01:19 GMT Jim Segrave <jes@jes-2.demon.nl>

	* import.c - add out of time type 22 for .tmg imports
	* gnubg.c, play.c wrap pwBoard and pwBoard->data with tests
	  for fX, to prevent text mode core dumps
	* board3d/misc3d.c - fix typos

Thu Aug 21 23:18:40 2003  Joern Thyssen  <jth@gnubg.org>

	* Makefile.am, configure.in: add texture directory.

Thu Aug 21 20:25:51 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkcube.c (OutputPercentsTable): show headers on
	gwc's.
	(contributed by Rob Konigsberg)
	* gnubg.c: fix typo in "set beavers" command
	(reported by Chris D. Yep)

Thu Aug 21 18:15:11 2003  Joern Thyssen  <jth@gnubg.org>

	* evalc. (DumpPosition): ensure "eval" reports cubeless money
	equituies rather than cubeless equity.
	(reported by Chris D. Yep)

Thu Aug 21 07:16:42 2003  Joseph Heled  <pepster@users.sourceforge.net>

	* gtkgame.c: Fix manually setting skill to 'good'.

Wed Aug 20 19:20:51 2003  Joern Thyssen  <jth@gnubg.org>

	Restore abs. ratings using the formulae provided by
	Kees van den Doel.

	* gnubg.c: new command "set ratingoffset .."
	* gnubg.c (CommandSaveSettings): save rating offset.
	* set.c (CommandSetRatingOffset): new function.
        * html.c (HTMLDumpStatcontext), gtkgame.c (GTKDumpStatcontext), 
        analysis.c (DumpStatcontext): show abs. rating.
	* analysis (absoluteFIBSRating): use formulae provided by Kees.

Mon Aug 18 19:41:07 2003  Holger Bochnig <hbgg@gmx.net>

	* gtkrace.c: bug fix: race theory window didn't even fit on 1024x768

Mon Aug 18 18:54:36 2003  Joern Thyssen  <jth@gnubg.org>

	* gtkbearoff.c (ToggleWho, BearoffSet): remove debug printf.
	(reported by Oeystein)

Mon Aug 18 17:51:45 2003  Joern Thyssen  <jth@gnubg.org>

	* external.c (CommandExternal), play.c (ComputerTurn):
	another attempt to fix the resign bug.

Mon Aug 18 17:38:07 2003  Joern Thyssen  <jth@gnubg.org>

	* external.c (CommandExternal): copy Joseph's resignation fix.

Mon Aug 18 13:12:05 2003  Joseph Heled  <pepster@users.sourceforge.net>

	* play.c: fix resignation bug.

Sun Aug 17 17:41:58 GMT 2003  Jim Segrave    <jes@jes-2.demon.nl>

	* rollout.c - ensure the eval context stored with a rollut has
	  the cubeful/cubeless flags consistent (some exports reported
	  incorrectly that portions were cubeful when they weren't)

Sun Aug 17 12:38:22 2003  Joern Thyssen  <jth@gnubg.org>

	* analysis.c (DumpStatcontext): fix typo.

Sun Aug 17 12:15:31 2003  Joern Thyssen  <jth@gnubg.org>

	* gnubgmodule.c: remove C++ style variable decl. inside code.

Sun Aug 17  8:45:30 GMT 2003  Jim Segrave    <jes@jes-2.demon.nl>

	* gnubg.c - fix overwrite of buffer in CommandSaveSettings

Sun Aug 17  0:44:16 GMT 2003  Jim Segrave    <jes@jes-2.demon.nl>

